# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit fcaps go-module systemd

DESCRIPTION="A tool for managing secrets"
HOMEPAGE="https://vaultproject.io/"
EGO_SUM=(
"bazil.org/fuse v0.0.0-20160811212531-371fbbdaa898/go.mod"
"cloud.google.com/go v0.26.0/go.mod"
"cloud.google.com/go v0.34.0/go.mod"
"cloud.google.com/go v0.38.0/go.mod"
"cloud.google.com/go v0.39.0/go.mod"
"cloud.google.com/go v0.44.1/go.mod"
"cloud.google.com/go v0.44.2/go.mod"
"cloud.google.com/go v0.45.1/go.mod"
"cloud.google.com/go v0.46.3/go.mod"
"cloud.google.com/go v0.50.0/go.mod"
"cloud.google.com/go v0.52.0/go.mod"
"cloud.google.com/go v0.53.0/go.mod"
"cloud.google.com/go v0.54.0/go.mod"
"cloud.google.com/go v0.56.0"
"cloud.google.com/go v0.56.0/go.mod"
"cloud.google.com/go/bigquery v1.0.1/go.mod"
"cloud.google.com/go/bigquery v1.3.0/go.mod"
"cloud.google.com/go/bigquery v1.4.0/go.mod"
"cloud.google.com/go/bigquery v1.5.0/go.mod"
"cloud.google.com/go/bigquery v1.6.0"
"cloud.google.com/go/bigquery v1.6.0/go.mod"
"cloud.google.com/go/datastore v1.0.0/go.mod"
"cloud.google.com/go/datastore v1.1.0"
"cloud.google.com/go/datastore v1.1.0/go.mod"
"cloud.google.com/go/pubsub v1.0.1/go.mod"
"cloud.google.com/go/pubsub v1.1.0/go.mod"
"cloud.google.com/go/pubsub v1.2.0/go.mod"
"cloud.google.com/go/pubsub v1.3.1"
"cloud.google.com/go/pubsub v1.3.1/go.mod"
"cloud.google.com/go/spanner v1.5.1"
"cloud.google.com/go/spanner v1.5.1/go.mod"
"cloud.google.com/go/storage v1.0.0/go.mod"
"cloud.google.com/go/storage v1.5.0/go.mod"
"cloud.google.com/go/storage v1.6.0"
"cloud.google.com/go/storage v1.6.0/go.mod"
"code.cloudfoundry.org/gofileutils v0.0.0-20170111115228-4d0c80011a0f"
"code.cloudfoundry.org/gofileutils v0.0.0-20170111115228-4d0c80011a0f/go.mod"
"dmitri.shuralyov.com/gpu/mtl v0.0.0-20190408044501-666a987793e9/go.mod"
"git.apache.org/thrift.git v0.12.0/go.mod"
"github.com/Azure/azure-pipeline-go v0.2.3"
"github.com/Azure/azure-pipeline-go v0.2.3/go.mod"
"github.com/Azure/azure-sdk-for-go v36.2.0+incompatible/go.mod"
"github.com/Azure/azure-sdk-for-go v44.0.0+incompatible/go.mod"
"github.com/Azure/azure-sdk-for-go v51.1.0+incompatible"
"github.com/Azure/azure-sdk-for-go v51.1.0+incompatible/go.mod"
"github.com/Azure/azure-storage-blob-go v0.11.0"
"github.com/Azure/azure-storage-blob-go v0.11.0/go.mod"
"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78"
"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78/go.mod"
"github.com/Azure/go-autorest v14.2.0+incompatible"
"github.com/Azure/go-autorest v14.2.0+incompatible/go.mod"
"github.com/Azure/go-autorest/autorest v0.9.0/go.mod"
"github.com/Azure/go-autorest/autorest v0.9.2/go.mod"
"github.com/Azure/go-autorest/autorest v0.9.3/go.mod"
"github.com/Azure/go-autorest/autorest v0.10.1/go.mod"
"github.com/Azure/go-autorest/autorest v0.11.0/go.mod"
"github.com/Azure/go-autorest/autorest v0.11.17"
"github.com/Azure/go-autorest/autorest v0.11.17/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.5.0/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.6.0/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.7.0/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.8.0/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.8.1/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.8.2/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.9.0/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.9.2/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.9.5/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.9.11"
"github.com/Azure/go-autorest/autorest/adal v0.9.11/go.mod"
"github.com/Azure/go-autorest/autorest/azure/auth v0.4.0/go.mod"
"github.com/Azure/go-autorest/autorest/azure/auth v0.4.2/go.mod"
"github.com/Azure/go-autorest/autorest/azure/auth v0.5.0/go.mod"
"github.com/Azure/go-autorest/autorest/azure/auth v0.5.7"
"github.com/Azure/go-autorest/autorest/azure/auth v0.5.7/go.mod"
"github.com/Azure/go-autorest/autorest/azure/cli v0.3.0/go.mod"
"github.com/Azure/go-autorest/autorest/azure/cli v0.3.1/go.mod"
"github.com/Azure/go-autorest/autorest/azure/cli v0.4.0/go.mod"
"github.com/Azure/go-autorest/autorest/azure/cli v0.4.2"
"github.com/Azure/go-autorest/autorest/azure/cli v0.4.2/go.mod"
"github.com/Azure/go-autorest/autorest/date v0.1.0/go.mod"
"github.com/Azure/go-autorest/autorest/date v0.2.0/go.mod"
"github.com/Azure/go-autorest/autorest/date v0.3.0"
"github.com/Azure/go-autorest/autorest/date v0.3.0/go.mod"
"github.com/Azure/go-autorest/autorest/mocks v0.1.0/go.mod"
"github.com/Azure/go-autorest/autorest/mocks v0.2.0/go.mod"
"github.com/Azure/go-autorest/autorest/mocks v0.3.0/go.mod"
"github.com/Azure/go-autorest/autorest/mocks v0.4.0/go.mod"
"github.com/Azure/go-autorest/autorest/mocks v0.4.1"
"github.com/Azure/go-autorest/autorest/mocks v0.4.1/go.mod"
"github.com/Azure/go-autorest/autorest/to v0.3.0/go.mod"
"github.com/Azure/go-autorest/autorest/to v0.4.0"
"github.com/Azure/go-autorest/autorest/to v0.4.0/go.mod"
"github.com/Azure/go-autorest/autorest/validation v0.2.0/go.mod"
"github.com/Azure/go-autorest/autorest/validation v0.3.0/go.mod"
"github.com/Azure/go-autorest/autorest/validation v0.3.1"
"github.com/Azure/go-autorest/autorest/validation v0.3.1/go.mod"
"github.com/Azure/go-autorest/logger v0.1.0/go.mod"
"github.com/Azure/go-autorest/logger v0.2.0"
"github.com/Azure/go-autorest/logger v0.2.0/go.mod"
"github.com/Azure/go-autorest/tracing v0.5.0/go.mod"
"github.com/Azure/go-autorest/tracing v0.6.0"
"github.com/Azure/go-autorest/tracing v0.6.0/go.mod"
"github.com/Azure/go-ntlmssp v0.0.0-20200615164410-66371956d46c"
"github.com/Azure/go-ntlmssp v0.0.0-20200615164410-66371956d46c/go.mod"
"github.com/BurntSushi/toml v0.3.1"
"github.com/BurntSushi/toml v0.3.1/go.mod"
"github.com/BurntSushi/xgb v0.0.0-20160522181843-27f122750802/go.mod"
"github.com/DataDog/datadog-go v2.2.0+incompatible/go.mod"
"github.com/DataDog/datadog-go v3.2.0+incompatible"
"github.com/DataDog/datadog-go v3.2.0+incompatible/go.mod"
"github.com/Jeffail/gabs v1.1.1"
"github.com/Jeffail/gabs v1.1.1/go.mod"
"github.com/Knetic/govaluate v3.0.1-0.20171022003610-9aa49832a739+incompatible/go.mod"
"github.com/Masterminds/goutils v1.1.0"
"github.com/Masterminds/goutils v1.1.0/go.mod"
"github.com/Masterminds/semver v1.4.2/go.mod"
"github.com/Masterminds/semver v1.5.0"
"github.com/Masterminds/semver v1.5.0/go.mod"
"github.com/Masterminds/sprig v2.22.0+incompatible"
"github.com/Masterminds/sprig v2.22.0+incompatible/go.mod"
"github.com/Microsoft/go-winio v0.4.13/go.mod"
"github.com/Microsoft/go-winio v0.4.14/go.mod"
"github.com/Microsoft/go-winio v0.4.16-0.20201130162521-d1ffc52c7331"
"github.com/Microsoft/go-winio v0.4.16-0.20201130162521-d1ffc52c7331/go.mod"
"github.com/Microsoft/hcsshim v0.8.14"
"github.com/Microsoft/hcsshim v0.8.14/go.mod"
"github.com/NYTimes/gziphandler v0.0.0-20170623195520-56545f4a5d46/go.mod"
"github.com/NYTimes/gziphandler v1.1.1"
"github.com/NYTimes/gziphandler v1.1.1/go.mod"
"github.com/Nvveen/Gotty v0.0.0-20120604004816-cd527374f1e5"
"github.com/Nvveen/Gotty v0.0.0-20120604004816-cd527374f1e5/go.mod"
"github.com/OneOfOne/xxhash v1.2.2/go.mod"
"github.com/PuerkitoBio/purell v1.0.0/go.mod"
"github.com/PuerkitoBio/urlesc v0.0.0-20160726150825-5bd2802263f2/go.mod"
"github.com/SAP/go-hdb v0.14.1"
"github.com/SAP/go-hdb v0.14.1/go.mod"
"github.com/Sectorbob/mlab-ns2 v0.0.0-20171030222938-d3aa0c295a8a"
"github.com/Sectorbob/mlab-ns2 v0.0.0-20171030222938-d3aa0c295a8a/go.mod"
"github.com/Shopify/sarama v1.19.0/go.mod"
"github.com/Shopify/toxiproxy v2.1.4+incompatible/go.mod"
"github.com/StackExchange/wmi v0.0.0-20190523213315-cbe66965904d"
"github.com/StackExchange/wmi v0.0.0-20190523213315-cbe66965904d/go.mod"
"github.com/VividCortex/gohistogram v1.0.0/go.mod"
"github.com/abdullin/seq v0.0.0-20160510034733-d5467c17e7af"
"github.com/abdullin/seq v0.0.0-20160510034733-d5467c17e7af/go.mod"
"github.com/aerospike/aerospike-client-go v3.1.1+incompatible"
"github.com/aerospike/aerospike-client-go v3.1.1+incompatible/go.mod"
"github.com/afex/hystrix-go v0.0.0-20180502004556-fa1af6a1f4f5/go.mod"
"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
"github.com/alecthomas/template v0.0.0-20190718012654-fb15b899a751/go.mod"
"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
"github.com/alecthomas/units v0.0.0-20190717042225-c3de453c63f4/go.mod"
"github.com/alecthomas/units v0.0.0-20190924025748-f65c72e2690d/go.mod"
"github.com/aliyun/alibaba-cloud-sdk-go v0.0.0-20190412020505-60e2075261b6/go.mod"
"github.com/aliyun/alibaba-cloud-sdk-go v0.0.0-20190620160927-9418d7b0cd0f"
"github.com/aliyun/alibaba-cloud-sdk-go v0.0.0-20190620160927-9418d7b0cd0f/go.mod"
"github.com/aliyun/aliyun-oss-go-sdk v0.0.0-20190307165228-86c17b95fcd5"
"github.com/aliyun/aliyun-oss-go-sdk v0.0.0-20190307165228-86c17b95fcd5/go.mod"
"github.com/apache/arrow/go/arrow v0.0.0-20200601151325-b2287a20f230"
"github.com/apache/arrow/go/arrow v0.0.0-20200601151325-b2287a20f230/go.mod"
"github.com/apache/thrift v0.12.0/go.mod"
"github.com/apache/thrift v0.13.0/go.mod"
"github.com/apple/foundationdb/bindings/go v0.0.0-20190411004307-cd5c9d91fad2"
"github.com/apple/foundationdb/bindings/go v0.0.0-20190411004307-cd5c9d91fad2/go.mod"
"github.com/armon/circbuf v0.0.0-20150827004946-bbbad097214e/go.mod"
"github.com/armon/consul-api v0.0.0-20180202201655-eb2c6b5be1b6/go.mod"
"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da/go.mod"
"github.com/armon/go-metrics v0.0.0-20190430140413-ec5e00d3c878/go.mod"
"github.com/armon/go-metrics v0.3.0/go.mod"
"github.com/armon/go-metrics v0.3.3/go.mod"
"github.com/armon/go-metrics v0.3.4/go.mod"
"github.com/armon/go-metrics v0.3.7"
"github.com/armon/go-metrics v0.3.7/go.mod"
"github.com/armon/go-proxyproto v0.0.0-20210323213023-7e956b284f0a"
"github.com/armon/go-proxyproto v0.0.0-20210323213023-7e956b284f0a/go.mod"
"github.com/armon/go-radix v0.0.0-20180808171621-7fddfc383310/go.mod"
"github.com/armon/go-radix v1.0.0"
"github.com/armon/go-radix v1.0.0/go.mod"
"github.com/aryann/difflib v0.0.0-20170710044230-e206f873d14a/go.mod"
"github.com/asaskevich/govalidator v0.0.0-20180720115003-f9ffefc3facf"
"github.com/asaskevich/govalidator v0.0.0-20180720115003-f9ffefc3facf/go.mod"
"github.com/aws/aws-lambda-go v1.13.3/go.mod"
"github.com/aws/aws-sdk-go v1.25.41/go.mod"
"github.com/aws/aws-sdk-go v1.27.0/go.mod"
"github.com/aws/aws-sdk-go v1.30.27/go.mod"
"github.com/aws/aws-sdk-go v1.34.28/go.mod"
"github.com/aws/aws-sdk-go v1.37.19"
"github.com/aws/aws-sdk-go v1.37.19/go.mod"
"github.com/aws/aws-sdk-go-v2 v0.18.0/go.mod"
"github.com/baiyubin/aliyun-sts-go-sdk v0.0.0-20180326062324-cfa1a18b161f"
"github.com/baiyubin/aliyun-sts-go-sdk v0.0.0-20180326062324-cfa1a18b161f/go.mod"
"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
"github.com/beorn7/perks v1.0.0/go.mod"
"github.com/beorn7/perks v1.0.1"
"github.com/beorn7/perks v1.0.1/go.mod"
"github.com/bgentry/speakeasy v0.1.0"
"github.com/bgentry/speakeasy v0.1.0/go.mod"
"github.com/bitly/go-hostpool v0.0.0-20171023180738-a3a6125de932/go.mod"
"github.com/bitly/go-hostpool v0.1.0"
"github.com/bitly/go-hostpool v0.1.0/go.mod"
"github.com/bmizerany/assert v0.0.0-20160611221934-b7ed37b82869"
"github.com/bmizerany/assert v0.0.0-20160611221934-b7ed37b82869/go.mod"
"github.com/boltdb/bolt v1.3.1/go.mod"
"github.com/boombuler/barcode v1.0.1-0.20190219062509-6c824513bacc"
"github.com/boombuler/barcode v1.0.1-0.20190219062509-6c824513bacc/go.mod"
"github.com/briankassouf/jose v0.9.2-0.20180619214549-d2569464773f"
"github.com/briankassouf/jose v0.9.2-0.20180619214549-d2569464773f/go.mod"
"github.com/c2h5oh/datasize v0.0.0-20200112174442-28bbd4740fee/go.mod"
"github.com/casbin/casbin/v2 v2.1.2/go.mod"
"github.com/cenkalti/backoff v2.2.1+incompatible"
"github.com/cenkalti/backoff v2.2.1+incompatible/go.mod"
"github.com/cenkalti/backoff/v3 v3.0.0"
"github.com/cenkalti/backoff/v3 v3.0.0/go.mod"
"github.com/census-instrumentation/opencensus-proto v0.2.1/go.mod"
"github.com/centrify/cloud-golang-sdk v0.0.0-20190214225812-119110094d0f"
"github.com/centrify/cloud-golang-sdk v0.0.0-20190214225812-119110094d0f/go.mod"
"github.com/cespare/xxhash v1.1.0"
"github.com/cespare/xxhash v1.1.0/go.mod"
"github.com/cespare/xxhash/v2 v2.1.1"
"github.com/cespare/xxhash/v2 v2.1.1/go.mod"
"github.com/chrismalek/oktasdk-go v0.0.0-20181212195951-3430665dfaa0"
"github.com/chrismalek/oktasdk-go v0.0.0-20181212195951-3430665dfaa0/go.mod"
"github.com/chzyer/logex v1.1.10/go.mod"
"github.com/chzyer/readline v0.0.0-20180603132655-2972be24d48e/go.mod"
"github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1/go.mod"
"github.com/cilium/ebpf v0.0.0-20200110133405-4032b1d8aae3/go.mod"
"github.com/circonus-labs/circonus-gometrics v2.3.1+incompatible"
"github.com/circonus-labs/circonus-gometrics v2.3.1+incompatible/go.mod"
"github.com/circonus-labs/circonusllhist v0.1.3"
"github.com/circonus-labs/circonusllhist v0.1.3/go.mod"
"github.com/clbanning/x2j v0.0.0-20191024224557-825249438eec/go.mod"
"github.com/client9/misspell v0.3.4"
"github.com/client9/misspell v0.3.4/go.mod"
"github.com/cloudfoundry-community/go-cfclient v0.0.0-20190201205600-f136f9222381"
"github.com/cloudfoundry-community/go-cfclient v0.0.0-20190201205600-f136f9222381/go.mod"
"github.com/cncf/udpa/go v0.0.0-20191209042840-269d4d468f6f/go.mod"
"github.com/cockroachdb/apd v1.1.0"
"github.com/cockroachdb/apd v1.1.0/go.mod"
"github.com/cockroachdb/cockroach-go v0.0.0-20181001143604-e0a95dfd547c"
"github.com/cockroachdb/cockroach-go v0.0.0-20181001143604-e0a95dfd547c/go.mod"
"github.com/cockroachdb/datadriven v0.0.0-20190809214429-80d97fb3cbaa"
"github.com/cockroachdb/datadriven v0.0.0-20190809214429-80d97fb3cbaa/go.mod"
"github.com/codahale/hdrhistogram v0.0.0-20161010025455-3a0bb77429bd/go.mod"
"github.com/codegangsta/inject v0.0.0-20150114235600-33e0aa1cb7c0"
"github.com/codegangsta/inject v0.0.0-20150114235600-33e0aa1cb7c0/go.mod"
"github.com/containerd/cgroups v0.0.0-20200531161412-0dbf7f05ba59/go.mod"
"github.com/containerd/console v0.0.0-20180822173158-c12b1e7919c1/go.mod"
"github.com/containerd/containerd v1.3.2/go.mod"
"github.com/containerd/containerd v1.4.3"
"github.com/containerd/containerd v1.4.3/go.mod"
"github.com/containerd/continuity v0.0.0-20190426062206-aaeac12a7ffc/go.mod"
"github.com/containerd/continuity v0.0.0-20190827140505-75bee3e2ccb6/go.mod"
"github.com/containerd/continuity v0.0.0-20200710164510-efbc4488d8fe"
"github.com/containerd/continuity v0.0.0-20200710164510-efbc4488d8fe/go.mod"
"github.com/containerd/fifo v0.0.0-20190226154929-a9fb20d87448/go.mod"
"github.com/containerd/go-runc v0.0.0-20180907222934-5a6d9f37cfa3/go.mod"
"github.com/containerd/ttrpc v0.0.0-20190828154514-0e0f228740de/go.mod"
"github.com/containerd/typeurl v0.0.0-20180627222232-a93fcdb778cd/go.mod"
"github.com/coreos/bbolt v1.3.2/go.mod"
"github.com/coreos/etcd v3.3.10+incompatible/go.mod"
"github.com/coreos/go-etcd v2.0.0+incompatible/go.mod"
"github.com/coreos/go-oidc v2.2.1+incompatible"
"github.com/coreos/go-oidc v2.2.1+incompatible/go.mod"
"github.com/coreos/go-oidc/v3 v3.0.0"
"github.com/coreos/go-oidc/v3 v3.0.0/go.mod"
"github.com/coreos/go-semver v0.2.0"
"github.com/coreos/go-semver v0.2.0/go.mod"
"github.com/coreos/go-systemd v0.0.0-20180511133405-39ca1b05acc7/go.mod"
"github.com/coreos/go-systemd v0.0.0-20190321100706-95778dfbb74e/go.mod"
"github.com/coreos/go-systemd v0.0.0-20191104093116-d3cd4ed1dbcf"
"github.com/coreos/go-systemd v0.0.0-20191104093116-d3cd4ed1dbcf/go.mod"
"github.com/coreos/go-systemd/v22 v22.0.0"
"github.com/coreos/go-systemd/v22 v22.0.0/go.mod"
"github.com/coreos/pkg v0.0.0-20160727233714-3ac0863d7acf/go.mod"
"github.com/coreos/pkg v0.0.0-20180928190104-399ea9e2e55f/go.mod"
"github.com/couchbase/gocb/v2 v2.1.4"
"github.com/couchbase/gocb/v2 v2.1.4/go.mod"
"github.com/couchbase/gocbcore/v9 v9.0.4"
"github.com/couchbase/gocbcore/v9 v9.0.4/go.mod"
"github.com/cpuguy83/go-md2man v1.0.10/go.mod"
"github.com/cpuguy83/go-md2man/v2 v2.0.0-20190314233015-f79a8a8ca69d/go.mod"
"github.com/cpuguy83/go-md2man/v2 v2.0.0/go.mod"
"github.com/creack/pty v1.1.7/go.mod"
"github.com/creack/pty v1.1.9"
"github.com/creack/pty v1.1.9/go.mod"
"github.com/davecgh/go-spew v1.1.0/go.mod"
"github.com/davecgh/go-spew v1.1.1"
"github.com/davecgh/go-spew v1.1.1/go.mod"
"github.com/denisenkom/go-mssqldb v0.0.0-20200428022330-06a60b6afbbc"
"github.com/denisenkom/go-mssqldb v0.0.0-20200428022330-06a60b6afbbc/go.mod"
"github.com/denverdino/aliyungo v0.0.0-20170926055100-d3308649c661"
"github.com/denverdino/aliyungo v0.0.0-20170926055100-d3308649c661/go.mod"
"github.com/dgrijalva/jwt-go v3.2.0+incompatible"
"github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
"github.com/dgrijalva/jwt-go/v4 v4.0.0-preview1"
"github.com/dgrijalva/jwt-go/v4 v4.0.0-preview1/go.mod"
"github.com/dgryski/go-sip13 v0.0.0-20181026042036-e10d5fee7954/go.mod"
"github.com/digitalocean/godo v1.7.5"
"github.com/digitalocean/godo v1.7.5/go.mod"
"github.com/dimchansky/utfbom v1.1.0/go.mod"
"github.com/dimchansky/utfbom v1.1.1"
"github.com/dimchansky/utfbom v1.1.1/go.mod"
"github.com/dnaeon/go-vcr v1.0.1"
"github.com/dnaeon/go-vcr v1.0.1/go.mod"
"github.com/docker/distribution v2.7.1+incompatible"
"github.com/docker/distribution v2.7.1+incompatible/go.mod"
"github.com/docker/docker v1.4.2-0.20200319182547-c7ad2b866182/go.mod"
"github.com/docker/docker v17.12.0-ce-rc1.0.20200309214505-aa6a9891b09c+incompatible"
"github.com/docker/docker v17.12.0-ce-rc1.0.20200309214505-aa6a9891b09c+incompatible/go.mod"
"github.com/docker/go-connections v0.4.0"
"github.com/docker/go-connections v0.4.0/go.mod"
"github.com/docker/go-units v0.3.3/go.mod"
"github.com/docker/go-units v0.4.0"
"github.com/docker/go-units v0.4.0/go.mod"
"github.com/docker/spdystream v0.0.0-20160310174837-449fdfce4d96/go.mod"
"github.com/dsnet/compress v0.0.1"
"github.com/dsnet/compress v0.0.1/go.mod"
"github.com/dsnet/golib v0.0.0-20171103203638-1ea166775780/go.mod"
"github.com/duosecurity/duo_api_golang v0.0.0-20190308151101-6c680f768e74"
"github.com/duosecurity/duo_api_golang v0.0.0-20190308151101-6c680f768e74/go.mod"
"github.com/dustin/go-humanize v0.0.0-20171111073723-bb3d318650d4/go.mod"
"github.com/dustin/go-humanize v1.0.0"
"github.com/dustin/go-humanize v1.0.0/go.mod"
"github.com/eapache/go-resiliency v1.1.0/go.mod"
"github.com/eapache/go-xerial-snappy v0.0.0-20180814174437-776d5712da21/go.mod"
"github.com/eapache/queue v1.1.0/go.mod"
"github.com/edsrzf/mmap-go v1.0.0/go.mod"
"github.com/elazarl/go-bindata-assetfs v1.0.1-0.20200509193318-234c15e7648f"
"github.com/elazarl/go-bindata-assetfs v1.0.1-0.20200509193318-234c15e7648f/go.mod"
"github.com/elazarl/goproxy v0.0.0-20170405201442-c4fc26588b6e/go.mod"
"github.com/elazarl/goproxy v0.0.0-20180725130230-947c36da3153/go.mod"
"github.com/emicklei/go-restful v0.0.0-20170410110728-ff4f55a20633/go.mod"
"github.com/envoyproxy/go-control-plane v0.6.9/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.0/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.1-0.20191026205805-5f8ba28d4473/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.4/go.mod"
"github.com/envoyproxy/protoc-gen-validate v0.1.0/go.mod"
"github.com/evanphx/json-patch v0.0.0-20190203023257-5858425f7550/go.mod"
"github.com/evanphx/json-patch v4.2.0+incompatible/go.mod"
"github.com/fatih/color v1.7.0/go.mod"
"github.com/fatih/color v1.9.0/go.mod"
"github.com/fatih/color v1.11.0"
"github.com/fatih/color v1.11.0/go.mod"
"github.com/fatih/structs v1.1.0"
"github.com/fatih/structs v1.1.0/go.mod"
"github.com/form3tech-oss/jwt-go v3.2.2+incompatible"
"github.com/form3tech-oss/jwt-go v3.2.2+incompatible/go.mod"
"github.com/franela/goblin v0.0.0-20200105215937-c9ffbefa60db/go.mod"
"github.com/franela/goreq v0.0.0-20171204163338-bcd34c9993f8/go.mod"
"github.com/frankban/quicktest v1.4.0/go.mod"
"github.com/frankban/quicktest v1.4.1/go.mod"
"github.com/frankban/quicktest v1.10.0/go.mod"
"github.com/frankban/quicktest v1.13.0"
"github.com/frankban/quicktest v1.13.0/go.mod"
"github.com/fsnotify/fsnotify v1.4.7/go.mod"
"github.com/fullsailor/pkcs7 v0.0.0-20190404230743-d7302db945fa"
"github.com/fullsailor/pkcs7 v0.0.0-20190404230743-d7302db945fa/go.mod"
"github.com/gammazero/deque v0.0.0-20190130191400-2afb3858e9c7"
"github.com/gammazero/deque v0.0.0-20190130191400-2afb3858e9c7/go.mod"
"github.com/gammazero/workerpool v0.0.0-20190406235159-88d534f22b56"
"github.com/gammazero/workerpool v0.0.0-20190406235159-88d534f22b56/go.mod"
"github.com/ghodss/yaml v0.0.0-20150909031657-73d445a93680/go.mod"
"github.com/ghodss/yaml v1.0.0/go.mod"
"github.com/ghodss/yaml v1.0.1-0.20190212211648-25d852aebe32"
"github.com/ghodss/yaml v1.0.1-0.20190212211648-25d852aebe32/go.mod"
"github.com/go-asn1-ber/asn1-ber v1.3.1/go.mod"
"github.com/go-asn1-ber/asn1-ber v1.4.1/go.mod"
"github.com/go-asn1-ber/asn1-ber v1.5.1"
"github.com/go-asn1-ber/asn1-ber v1.5.1/go.mod"
"github.com/go-errors/errors v1.0.1"
"github.com/go-errors/errors v1.0.1/go.mod"
"github.com/go-gl/glfw v0.0.0-20190409004039-e6da0acd62b1/go.mod"
"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20191125211704-12ad95a8df72/go.mod"
"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20200222043503-6f7a984d4dc4/go.mod"
"github.com/go-kit/kit v0.8.0/go.mod"
"github.com/go-kit/kit v0.9.0/go.mod"
"github.com/go-kit/kit v0.10.0/go.mod"
"github.com/go-ldap/ldap/v3 v3.1.3/go.mod"
"github.com/go-ldap/ldap/v3 v3.1.7/go.mod"
"github.com/go-ldap/ldap/v3 v3.1.10/go.mod"
"github.com/go-ldap/ldap/v3 v3.2.4"
"github.com/go-ldap/ldap/v3 v3.2.4/go.mod"
"github.com/go-ldap/ldif v0.0.0-20200320164324-fd88d9b715b3"
"github.com/go-ldap/ldif v0.0.0-20200320164324-fd88d9b715b3/go.mod"
"github.com/go-logfmt/logfmt v0.3.0/go.mod"
"github.com/go-logfmt/logfmt v0.4.0/go.mod"
"github.com/go-logfmt/logfmt v0.5.0/go.mod"
"github.com/go-logr/logr v0.1.0/go.mod"
"github.com/go-martini/martini v0.0.0-20170121215854-22fa46961aab"
"github.com/go-martini/martini v0.0.0-20170121215854-22fa46961aab/go.mod"
"github.com/go-ole/go-ole v1.2.4"
"github.com/go-ole/go-ole v1.2.4/go.mod"
"github.com/go-openapi/jsonpointer v0.0.0-20160704185906-46af16f9f7b1/go.mod"
"github.com/go-openapi/jsonreference v0.0.0-20160704190145-13c6e3589ad9/go.mod"
"github.com/go-openapi/spec v0.0.0-20160808142527-6aced65f8501/go.mod"
"github.com/go-openapi/swag v0.0.0-20160704191624-1d0bd113de87/go.mod"
"github.com/go-sql-driver/mysql v1.4.0/go.mod"
"github.com/go-sql-driver/mysql v1.5.0"
"github.com/go-sql-driver/mysql v1.5.0/go.mod"
"github.com/go-stack/stack v1.8.0"
"github.com/go-stack/stack v1.8.0/go.mod"
"github.com/go-test/deep v1.0.1/go.mod"
"github.com/go-test/deep v1.0.2-0.20181118220953-042da051cf31/go.mod"
"github.com/go-test/deep v1.0.2/go.mod"
"github.com/go-test/deep v1.0.7"
"github.com/go-test/deep v1.0.7/go.mod"
"github.com/go-yaml/yaml v2.1.0+incompatible"
"github.com/go-yaml/yaml v2.1.0+incompatible/go.mod"
"github.com/gobuffalo/attrs v0.0.0-20190224210810-a9411de4debd/go.mod"
"github.com/gobuffalo/depgen v0.0.0-20190329151759-d478694a28d3/go.mod"
"github.com/gobuffalo/depgen v0.1.0/go.mod"
"github.com/gobuffalo/envy v1.6.15/go.mod"
"github.com/gobuffalo/envy v1.7.0/go.mod"
"github.com/gobuffalo/flect v0.1.0/go.mod"
"github.com/gobuffalo/flect v0.1.1/go.mod"
"github.com/gobuffalo/flect v0.1.3/go.mod"
"github.com/gobuffalo/genny v0.0.0-20190329151137-27723ad26ef9/go.mod"
"github.com/gobuffalo/genny v0.0.0-20190403191548-3ca520ef0d9e/go.mod"
"github.com/gobuffalo/genny v0.1.0/go.mod"
"github.com/gobuffalo/genny v0.1.1/go.mod"
"github.com/gobuffalo/gitgen v0.0.0-20190315122116-cc086187d211/go.mod"
"github.com/gobuffalo/gogen v0.0.0-20190315121717-8f38393713f5/go.mod"
"github.com/gobuffalo/gogen v0.1.0/go.mod"
"github.com/gobuffalo/gogen v0.1.1/go.mod"
"github.com/gobuffalo/logger v0.0.0-20190315122211-86e12af44bc2/go.mod"
"github.com/gobuffalo/mapi v1.0.1/go.mod"
"github.com/gobuffalo/mapi v1.0.2/go.mod"
"github.com/gobuffalo/packd v0.0.0-20190315124812-a385830c7fc0/go.mod"
"github.com/gobuffalo/packd v0.1.0/go.mod"
"github.com/gobuffalo/packr/v2 v2.0.9/go.mod"
"github.com/gobuffalo/packr/v2 v2.2.0/go.mod"
"github.com/gobuffalo/syncx v0.0.0-20190224160051-33c29581e754/go.mod"
"github.com/gocql/gocql v0.0.0-20210401103645-80ab1e13e309"
"github.com/gocql/gocql v0.0.0-20210401103645-80ab1e13e309/go.mod"
"github.com/godbus/dbus/v5 v5.0.3/go.mod"
"github.com/gogo/googleapis v1.1.0/go.mod"
"github.com/gogo/protobuf v1.1.1/go.mod"
"github.com/gogo/protobuf v1.2.0/go.mod"
"github.com/gogo/protobuf v1.2.1/go.mod"
"github.com/gogo/protobuf v1.3.1"
"github.com/gogo/protobuf v1.3.1/go.mod"
"github.com/goji/httpauth v0.0.0-20160601135302-2da839ab0f4d/go.mod"
"github.com/golang-sql/civil v0.0.0-20190719163853-cb61b32ac6fe"
"github.com/golang-sql/civil v0.0.0-20190719163853-cb61b32ac6fe/go.mod"
"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
"github.com/golang/groupcache v0.0.0-20160516000752-02826c3e7903/go.mod"
"github.com/golang/groupcache v0.0.0-20190129154638-5b532d6fd5ef/go.mod"
"github.com/golang/groupcache v0.0.0-20190702054246-869f871628b6/go.mod"
"github.com/golang/groupcache v0.0.0-20191227052852-215e87163ea7/go.mod"
"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e"
"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e/go.mod"
"github.com/golang/lint v0.0.0-20180702182130-06c8688daad7/go.mod"
"github.com/golang/mock v1.1.1/go.mod"
"github.com/golang/mock v1.2.0/go.mod"
"github.com/golang/mock v1.3.1/go.mod"
"github.com/golang/mock v1.4.0/go.mod"
"github.com/golang/mock v1.4.1/go.mod"
"github.com/golang/mock v1.4.3"
"github.com/golang/mock v1.4.3/go.mod"
"github.com/golang/protobuf v0.0.0-20161109072736-4bd1920723d7/go.mod"
"github.com/golang/protobuf v1.2.0/go.mod"
"github.com/golang/protobuf v1.3.1/go.mod"
"github.com/golang/protobuf v1.3.2/go.mod"
"github.com/golang/protobuf v1.3.3/go.mod"
"github.com/golang/protobuf v1.3.4/go.mod"
"github.com/golang/protobuf v1.3.5/go.mod"
"github.com/golang/protobuf v1.4.0-rc.1/go.mod"
"github.com/golang/protobuf v1.4.0-rc.1.0.20200221234624-67d41d38c208/go.mod"
"github.com/golang/protobuf v1.4.0-rc.2/go.mod"
"github.com/golang/protobuf v1.4.0-rc.4.0.20200313231945-b860323f09d0/go.mod"
"github.com/golang/protobuf v1.4.0/go.mod"
"github.com/golang/protobuf v1.4.1/go.mod"
"github.com/golang/protobuf v1.4.2"
"github.com/golang/protobuf v1.4.2/go.mod"
"github.com/golang/snappy v0.0.0-20170215233205-553a64147049/go.mod"
"github.com/golang/snappy v0.0.0-20180518054509-2e65f85255db/go.mod"
"github.com/golang/snappy v0.0.1/go.mod"
"github.com/golang/snappy v0.0.2"
"github.com/golang/snappy v0.0.2/go.mod"
"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
"github.com/google/btree v1.0.0"
"github.com/google/btree v1.0.0/go.mod"
"github.com/google/flatbuffers v1.11.0"
"github.com/google/flatbuffers v1.11.0/go.mod"
"github.com/google/go-cmp v0.2.0/go.mod"
"github.com/google/go-cmp v0.3.0/go.mod"
"github.com/google/go-cmp v0.3.1/go.mod"
"github.com/google/go-cmp v0.4.0/go.mod"
"github.com/google/go-cmp v0.5.0/go.mod"
"github.com/google/go-cmp v0.5.2/go.mod"
"github.com/google/go-cmp v0.5.4/go.mod"
"github.com/google/go-cmp v0.5.5"
"github.com/google/go-cmp v0.5.5/go.mod"
"github.com/google/go-github v17.0.0+incompatible"
"github.com/google/go-github v17.0.0+incompatible/go.mod"
"github.com/google/go-metrics-stackdriver v0.2.0"
"github.com/google/go-metrics-stackdriver v0.2.0/go.mod"
"github.com/google/go-querystring v0.0.0-20170111101155-53e6ce116135/go.mod"
"github.com/google/go-querystring v1.0.0"
"github.com/google/go-querystring v1.0.0/go.mod"
"github.com/google/gofuzz v0.0.0-20170612174753-24818f796faf/go.mod"
"github.com/google/gofuzz v1.0.0/go.mod"
"github.com/google/gofuzz v1.1.0"
"github.com/google/gofuzz v1.1.0/go.mod"
"github.com/google/martian v2.1.0+incompatible"
"github.com/google/martian v2.1.0+incompatible/go.mod"
"github.com/google/pprof v0.0.0-20181206194817-3ea8567a2e57/go.mod"
"github.com/google/pprof v0.0.0-20190515194954-54271f7e092f/go.mod"
"github.com/google/pprof v0.0.0-20191218002539-d4f498aebedc/go.mod"
"github.com/google/pprof v0.0.0-20200212024743-f11f1df84d12/go.mod"
"github.com/google/pprof v0.0.0-20200229191704-1ebb73c60ed3/go.mod"
"github.com/google/renameio v0.1.0/go.mod"
"github.com/google/uuid v1.0.0/go.mod"
"github.com/google/uuid v1.1.1/go.mod"
"github.com/google/uuid v1.1.2"
"github.com/google/uuid v1.1.2/go.mod"
"github.com/googleapis/gax-go/v2 v2.0.4/go.mod"
"github.com/googleapis/gax-go/v2 v2.0.5"
"github.com/googleapis/gax-go/v2 v2.0.5/go.mod"
"github.com/googleapis/gnostic v0.0.0-20170729233727-0c5108395e2d/go.mod"
"github.com/googleapis/gnostic v0.1.0/go.mod"
"github.com/googleapis/gnostic v0.2.0"
"github.com/googleapis/gnostic v0.2.0/go.mod"
"github.com/gophercloud/gophercloud v0.1.0"
"github.com/gophercloud/gophercloud v0.1.0/go.mod"
"github.com/gopherjs/gopherjs v0.0.0-20180628210949-0892b62f0d9f/go.mod"
"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1"
"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1/go.mod"
"github.com/gorhill/cronexpr v0.0.0-20180427100037-88b0669f7d75"
"github.com/gorhill/cronexpr v0.0.0-20180427100037-88b0669f7d75/go.mod"
"github.com/gorilla/context v1.1.1/go.mod"
"github.com/gorilla/mux v1.6.2/go.mod"
"github.com/gorilla/mux v1.7.3"
"github.com/gorilla/mux v1.7.3/go.mod"
"github.com/gorilla/securecookie v1.1.1"
"github.com/gorilla/securecookie v1.1.1/go.mod"
"github.com/gorilla/sessions v1.2.0"
"github.com/gorilla/sessions v1.2.0/go.mod"
"github.com/gorilla/websocket v0.0.0-20170926233335-4201258b820c/go.mod"
"github.com/gorilla/websocket v1.4.0/go.mod"
"github.com/gorilla/websocket v1.4.1"
"github.com/gorilla/websocket v1.4.1/go.mod"
"github.com/gotestyourself/gotestyourself v2.2.0+incompatible"
"github.com/gotestyourself/gotestyourself v2.2.0+incompatible/go.mod"
"github.com/gregjones/httpcache v0.0.0-20180305231024-9cad4c3443a7/go.mod"
"github.com/grpc-ecosystem/go-grpc-middleware v1.0.0/go.mod"
"github.com/grpc-ecosystem/go-grpc-middleware v1.0.1-0.20190118093823-f849b5445de4"
"github.com/grpc-ecosystem/go-grpc-middleware v1.0.1-0.20190118093823-f849b5445de4/go.mod"
"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0"
"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0/go.mod"
"github.com/grpc-ecosystem/grpc-gateway v1.6.2/go.mod"
"github.com/grpc-ecosystem/grpc-gateway v1.9.0/go.mod"
"github.com/grpc-ecosystem/grpc-gateway v1.9.5"
"github.com/grpc-ecosystem/grpc-gateway v1.9.5/go.mod"
"github.com/hailocab/go-hostpool v0.0.0-20160125115350-e80d13ce29ed"
"github.com/hailocab/go-hostpool v0.0.0-20160125115350-e80d13ce29ed/go.mod"
"github.com/hashicorp/cap v0.1.0"
"github.com/hashicorp/cap v0.1.0/go.mod"
"github.com/hashicorp/consul-template v0.26.0"
"github.com/hashicorp/consul-template v0.26.0/go.mod"
"github.com/hashicorp/consul/api v1.3.0/go.mod"
"github.com/hashicorp/consul/api v1.4.0"
"github.com/hashicorp/consul/api v1.4.0/go.mod"
"github.com/hashicorp/consul/sdk v0.1.1/go.mod"
"github.com/hashicorp/consul/sdk v0.3.0/go.mod"
"github.com/hashicorp/consul/sdk v0.4.0/go.mod"
"github.com/hashicorp/consul/sdk v0.4.1-0.20200910203702-bb2b5dd871ca"
"github.com/hashicorp/consul/sdk v0.4.1-0.20200910203702-bb2b5dd871ca/go.mod"
"github.com/hashicorp/errwrap v1.0.0/go.mod"
"github.com/hashicorp/errwrap v1.1.0"
"github.com/hashicorp/errwrap v1.1.0/go.mod"
"github.com/hashicorp/go-bindata v3.0.8-0.20180209072458-bf7910af8997+incompatible"
"github.com/hashicorp/go-bindata v3.0.8-0.20180209072458-bf7910af8997+incompatible/go.mod"
"github.com/hashicorp/go-cleanhttp v0.5.0/go.mod"
"github.com/hashicorp/go-cleanhttp v0.5.1/go.mod"
"github.com/hashicorp/go-cleanhttp v0.5.2"
"github.com/hashicorp/go-cleanhttp v0.5.2/go.mod"
"github.com/hashicorp/go-discover v0.0.0-20201029210230-738cb3105cd0"
"github.com/hashicorp/go-discover v0.0.0-20201029210230-738cb3105cd0/go.mod"
"github.com/hashicorp/go-gatedio v0.5.0"
"github.com/hashicorp/go-gatedio v0.5.0/go.mod"
"github.com/hashicorp/go-gcp-common v0.5.0/go.mod"
"github.com/hashicorp/go-gcp-common v0.7.0"
"github.com/hashicorp/go-gcp-common v0.7.0/go.mod"
"github.com/hashicorp/go-hclog v0.0.0-20180709165350-ff2cf002a8dd/go.mod"
"github.com/hashicorp/go-hclog v0.8.0/go.mod"
"github.com/hashicorp/go-hclog v0.9.1/go.mod"
"github.com/hashicorp/go-hclog v0.9.2/go.mod"
"github.com/hashicorp/go-hclog v0.12.0/go.mod"
"github.com/hashicorp/go-hclog v0.14.1/go.mod"
"github.com/hashicorp/go-hclog v0.15.0/go.mod"
"github.com/hashicorp/go-hclog v0.16.1"
"github.com/hashicorp/go-hclog v0.16.1/go.mod"
"github.com/hashicorp/go-immutable-radix v1.0.0/go.mod"
"github.com/hashicorp/go-immutable-radix v1.1.0/go.mod"
"github.com/hashicorp/go-immutable-radix v1.3.0"
"github.com/hashicorp/go-immutable-radix v1.3.0/go.mod"
"github.com/hashicorp/go-kms-wrapping v0.5.16"
"github.com/hashicorp/go-kms-wrapping v0.5.16/go.mod"
"github.com/hashicorp/go-kms-wrapping/entropy v0.1.0"
"github.com/hashicorp/go-kms-wrapping/entropy v0.1.0/go.mod"
"github.com/hashicorp/go-memdb v1.0.2"
"github.com/hashicorp/go-memdb v1.0.2/go.mod"
"github.com/hashicorp/go-msgpack v0.5.3/go.mod"
"github.com/hashicorp/go-msgpack v0.5.5/go.mod"
"github.com/hashicorp/go-msgpack v1.1.5"
"github.com/hashicorp/go-msgpack v1.1.5/go.mod"
"github.com/hashicorp/go-multierror v1.0.0/go.mod"
"github.com/hashicorp/go-multierror v1.1.0/go.mod"
"github.com/hashicorp/go-multierror v1.1.1"
"github.com/hashicorp/go-multierror v1.1.1/go.mod"
"github.com/hashicorp/go-plugin v1.0.1"
"github.com/hashicorp/go-plugin v1.0.1/go.mod"
"github.com/hashicorp/go-raftchunking v0.6.3-0.20191002164813-7e9e8525653a"
"github.com/hashicorp/go-raftchunking v0.6.3-0.20191002164813-7e9e8525653a/go.mod"
"github.com/hashicorp/go-retryablehttp v0.5.2/go.mod"
"github.com/hashicorp/go-retryablehttp v0.5.3/go.mod"
"github.com/hashicorp/go-retryablehttp v0.6.6/go.mod"
"github.com/hashicorp/go-retryablehttp v0.6.7"
"github.com/hashicorp/go-retryablehttp v0.6.7/go.mod"
"github.com/hashicorp/go-rootcerts v1.0.0/go.mod"
"github.com/hashicorp/go-rootcerts v1.0.1/go.mod"
"github.com/hashicorp/go-rootcerts v1.0.2"
"github.com/hashicorp/go-rootcerts v1.0.2/go.mod"
"github.com/hashicorp/go-slug v0.4.1"
"github.com/hashicorp/go-slug v0.4.1/go.mod"
"github.com/hashicorp/go-sockaddr v1.0.0/go.mod"
"github.com/hashicorp/go-sockaddr v1.0.2"
"github.com/hashicorp/go-sockaddr v1.0.2/go.mod"
"github.com/hashicorp/go-syslog v1.0.0"
"github.com/hashicorp/go-syslog v1.0.0/go.mod"
"github.com/hashicorp/go-tfe v0.12.0"
"github.com/hashicorp/go-tfe v0.12.0/go.mod"
"github.com/hashicorp/go-uuid v1.0.0/go.mod"
"github.com/hashicorp/go-uuid v1.0.1/go.mod"
"github.com/hashicorp/go-uuid v1.0.2"
"github.com/hashicorp/go-uuid v1.0.2/go.mod"
"github.com/hashicorp/go-version v1.0.0/go.mod"
"github.com/hashicorp/go-version v1.2.0/go.mod"
"github.com/hashicorp/go-version v1.2.1"
"github.com/hashicorp/go-version v1.2.1/go.mod"
"github.com/hashicorp/go.net v0.0.1/go.mod"
"github.com/hashicorp/golang-lru v0.5.0/go.mod"
"github.com/hashicorp/golang-lru v0.5.1/go.mod"
"github.com/hashicorp/golang-lru v0.5.3/go.mod"
"github.com/hashicorp/golang-lru v0.5.4"
"github.com/hashicorp/golang-lru v0.5.4/go.mod"
"github.com/hashicorp/hcl v1.0.0/go.mod"
"github.com/hashicorp/hcl v1.0.1-vault-3"
"github.com/hashicorp/hcl v1.0.1-vault-3/go.mod"
"github.com/hashicorp/logutils v1.0.0"
"github.com/hashicorp/logutils v1.0.0/go.mod"
"github.com/hashicorp/mdns v1.0.0/go.mod"
"github.com/hashicorp/mdns v1.0.1"
"github.com/hashicorp/mdns v1.0.1/go.mod"
"github.com/hashicorp/memberlist v0.1.3/go.mod"
"github.com/hashicorp/memberlist v0.2.2"
"github.com/hashicorp/memberlist v0.2.2/go.mod"
"github.com/hashicorp/nomad/api v0.0.0-20191220223628-edc62acd919d"
"github.com/hashicorp/nomad/api v0.0.0-20191220223628-edc62acd919d/go.mod"
"github.com/hashicorp/raft v1.0.1/go.mod"
"github.com/hashicorp/raft v1.1.0/go.mod"
"github.com/hashicorp/raft v1.1.2-0.20191002163536-9c6bd3e3eb17/go.mod"
"github.com/hashicorp/raft v1.2.0/go.mod"
"github.com/hashicorp/raft v1.3.0"
"github.com/hashicorp/raft v1.3.0/go.mod"
"github.com/hashicorp/raft-autopilot v0.1.3"
"github.com/hashicorp/raft-autopilot v0.1.3/go.mod"
"github.com/hashicorp/raft-boltdb v0.0.0-20171010151810-6e5ba93211ea"
"github.com/hashicorp/raft-boltdb v0.0.0-20171010151810-6e5ba93211ea/go.mod"
"github.com/hashicorp/raft-boltdb/v2 v2.0.0-20210421194847-a7e34179d62c"
"github.com/hashicorp/raft-boltdb/v2 v2.0.0-20210421194847-a7e34179d62c/go.mod"
"github.com/hashicorp/raft-snapshot v1.0.3"
"github.com/hashicorp/raft-snapshot v1.0.3/go.mod"
"github.com/hashicorp/serf v0.8.2/go.mod"
"github.com/hashicorp/serf v0.9.4/go.mod"
"github.com/hashicorp/serf v0.9.5"
"github.com/hashicorp/serf v0.9.5/go.mod"
"github.com/hashicorp/vault-plugin-auth-alicloud v0.9.0"
"github.com/hashicorp/vault-plugin-auth-alicloud v0.9.0/go.mod"
"github.com/hashicorp/vault-plugin-auth-azure v0.8.0"
"github.com/hashicorp/vault-plugin-auth-azure v0.8.0/go.mod"
"github.com/hashicorp/vault-plugin-auth-centrify v0.9.0"
"github.com/hashicorp/vault-plugin-auth-centrify v0.9.0/go.mod"
"github.com/hashicorp/vault-plugin-auth-cf v0.9.0"
"github.com/hashicorp/vault-plugin-auth-cf v0.9.0/go.mod"
"github.com/hashicorp/vault-plugin-auth-gcp v0.5.1/go.mod"
"github.com/hashicorp/vault-plugin-auth-gcp v0.10.0"
"github.com/hashicorp/vault-plugin-auth-gcp v0.10.0/go.mod"
"github.com/hashicorp/vault-plugin-auth-jwt v0.10.1"
"github.com/hashicorp/vault-plugin-auth-jwt v0.10.1/go.mod"
"github.com/hashicorp/vault-plugin-auth-kerberos v0.4.0"
"github.com/hashicorp/vault-plugin-auth-kerberos v0.4.0/go.mod"
"github.com/hashicorp/vault-plugin-auth-kubernetes v0.10.1"
"github.com/hashicorp/vault-plugin-auth-kubernetes v0.10.1/go.mod"
"github.com/hashicorp/vault-plugin-auth-oci v0.8.0"
"github.com/hashicorp/vault-plugin-auth-oci v0.8.0/go.mod"
"github.com/hashicorp/vault-plugin-database-couchbase v0.4.0"
"github.com/hashicorp/vault-plugin-database-couchbase v0.4.0/go.mod"
"github.com/hashicorp/vault-plugin-database-elasticsearch v0.8.0"
"github.com/hashicorp/vault-plugin-database-elasticsearch v0.8.0/go.mod"
"github.com/hashicorp/vault-plugin-database-mongodbatlas v0.4.0"
"github.com/hashicorp/vault-plugin-database-mongodbatlas v0.4.0/go.mod"
"github.com/hashicorp/vault-plugin-database-snowflake v0.2.0"
"github.com/hashicorp/vault-plugin-database-snowflake v0.2.0/go.mod"
"github.com/hashicorp/vault-plugin-mock v0.16.1"
"github.com/hashicorp/vault-plugin-mock v0.16.1/go.mod"
"github.com/hashicorp/vault-plugin-secrets-ad v0.10.0"
"github.com/hashicorp/vault-plugin-secrets-ad v0.10.0/go.mod"
"github.com/hashicorp/vault-plugin-secrets-alicloud v0.9.0"
"github.com/hashicorp/vault-plugin-secrets-alicloud v0.9.0/go.mod"
"github.com/hashicorp/vault-plugin-secrets-azure v0.10.0"
"github.com/hashicorp/vault-plugin-secrets-azure v0.10.0/go.mod"
"github.com/hashicorp/vault-plugin-secrets-gcp v0.10.1"
"github.com/hashicorp/vault-plugin-secrets-gcp v0.10.1/go.mod"
"github.com/hashicorp/vault-plugin-secrets-gcpkms v0.9.0"
"github.com/hashicorp/vault-plugin-secrets-gcpkms v0.9.0/go.mod"
"github.com/hashicorp/vault-plugin-secrets-kv v0.9.0"
"github.com/hashicorp/vault-plugin-secrets-kv v0.9.0/go.mod"
"github.com/hashicorp/vault-plugin-secrets-mongodbatlas v0.4.0"
"github.com/hashicorp/vault-plugin-secrets-mongodbatlas v0.4.0/go.mod"
"github.com/hashicorp/vault-plugin-secrets-openldap v0.5.1"
"github.com/hashicorp/vault-plugin-secrets-openldap v0.5.1/go.mod"
"github.com/hashicorp/vault-plugin-secrets-terraform v0.2.0"
"github.com/hashicorp/vault-plugin-secrets-terraform v0.2.0/go.mod"
"github.com/hashicorp/vic v1.5.1-0.20190403131502-bbfe86ec9443"
"github.com/hashicorp/vic v1.5.1-0.20190403131502-bbfe86ec9443/go.mod"
"github.com/hashicorp/yamux v0.0.0-20180604194846-3520598351bb/go.mod"
"github.com/hashicorp/yamux v0.0.0-20181012175058-2f1d1f20f75d"
"github.com/hashicorp/yamux v0.0.0-20181012175058-2f1d1f20f75d/go.mod"
"github.com/hpcloud/tail v1.0.0"
"github.com/hpcloud/tail v1.0.0/go.mod"
"github.com/huandu/xstrings v1.3.2"
"github.com/huandu/xstrings v1.3.2/go.mod"
"github.com/huaweicloud/golangsdk v0.0.0-20200304081349-45ec0797f2a4/go.mod"
"github.com/hudl/fargo v1.3.0/go.mod"
"github.com/ianlancetaylor/demangle v0.0.0-20181102032728-5e5cf60278f6/go.mod"
"github.com/imdario/mergo v0.3.5/go.mod"
"github.com/imdario/mergo v0.3.6/go.mod"
"github.com/imdario/mergo v0.3.11"
"github.com/imdario/mergo v0.3.11/go.mod"
"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
"github.com/influxdata/influxdb v0.0.0-20190411212539-d24b7ba8c4c4"
"github.com/influxdata/influxdb v0.0.0-20190411212539-d24b7ba8c4c4/go.mod"
"github.com/influxdata/influxdb1-client v0.0.0-20191209144304-8bf82d3c094d/go.mod"
"github.com/jackc/fake v0.0.0-20150926172116-812a484cc733"
"github.com/jackc/fake v0.0.0-20150926172116-812a484cc733/go.mod"
"github.com/jackc/pgx v3.3.0+incompatible"
"github.com/jackc/pgx v3.3.0+incompatible/go.mod"
"github.com/jarcoal/httpmock v0.0.0-20180424175123-9c70cfe4a1da/go.mod"
"github.com/jarcoal/httpmock v1.0.4/go.mod"
"github.com/jarcoal/httpmock v1.0.5"
"github.com/jarcoal/httpmock v1.0.5/go.mod"
"github.com/jcmturner/aescts v1.0.1"
"github.com/jcmturner/aescts v1.0.1/go.mod"
"github.com/jcmturner/dnsutils v1.0.1"
"github.com/jcmturner/dnsutils v1.0.1/go.mod"
"github.com/jcmturner/gofork v1.0.0"
"github.com/jcmturner/gofork v1.0.0/go.mod"
"github.com/jcmturner/goidentity/v6 v6.0.1"
"github.com/jcmturner/goidentity/v6 v6.0.1/go.mod"
"github.com/jcmturner/gokrb5/v8 v8.0.0"
"github.com/jcmturner/gokrb5/v8 v8.0.0/go.mod"
"github.com/jcmturner/rpc/v2 v2.0.2"
"github.com/jcmturner/rpc/v2 v2.0.2/go.mod"
"github.com/jeffchao/backoff v0.0.0-20140404060208-9d7fd7aa17f2"
"github.com/jeffchao/backoff v0.0.0-20140404060208-9d7fd7aa17f2/go.mod"
"github.com/jefferai/isbadcipher v0.0.0-20190226160619-51d2077c035f"
"github.com/jefferai/isbadcipher v0.0.0-20190226160619-51d2077c035f/go.mod"
"github.com/jefferai/jsonx v1.0.0"
"github.com/jefferai/jsonx v1.0.0/go.mod"
"github.com/jmespath/go-jmespath v0.0.0-20180206201540-c2b33e8439af/go.mod"
"github.com/jmespath/go-jmespath v0.3.0/go.mod"
"github.com/jmespath/go-jmespath v0.4.0"
"github.com/jmespath/go-jmespath v0.4.0/go.mod"
"github.com/jmespath/go-jmespath/internal/testify v1.5.1"
"github.com/jmespath/go-jmespath/internal/testify v1.5.1/go.mod"
"github.com/joho/godotenv v1.3.0/go.mod"
"github.com/jonboulle/clockwork v0.1.0"
"github.com/jonboulle/clockwork v0.1.0/go.mod"
"github.com/joyent/triton-go v0.0.0-20180628001255-830d2b111e62/go.mod"
"github.com/joyent/triton-go v1.7.1-0.20200416154420-6801d15b779f"
"github.com/joyent/triton-go v1.7.1-0.20200416154420-6801d15b779f/go.mod"
"github.com/jpillora/backoff v1.0.0/go.mod"
"github.com/json-iterator/go v0.0.0-20180701071628-ab8a2e0c74be/go.mod"
"github.com/json-iterator/go v1.1.5/go.mod"
"github.com/json-iterator/go v1.1.6/go.mod"
"github.com/json-iterator/go v1.1.7/go.mod"
"github.com/json-iterator/go v1.1.8/go.mod"
"github.com/json-iterator/go v1.1.9/go.mod"
"github.com/json-iterator/go v1.1.10"
"github.com/json-iterator/go v1.1.10/go.mod"
"github.com/jstemmer/go-junit-report v0.0.0-20190106144839-af01ea7f8024/go.mod"
"github.com/jstemmer/go-junit-report v0.9.1"
"github.com/jstemmer/go-junit-report v0.9.1/go.mod"
"github.com/jtolds/gls v4.2.1+incompatible/go.mod"
"github.com/jtolds/gls v4.20.0+incompatible"
"github.com/jtolds/gls v4.20.0+incompatible/go.mod"
"github.com/julienschmidt/httprouter v1.2.0/go.mod"
"github.com/julienschmidt/httprouter v1.3.0/go.mod"
"github.com/karrick/godirwalk v1.8.0/go.mod"
"github.com/karrick/godirwalk v1.10.3/go.mod"
"github.com/kelseyhightower/envconfig v1.3.0/go.mod"
"github.com/kelseyhightower/envconfig v1.4.0"
"github.com/kelseyhightower/envconfig v1.4.0/go.mod"
"github.com/keybase/go-crypto v0.0.0-20190403132359-d65b6b94177f"
"github.com/keybase/go-crypto v0.0.0-20190403132359-d65b6b94177f/go.mod"
"github.com/kisielk/errcheck v1.1.0/go.mod"
"github.com/kisielk/errcheck v1.2.0/go.mod"
"github.com/kisielk/gotool v1.0.0/go.mod"
"github.com/klauspost/compress v1.4.1/go.mod"
"github.com/klauspost/compress v1.9.5"
"github.com/klauspost/compress v1.9.5/go.mod"
"github.com/klauspost/cpuid v1.2.0/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.2/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.3"
"github.com/konsorten/go-windows-terminal-sequences v1.0.3/go.mod"
"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515/go.mod"
"github.com/kr/pretty v0.1.0/go.mod"
"github.com/kr/pretty v0.2.0/go.mod"
"github.com/kr/pretty v0.2.1"
"github.com/kr/pretty v0.2.1/go.mod"
"github.com/kr/pty v1.1.1/go.mod"
"github.com/kr/text v0.1.0/go.mod"
"github.com/kr/text v0.2.0"
"github.com/kr/text v0.2.0/go.mod"
"github.com/lestrrat-go/jwx v0.9.0/go.mod"
"github.com/lib/pq v0.0.0-20180327071824-d34b9ff171c2/go.mod"
"github.com/lib/pq v1.1.1/go.mod"
"github.com/lib/pq v1.2.0/go.mod"
"github.com/lib/pq v1.8.0"
"github.com/lib/pq v1.8.0/go.mod"
"github.com/lightstep/lightstep-tracer-common/golang/gogo v0.0.0-20190605223551-bc2310a04743/go.mod"
"github.com/lightstep/lightstep-tracer-go v0.18.1/go.mod"
"github.com/linode/linodego v0.7.1"
"github.com/linode/linodego v0.7.1/go.mod"
"github.com/lyft/protoc-gen-validate v0.0.13/go.mod"
"github.com/magiconair/properties v1.8.0/go.mod"
"github.com/mailru/easyjson v0.0.0-20160728113105-d5b7844b561a/go.mod"
"github.com/markbates/oncer v0.0.0-20181203154359-bf2de49a0be2/go.mod"
"github.com/markbates/safe v1.0.1/go.mod"
"github.com/martini-contrib/render v0.0.0-20150707142108-ec18f8345a11"
"github.com/martini-contrib/render v0.0.0-20150707142108-ec18f8345a11/go.mod"
"github.com/mattn/go-colorable v0.0.9/go.mod"
"github.com/mattn/go-colorable v0.1.4/go.mod"
"github.com/mattn/go-colorable v0.1.6/go.mod"
"github.com/mattn/go-colorable v0.1.7/go.mod"
"github.com/mattn/go-colorable v0.1.8"
"github.com/mattn/go-colorable v0.1.8/go.mod"
"github.com/mattn/go-ieproxy v0.0.1"
"github.com/mattn/go-ieproxy v0.0.1/go.mod"
"github.com/mattn/go-isatty v0.0.3/go.mod"
"github.com/mattn/go-isatty v0.0.4/go.mod"
"github.com/mattn/go-isatty v0.0.8/go.mod"
"github.com/mattn/go-isatty v0.0.10/go.mod"
"github.com/mattn/go-isatty v0.0.11/go.mod"
"github.com/mattn/go-isatty v0.0.12"
"github.com/mattn/go-isatty v0.0.12/go.mod"
"github.com/mattn/go-runewidth v0.0.2/go.mod"
"github.com/mattn/go-runewidth v0.0.3/go.mod"
"github.com/mattn/go-shellwords v1.0.12"
"github.com/mattn/go-shellwords v1.0.12/go.mod"
"github.com/matttproud/golang_protobuf_extensions v1.0.1"
"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
"github.com/mholt/archiver v3.1.1+incompatible"
"github.com/mholt/archiver v3.1.1+incompatible/go.mod"
"github.com/michaelklishin/rabbit-hole v0.0.0-20191008194146-93d9988f0cd5"
"github.com/michaelklishin/rabbit-hole v0.0.0-20191008194146-93d9988f0cd5/go.mod"
"github.com/miekg/dns v1.0.14/go.mod"
"github.com/miekg/dns v1.1.26/go.mod"
"github.com/miekg/dns v1.1.40"
"github.com/miekg/dns v1.1.40/go.mod"
"github.com/mitchellh/cli v1.0.0/go.mod"
"github.com/mitchellh/cli v1.1.0/go.mod"
"github.com/mitchellh/cli v1.1.2"
"github.com/mitchellh/cli v1.1.2/go.mod"
"github.com/mitchellh/copystructure v1.0.0"
"github.com/mitchellh/copystructure v1.0.0/go.mod"
"github.com/mitchellh/go-homedir v1.0.0/go.mod"
"github.com/mitchellh/go-homedir v1.1.0"
"github.com/mitchellh/go-homedir v1.1.0/go.mod"
"github.com/mitchellh/go-testing-interface v0.0.0-20171004221916-a61a99592b77/go.mod"
"github.com/mitchellh/go-testing-interface v1.0.0/go.mod"
"github.com/mitchellh/go-testing-interface v1.14.0"
"github.com/mitchellh/go-testing-interface v1.14.0/go.mod"
"github.com/mitchellh/go-wordwrap v1.0.0"
"github.com/mitchellh/go-wordwrap v1.0.0/go.mod"
"github.com/mitchellh/gox v0.4.0/go.mod"
"github.com/mitchellh/gox v1.0.1"
"github.com/mitchellh/gox v1.0.1/go.mod"
"github.com/mitchellh/hashstructure v1.0.0"
"github.com/mitchellh/hashstructure v1.0.0/go.mod"
"github.com/mitchellh/iochan v1.0.0"
"github.com/mitchellh/iochan v1.0.0/go.mod"
"github.com/mitchellh/mapstructure v0.0.0-20160808181253-ca63d7c062ee/go.mod"
"github.com/mitchellh/mapstructure v1.1.2/go.mod"
"github.com/mitchellh/mapstructure v1.2.2/go.mod"
"github.com/mitchellh/mapstructure v1.3.2/go.mod"
"github.com/mitchellh/mapstructure v1.3.3"
"github.com/mitchellh/mapstructure v1.3.3/go.mod"
"github.com/mitchellh/pointerstructure v1.0.0"
"github.com/mitchellh/pointerstructure v1.0.0/go.mod"
"github.com/mitchellh/reflectwalk v1.0.0/go.mod"
"github.com/mitchellh/reflectwalk v1.0.1"
"github.com/mitchellh/reflectwalk v1.0.1/go.mod"
"github.com/moby/term v0.0.0-20200915141129-7f0af18e79f2"
"github.com/moby/term v0.0.0-20200915141129-7f0af18e79f2/go.mod"
"github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd"
"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
"github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
"github.com/modern-go/reflect2 v1.0.1"
"github.com/modern-go/reflect2 v1.0.1/go.mod"
"github.com/mongodb/go-client-mongodb-atlas v0.1.2"
"github.com/mongodb/go-client-mongodb-atlas v0.1.2/go.mod"
"github.com/montanaflynn/stats v0.0.0-20171201202039-1bf9dbcd8cbe/go.mod"
"github.com/morikuni/aec v1.0.0"
"github.com/morikuni/aec v1.0.0/go.mod"
"github.com/munnerz/goautoneg v0.0.0-20120707110453-a547fc61f48d/go.mod"
"github.com/mwielbut/pointy v1.1.0"
"github.com/mwielbut/pointy v1.1.0/go.mod"
"github.com/mwitkow/go-conntrack v0.0.0-20161129095857-cc309e4a2223/go.mod"
"github.com/mwitkow/go-conntrack v0.0.0-20190716064945-2f068394615f/go.mod"
"github.com/mxk/go-flowrate v0.0.0-20140419014527-cca7078d478f/go.mod"
"github.com/natefinch/atomic v0.0.0-20150920032501-a62ce929ffcc"
"github.com/natefinch/atomic v0.0.0-20150920032501-a62ce929ffcc/go.mod"
"github.com/nats-io/jwt v0.3.0/go.mod"
"github.com/nats-io/jwt v0.3.2/go.mod"
"github.com/nats-io/nats-server/v2 v2.1.2/go.mod"
"github.com/nats-io/nats.go v1.9.1/go.mod"
"github.com/nats-io/nkeys v0.1.0/go.mod"
"github.com/nats-io/nkeys v0.1.3/go.mod"
"github.com/nats-io/nuid v1.0.1/go.mod"
"github.com/ncw/swift v1.0.47"
"github.com/ncw/swift v1.0.47/go.mod"
"github.com/nicolai86/scaleway-sdk v1.10.2-0.20180628010248-798f60e20bb2"
"github.com/nicolai86/scaleway-sdk v1.10.2-0.20180628010248-798f60e20bb2/go.mod"
"github.com/niemeyer/pretty v0.0.0-20200227124842-a10e7caefd8e"
"github.com/niemeyer/pretty v0.0.0-20200227124842-a10e7caefd8e/go.mod"
"github.com/nwaples/rardecode v1.1.0"
"github.com/nwaples/rardecode v1.1.0/go.mod"
"github.com/oklog/oklog v0.3.2/go.mod"
"github.com/oklog/run v1.0.0"
"github.com/oklog/run v1.0.0/go.mod"
"github.com/oklog/ulid v1.3.1/go.mod"
"github.com/okta/okta-sdk-golang v1.1.0"
"github.com/okta/okta-sdk-golang v1.1.0/go.mod"
"github.com/okta/okta-sdk-golang/v2 v2.0.0"
"github.com/okta/okta-sdk-golang/v2 v2.0.0/go.mod"
"github.com/olekukonko/tablewriter v0.0.0-20170122224234-a0225b3f23b5/go.mod"
"github.com/olekukonko/tablewriter v0.0.0-20180130162743-b8a9be070da4/go.mod"
"github.com/onsi/ginkgo v0.0.0-20170829012221-11459a886d9c/go.mod"
"github.com/onsi/ginkgo v1.6.0/go.mod"
"github.com/onsi/ginkgo v1.7.0/go.mod"
"github.com/onsi/ginkgo v1.8.0/go.mod"
"github.com/onsi/ginkgo v1.10.1/go.mod"
"github.com/onsi/ginkgo v1.11.0"
"github.com/onsi/ginkgo v1.11.0/go.mod"
"github.com/onsi/gomega v0.0.0-20170829124025-dcabb60a477c/go.mod"
"github.com/onsi/gomega v0.0.0-20190113212917-5533ce8a0da3/go.mod"
"github.com/onsi/gomega v1.4.3/go.mod"
"github.com/onsi/gomega v1.5.0/go.mod"
"github.com/onsi/gomega v1.7.0"
"github.com/onsi/gomega v1.7.0/go.mod"
"github.com/op/go-logging v0.0.0-20160315200505-970db520ece7/go.mod"
"github.com/opencontainers/go-digest v0.0.0-20180430190053-c9281466c8b2/go.mod"
"github.com/opencontainers/go-digest v1.0.0-rc1"
"github.com/opencontainers/go-digest v1.0.0-rc1/go.mod"
"github.com/opencontainers/image-spec v1.0.1"
"github.com/opencontainers/image-spec v1.0.1/go.mod"
"github.com/opencontainers/runc v0.0.0-20190115041553-12f6a991201f/go.mod"
"github.com/opencontainers/runc v0.1.1/go.mod"
"github.com/opencontainers/runc v1.0.0-rc9"
"github.com/opencontainers/runc v1.0.0-rc9/go.mod"
"github.com/opencontainers/runtime-spec v1.0.2/go.mod"
"github.com/openlyinc/pointy v1.1.2"
"github.com/openlyinc/pointy v1.1.2/go.mod"
"github.com/opentracing-contrib/go-observer v0.0.0-20170622124052-a52f23424492/go.mod"
"github.com/opentracing/basictracer-go v1.0.0/go.mod"
"github.com/opentracing/opentracing-go v1.0.2/go.mod"
"github.com/opentracing/opentracing-go v1.1.0/go.mod"
"github.com/openzipkin-contrib/zipkin-go-opentracing v0.4.5/go.mod"
"github.com/openzipkin/zipkin-go v0.1.3/go.mod"
"github.com/openzipkin/zipkin-go v0.1.6/go.mod"
"github.com/openzipkin/zipkin-go v0.2.1/go.mod"
"github.com/openzipkin/zipkin-go v0.2.2/go.mod"
"github.com/oracle/oci-go-sdk v7.0.0+incompatible/go.mod"
"github.com/oracle/oci-go-sdk v12.5.0+incompatible"
"github.com/oracle/oci-go-sdk v12.5.0+incompatible/go.mod"
"github.com/ory/dockertest v3.3.4+incompatible/go.mod"
"github.com/ory/dockertest v3.3.5+incompatible"
"github.com/ory/dockertest v3.3.5+incompatible/go.mod"
"github.com/ory/dockertest/v3 v3.6.2"
"github.com/ory/dockertest/v3 v3.6.2/go.mod"
"github.com/oxtoacart/bpool v0.0.0-20150712133111-4e1c5567d7c2"
"github.com/oxtoacart/bpool v0.0.0-20150712133111-4e1c5567d7c2/go.mod"
"github.com/packethost/packngo v0.1.1-0.20180711074735-b9cb5096f54c"
"github.com/packethost/packngo v0.1.1-0.20180711074735-b9cb5096f54c/go.mod"
"github.com/pact-foundation/pact-go v1.0.4/go.mod"
"github.com/pascaldekloe/goe v0.0.0-20180627143212-57f6aae5913c/go.mod"
"github.com/pascaldekloe/goe v0.1.0"
"github.com/pascaldekloe/goe v0.1.0/go.mod"
"github.com/patrickmn/go-cache v0.0.0-20180815053127-5633e0862627/go.mod"
"github.com/patrickmn/go-cache v2.1.0+incompatible"
"github.com/patrickmn/go-cache v2.1.0+incompatible/go.mod"
"github.com/pborman/uuid v1.2.0/go.mod"
"github.com/pelletier/go-toml v1.2.0/go.mod"
"github.com/pelletier/go-toml v1.7.0/go.mod"
"github.com/performancecopilot/speed v3.0.0+incompatible/go.mod"
"github.com/peterbourgon/diskv v2.0.1+incompatible/go.mod"
"github.com/petermattis/goid v0.0.0-20180202154549-b0b1615b78e5"
"github.com/petermattis/goid v0.0.0-20180202154549-b0b1615b78e5/go.mod"
"github.com/pierrec/lz4 v1.0.2-0.20190131084431-473cd7ce01a1/go.mod"
"github.com/pierrec/lz4 v2.0.5+incompatible/go.mod"
"github.com/pierrec/lz4 v2.2.6+incompatible/go.mod"
"github.com/pierrec/lz4 v2.5.2+incompatible"
"github.com/pierrec/lz4 v2.5.2+incompatible/go.mod"
"github.com/pkg/browser v0.0.0-20180916011732-0a3d74bf9ce4"
"github.com/pkg/browser v0.0.0-20180916011732-0a3d74bf9ce4/go.mod"
"github.com/pkg/errors v0.8.0/go.mod"
"github.com/pkg/errors v0.8.1-0.20171018195549-f15c970de5b7/go.mod"
"github.com/pkg/errors v0.8.1/go.mod"
"github.com/pkg/errors v0.9.1"
"github.com/pkg/errors v0.9.1/go.mod"
"github.com/pkg/profile v1.2.1/go.mod"
"github.com/pmezard/go-difflib v1.0.0"
"github.com/pmezard/go-difflib v1.0.0/go.mod"
"github.com/posener/complete v1.1.1/go.mod"
"github.com/posener/complete v1.2.3"
"github.com/posener/complete v1.2.3/go.mod"
"github.com/pquerna/cachecontrol v0.0.0-20201205024021-ac21108117ac"
"github.com/pquerna/cachecontrol v0.0.0-20201205024021-ac21108117ac/go.mod"
"github.com/pquerna/otp v1.2.1-0.20191009055518-468c2dd2b58d"
"github.com/pquerna/otp v1.2.1-0.20191009055518-468c2dd2b58d/go.mod"
"github.com/prometheus/client_golang v0.9.1/go.mod"
"github.com/prometheus/client_golang v0.9.2/go.mod"
"github.com/prometheus/client_golang v0.9.3-0.20190127221311-3c4408c8b829/go.mod"
"github.com/prometheus/client_golang v0.9.3/go.mod"
"github.com/prometheus/client_golang v1.0.0/go.mod"
"github.com/prometheus/client_golang v1.3.0/go.mod"
"github.com/prometheus/client_golang v1.4.0/go.mod"
"github.com/prometheus/client_golang v1.7.1"
"github.com/prometheus/client_golang v1.7.1/go.mod"
"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
"github.com/prometheus/client_model v0.0.0-20190115171406-56726106282f/go.mod"
"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90/go.mod"
"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4/go.mod"
"github.com/prometheus/client_model v0.1.0/go.mod"
"github.com/prometheus/client_model v0.2.0"
"github.com/prometheus/client_model v0.2.0/go.mod"
"github.com/prometheus/common v0.0.0-20181113130724-41aa239b4cce/go.mod"
"github.com/prometheus/common v0.0.0-20181126121408-4724e9255275/go.mod"
"github.com/prometheus/common v0.2.0/go.mod"
"github.com/prometheus/common v0.4.0/go.mod"
"github.com/prometheus/common v0.4.1/go.mod"
"github.com/prometheus/common v0.7.0/go.mod"
"github.com/prometheus/common v0.9.1/go.mod"
"github.com/prometheus/common v0.10.0/go.mod"
"github.com/prometheus/common v0.11.1"
"github.com/prometheus/common v0.11.1/go.mod"
"github.com/prometheus/procfs v0.0.0-20180125133057-cb4147076ac7/go.mod"
"github.com/prometheus/procfs v0.0.0-20181005140218-185b4288413d/go.mod"
"github.com/prometheus/procfs v0.0.0-20181204211112-1dc9a6cbc91a/go.mod"
"github.com/prometheus/procfs v0.0.0-20190117184657-bf6a532e95b1/go.mod"
"github.com/prometheus/procfs v0.0.0-20190507164030-5867b95ac084/go.mod"
"github.com/prometheus/procfs v0.0.2/go.mod"
"github.com/prometheus/procfs v0.0.8/go.mod"
"github.com/prometheus/procfs v0.1.3"
"github.com/prometheus/procfs v0.1.3/go.mod"
"github.com/prometheus/tsdb v0.7.1/go.mod"
"github.com/rboyer/safeio v0.2.1"
"github.com/rboyer/safeio v0.2.1/go.mod"
"github.com/rcrowley/go-metrics v0.0.0-20181016184325-3113b8401b8a/go.mod"
"github.com/renier/xmlrpc v0.0.0-20170708154548-ce4a1a486c03"
"github.com/renier/xmlrpc v0.0.0-20170708154548-ce4a1a486c03/go.mod"
"github.com/rogpeppe/fastuuid v0.0.0-20150106093220-6724a57986af/go.mod"
"github.com/rogpeppe/go-internal v1.1.0/go.mod"
"github.com/rogpeppe/go-internal v1.2.2/go.mod"
"github.com/rogpeppe/go-internal v1.3.0/go.mod"
"github.com/rogpeppe/go-internal v1.6.2"
"github.com/rogpeppe/go-internal v1.6.2/go.mod"
"github.com/rs/zerolog v1.4.0/go.mod"
"github.com/russross/blackfriday v1.5.2/go.mod"
"github.com/russross/blackfriday/v2 v2.0.1/go.mod"
"github.com/ryanuber/columnize v0.0.0-20160712163229-9b3edd62028f/go.mod"
"github.com/ryanuber/columnize v2.1.0+incompatible"
"github.com/ryanuber/columnize v2.1.0+incompatible/go.mod"
"github.com/ryanuber/go-glob v1.0.0"
"github.com/ryanuber/go-glob v1.0.0/go.mod"
"github.com/samuel/go-zookeeper v0.0.0-20190923202752-2cc03de413da"
"github.com/samuel/go-zookeeper v0.0.0-20190923202752-2cc03de413da/go.mod"
"github.com/sasha-s/go-deadlock v0.2.0"
"github.com/sasha-s/go-deadlock v0.2.0/go.mod"
"github.com/satori/go.uuid v1.2.0"
"github.com/satori/go.uuid v1.2.0/go.mod"
"github.com/sean-/conswriter v0.0.0-20180208195008-f5ae3917a627/go.mod"
"github.com/sean-/pager v0.0.0-20180208200047-666be9bf53b5/go.mod"
"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529"
"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529/go.mod"
"github.com/sethvargo/go-limiter v0.3.0"
"github.com/sethvargo/go-limiter v0.3.0/go.mod"
"github.com/shirou/gopsutil v3.21.5+incompatible"
"github.com/shirou/gopsutil v3.21.5+incompatible/go.mod"
"github.com/shopspring/decimal v0.0.0-20180709203117-cd690d0c9e24"
"github.com/shopspring/decimal v0.0.0-20180709203117-cd690d0c9e24/go.mod"
"github.com/shurcooL/sanitized_anchor_name v1.0.0/go.mod"
"github.com/sirupsen/logrus v1.0.4-0.20170822132746-89742aefa4b2/go.mod"
"github.com/sirupsen/logrus v1.0.6/go.mod"
"github.com/sirupsen/logrus v1.2.0/go.mod"
"github.com/sirupsen/logrus v1.4.0/go.mod"
"github.com/sirupsen/logrus v1.4.1/go.mod"
"github.com/sirupsen/logrus v1.4.2/go.mod"
"github.com/sirupsen/logrus v1.6.0"
"github.com/sirupsen/logrus v1.6.0/go.mod"
"github.com/smartystreets/assertions v0.0.0-20180725160413-e900ae048470/go.mod"
"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d"
"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d/go.mod"
"github.com/smartystreets/goconvey v0.0.0-20180222194500-ef6db91d284a/go.mod"
"github.com/smartystreets/goconvey v0.0.0-20190330032615-68dc04aab96a/go.mod"
"github.com/smartystreets/goconvey v1.6.4"
"github.com/smartystreets/goconvey v1.6.4/go.mod"
"github.com/snowflakedb/glog v0.0.0-20180824191149-f5055e6f21ce"
"github.com/snowflakedb/glog v0.0.0-20180824191149-f5055e6f21ce/go.mod"
"github.com/snowflakedb/gosnowflake v1.3.11"
"github.com/snowflakedb/gosnowflake v1.3.11/go.mod"
"github.com/softlayer/softlayer-go v0.0.0-20180806151055-260589d94c7d"
"github.com/softlayer/softlayer-go v0.0.0-20180806151055-260589d94c7d/go.mod"
"github.com/soheilhy/cmux v0.1.4"
"github.com/soheilhy/cmux v0.1.4/go.mod"
"github.com/sony/gobreaker v0.4.1/go.mod"
"github.com/spaolacci/murmur3 v0.0.0-20180118202830-f09979ecbc72/go.mod"
"github.com/spf13/afero v1.1.2/go.mod"
"github.com/spf13/afero v1.2.1/go.mod"
"github.com/spf13/afero v1.2.2/go.mod"
"github.com/spf13/cast v1.3.0/go.mod"
"github.com/spf13/cobra v0.0.2-0.20171109065643-2da4a54c5cee/go.mod"
"github.com/spf13/cobra v0.0.3/go.mod"
"github.com/spf13/cobra v0.0.5/go.mod"
"github.com/spf13/jwalterweatherman v1.0.0/go.mod"
"github.com/spf13/pflag v0.0.0-20170130214245-9ff6c6923cff/go.mod"
"github.com/spf13/pflag v1.0.1-0.20171106142849-4c012f6dcd95/go.mod"
"github.com/spf13/pflag v1.0.1/go.mod"
"github.com/spf13/pflag v1.0.3/go.mod"
"github.com/spf13/pflag v1.0.5"
"github.com/spf13/pflag v1.0.5/go.mod"
"github.com/spf13/viper v1.3.2/go.mod"
"github.com/spf13/viper v1.4.0/go.mod"
"github.com/square/go-jose v2.4.1+incompatible/go.mod"
"github.com/square/go-jose/v3 v3.0.0-20200225220504-708a9fe87ddc/go.mod"
"github.com/streadway/amqp v0.0.0-20190404075320-75d898a42a94/go.mod"
"github.com/streadway/amqp v0.0.0-20190827072141-edfb9018d271"
"github.com/streadway/amqp v0.0.0-20190827072141-edfb9018d271/go.mod"
"github.com/streadway/handy v0.0.0-20190108123426-d5acb3125c2a/go.mod"
"github.com/stretchr/objx v0.1.0/go.mod"
"github.com/stretchr/objx v0.1.1/go.mod"
"github.com/stretchr/objx v0.2.0"
"github.com/stretchr/objx v0.2.0/go.mod"
"github.com/stretchr/testify v1.2.0/go.mod"
"github.com/stretchr/testify v1.2.2/go.mod"
"github.com/stretchr/testify v1.3.0/go.mod"
"github.com/stretchr/testify v1.4.0/go.mod"
"github.com/stretchr/testify v1.5.1/go.mod"
"github.com/stretchr/testify v1.6.1/go.mod"
"github.com/stretchr/testify v1.7.0"
"github.com/stretchr/testify v1.7.0/go.mod"
"github.com/svanharmelen/jsonapi v0.0.0-20180618144545-0c0828c3f16d"
"github.com/svanharmelen/jsonapi v0.0.0-20180618144545-0c0828c3f16d/go.mod"
"github.com/tencentcloud/tencentcloud-sdk-go v3.0.83+incompatible/go.mod"
"github.com/tencentcloud/tencentcloud-sdk-go v3.0.171+incompatible"
"github.com/tencentcloud/tencentcloud-sdk-go v3.0.171+incompatible/go.mod"
"github.com/tidwall/pretty v1.0.0/go.mod"
"github.com/tidwall/pretty v1.0.1"
"github.com/tidwall/pretty v1.0.1/go.mod"
"github.com/tklauser/go-sysconf v0.3.6"
"github.com/tklauser/go-sysconf v0.3.6/go.mod"
"github.com/tklauser/numcpus v0.2.2"
"github.com/tklauser/numcpus v0.2.2/go.mod"
"github.com/tmc/grpc-websocket-proxy v0.0.0-20170815181823-89b8d40f7ca8/go.mod"
"github.com/tmc/grpc-websocket-proxy v0.0.0-20190109142713-0ad062ec5ee5"
"github.com/tmc/grpc-websocket-proxy v0.0.0-20190109142713-0ad062ec5ee5/go.mod"
"github.com/tv42/httpunix v0.0.0-20150427012821-b75d8614f926"
"github.com/tv42/httpunix v0.0.0-20150427012821-b75d8614f926/go.mod"
"github.com/ugorji/go v1.1.4/go.mod"
"github.com/ugorji/go/codec v0.0.0-20181204163529-d75b2dcb6bc8/go.mod"
"github.com/ulikunitz/xz v0.5.6/go.mod"
"github.com/ulikunitz/xz v0.5.7"
"github.com/ulikunitz/xz v0.5.7/go.mod"
"github.com/urfave/cli v1.20.0/go.mod"
"github.com/urfave/cli v1.22.1/go.mod"
"github.com/urfave/cli v1.22.2/go.mod"
"github.com/vmware/govmomi v0.18.0"
"github.com/vmware/govmomi v0.18.0/go.mod"
"github.com/xdg/scram v0.0.0-20180814205039-7eeb5667e42c"
"github.com/xdg/scram v0.0.0-20180814205039-7eeb5667e42c/go.mod"
"github.com/xdg/stringprep v0.0.0-20180714160509-73f8eece6fdc/go.mod"
"github.com/xdg/stringprep v1.0.0"
"github.com/xdg/stringprep v1.0.0/go.mod"
"github.com/xi2/xz v0.0.0-20171230120015-48954b6210f8"
"github.com/xi2/xz v0.0.0-20171230120015-48954b6210f8/go.mod"
"github.com/xiang90/probing v0.0.0-20190116061207-43a291ad63a2"
"github.com/xiang90/probing v0.0.0-20190116061207-43a291ad63a2/go.mod"
"github.com/xordataexchange/crypt v0.0.3-0.20170626215501-b2862e3d0a77/go.mod"
"github.com/yandex-cloud/go-genproto v0.0.0-20200722140432-762fe965ce77/go.mod"
"github.com/yandex-cloud/go-sdk v0.0.0-20200722140627-2194e5077f13/go.mod"
"github.com/yhat/scrape v0.0.0-20161128144610-24b7890b0945/go.mod"
"github.com/yuin/goldmark v1.1.25/go.mod"
"github.com/yuin/goldmark v1.1.27/go.mod"
"github.com/yuin/goldmark v1.2.1/go.mod"
"github.com/yuin/gopher-lua v0.0.0-20200816102855-ee81675732da"
"github.com/yuin/gopher-lua v0.0.0-20200816102855-ee81675732da/go.mod"
"go.etcd.io/bbolt v1.3.2/go.mod"
"go.etcd.io/bbolt v1.3.3/go.mod"
"go.etcd.io/bbolt v1.3.4/go.mod"
"go.etcd.io/bbolt v1.3.5"
"go.etcd.io/bbolt v1.3.5/go.mod"
"go.etcd.io/etcd v0.0.0-20191023171146-3cf2f69b5738/go.mod"
"go.etcd.io/etcd v0.5.0-alpha.5.0.20200425165423-262c93980547"
"go.etcd.io/etcd v0.5.0-alpha.5.0.20200425165423-262c93980547/go.mod"
"go.mongodb.org/atlas v0.7.1"
"go.mongodb.org/atlas v0.7.1/go.mod"
"go.mongodb.org/mongo-driver v1.4.2/go.mod"
"go.mongodb.org/mongo-driver v1.4.6"
"go.mongodb.org/mongo-driver v1.4.6/go.mod"
"go.opencensus.io v0.19.1/go.mod"
"go.opencensus.io v0.19.2/go.mod"
"go.opencensus.io v0.20.1/go.mod"
"go.opencensus.io v0.20.2/go.mod"
"go.opencensus.io v0.21.0/go.mod"
"go.opencensus.io v0.22.0/go.mod"
"go.opencensus.io v0.22.2/go.mod"
"go.opencensus.io v0.22.3"
"go.opencensus.io v0.22.3/go.mod"
"go.opentelemetry.io/otel v0.20.0"
"go.opentelemetry.io/otel v0.20.0/go.mod"
"go.opentelemetry.io/otel/metric v0.20.0"
"go.opentelemetry.io/otel/metric v0.20.0/go.mod"
"go.opentelemetry.io/otel/oteltest v0.20.0"
"go.opentelemetry.io/otel/oteltest v0.20.0/go.mod"
"go.opentelemetry.io/otel/sdk v0.20.0"
"go.opentelemetry.io/otel/sdk v0.20.0/go.mod"
"go.opentelemetry.io/otel/trace v0.20.0"
"go.opentelemetry.io/otel/trace v0.20.0/go.mod"
"go.uber.org/atomic v1.3.2/go.mod"
"go.uber.org/atomic v1.4.0/go.mod"
"go.uber.org/atomic v1.5.0/go.mod"
"go.uber.org/atomic v1.6.0"
"go.uber.org/atomic v1.6.0/go.mod"
"go.uber.org/goleak v1.1.10"
"go.uber.org/goleak v1.1.10/go.mod"
"go.uber.org/multierr v1.1.0/go.mod"
"go.uber.org/multierr v1.3.0/go.mod"
"go.uber.org/multierr v1.5.0"
"go.uber.org/multierr v1.5.0/go.mod"
"go.uber.org/tools v0.0.0-20190618225709-2cfd321de3ee"
"go.uber.org/tools v0.0.0-20190618225709-2cfd321de3ee/go.mod"
"go.uber.org/zap v1.10.0/go.mod"
"go.uber.org/zap v1.13.0/go.mod"
"go.uber.org/zap v1.14.1"
"go.uber.org/zap v1.14.1/go.mod"
"golang.org/x/crypto v0.0.0-20171113213409-9f005a07e0d3/go.mod"
"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
"golang.org/x/crypto v0.0.0-20181029021203-45a5f77698d3/go.mod"
"golang.org/x/crypto v0.0.0-20181203042331-505ab145d0a9/go.mod"
"golang.org/x/crypto v0.0.0-20190211182817-74369b46fc67/go.mod"
"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
"golang.org/x/crypto v0.0.0-20190325154230-a5d413f7728c/go.mod"
"golang.org/x/crypto v0.0.0-20190418165655-df01cb2cc480/go.mod"
"golang.org/x/crypto v0.0.0-20190422162423-af44ce270edf/go.mod"
"golang.org/x/crypto v0.0.0-20190510104115-cbcb75029529/go.mod"
"golang.org/x/crypto v0.0.0-20190513172903-22d7a77e9e5f/go.mod"
"golang.org/x/crypto v0.0.0-20190530122614-20be4c3c3ed5/go.mod"
"golang.org/x/crypto v0.0.0-20190605123033-f99c8df09eb5/go.mod"
"golang.org/x/crypto v0.0.0-20190611184440-5c40567a22f8/go.mod"
"golang.org/x/crypto v0.0.0-20190701094942-4def268fd1a4/go.mod"
"golang.org/x/crypto v0.0.0-20190923035154-9ee001bba392/go.mod"
"golang.org/x/crypto v0.0.0-20191002192127-34f69633bfdc/go.mod"
"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
"golang.org/x/crypto v0.0.0-20191206172530-e9b2fee46413/go.mod"
"golang.org/x/crypto v0.0.0-20200117160349-530e935923ad/go.mod"
"golang.org/x/crypto v0.0.0-20200220183623-bac4c82f6975/go.mod"
"golang.org/x/crypto v0.0.0-20200221231518-2aa609cf4a9d/go.mod"
"golang.org/x/crypto v0.0.0-20200510223506-06a226fb4e37/go.mod"
"golang.org/x/crypto v0.0.0-20200604202706-70a84ac30bf9/go.mod"
"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
"golang.org/x/crypto v0.0.0-20200820211705-5c72a883971a/go.mod"
"golang.org/x/crypto v0.0.0-20201002170205-7f63de1d35b0/go.mod"
"golang.org/x/crypto v0.0.0-20201221181555-eec23a3978ad/go.mod"
"golang.org/x/crypto v0.0.0-20210513164829-c07d793c2f9a"
"golang.org/x/crypto v0.0.0-20210513164829-c07d793c2f9a/go.mod"
"golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
"golang.org/x/exp v0.0.0-20190306152737-a1d7652674e8/go.mod"
"golang.org/x/exp v0.0.0-20190510132918-efd6b22b2522/go.mod"
"golang.org/x/exp v0.0.0-20190829153037-c13cbed26979/go.mod"
"golang.org/x/exp v0.0.0-20191030013958-a1ab85dbe136/go.mod"
"golang.org/x/exp v0.0.0-20191129062945-2f5052295587/go.mod"
"golang.org/x/exp v0.0.0-20191227195350-da58074b4299/go.mod"
"golang.org/x/exp v0.0.0-20200119233911-0405dc783f0a/go.mod"
"golang.org/x/exp v0.0.0-20200207192155-f17229e696bd/go.mod"
"golang.org/x/exp v0.0.0-20200224162631-6cc2880d07d6/go.mod"
"golang.org/x/image v0.0.0-20190227222117-0694c2d4d067/go.mod"
"golang.org/x/image v0.0.0-20190802002840-cff245a6509b/go.mod"
"golang.org/x/lint v0.0.0-20180702182130-06c8688daad7/go.mod"
"golang.org/x/lint v0.0.0-20181026193005-c67002cb31c3/go.mod"
"golang.org/x/lint v0.0.0-20181217174547-8f45f776aaf1/go.mod"
"golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
"golang.org/x/lint v0.0.0-20190301231843-5614ed5bae6f/go.mod"
"golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
"golang.org/x/lint v0.0.0-20190409202823-959b441ac422/go.mod"
"golang.org/x/lint v0.0.0-20190909230951-414d861bb4ac/go.mod"
"golang.org/x/lint v0.0.0-20190930215403-16217165b5de/go.mod"
"golang.org/x/lint v0.0.0-20191125180803-fdd1cda4f05f/go.mod"
"golang.org/x/lint v0.0.0-20200130185559-910be7a94367/go.mod"
"golang.org/x/lint v0.0.0-20200302205851-738671d3881b"
"golang.org/x/lint v0.0.0-20200302205851-738671d3881b/go.mod"
"golang.org/x/mobile v0.0.0-20190312151609-d3739f865fa6/go.mod"
"golang.org/x/mobile v0.0.0-20190719004257-d2bd2a29d028/go.mod"
"golang.org/x/mod v0.0.0-20190513183733-4bf6d317e70e/go.mod"
"golang.org/x/mod v0.1.0/go.mod"
"golang.org/x/mod v0.1.1-0.20191105210325-c90efee705ee/go.mod"
"golang.org/x/mod v0.1.1-0.20191107180719-034126e5016b/go.mod"
"golang.org/x/mod v0.2.0/go.mod"
"golang.org/x/mod v0.3.0/go.mod"
"golang.org/x/mod v0.4.0"
"golang.org/x/mod v0.4.0/go.mod"
"golang.org/x/net v0.0.0-20170114055629-f2499483f923/go.mod"
"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
"golang.org/x/net v0.0.0-20180826012351-8a410e7b638d/go.mod"
"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
"golang.org/x/net v0.0.0-20181023162649-9b4f9f5ad519/go.mod"
"golang.org/x/net v0.0.0-20181106065722-10aee1819953/go.mod"
"golang.org/x/net v0.0.0-20181114220301-adae6a3d119a/go.mod"
"golang.org/x/net v0.0.0-20181201002055-351d144fa1fc/go.mod"
"golang.org/x/net v0.0.0-20181220203305-927f97764cc3/go.mod"
"golang.org/x/net v0.0.0-20190108225652-1e06a53dbb7e/go.mod"
"golang.org/x/net v0.0.0-20190125091013-d26f9f9a57f3/go.mod"
"golang.org/x/net v0.0.0-20190206173232-65e2d4e15006/go.mod"
"golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
"golang.org/x/net v0.0.0-20190501004415-9ce7a6920f09/go.mod"
"golang.org/x/net v0.0.0-20190503192946-f4e77d36d62c/go.mod"
"golang.org/x/net v0.0.0-20190522155817-f3200d17e092/go.mod"
"golang.org/x/net v0.0.0-20190603091049-60506f45cf65/go.mod"
"golang.org/x/net v0.0.0-20190613194153-d28f0bde5980/go.mod"
"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
"golang.org/x/net v0.0.0-20190628185345-da137c7871d7/go.mod"
"golang.org/x/net v0.0.0-20190724013045-ca1201d0de80/go.mod"
"golang.org/x/net v0.0.0-20190813141303-74dc4d7220e7/go.mod"
"golang.org/x/net v0.0.0-20190923162816-aa69164e4478/go.mod"
"golang.org/x/net v0.0.0-20191003171128-d98b1b443823/go.mod"
"golang.org/x/net v0.0.0-20191004110552-13f9640d40b9/go.mod"
"golang.org/x/net v0.0.0-20191112182307-2180aed22343/go.mod"
"golang.org/x/net v0.0.0-20191209160850-c0dbc17a3553/go.mod"
"golang.org/x/net v0.0.0-20200114155413-6afb5195e5aa/go.mod"
"golang.org/x/net v0.0.0-20200202094626-16171245cfb2/go.mod"
"golang.org/x/net v0.0.0-20200222125558-5a598a2470a0/go.mod"
"golang.org/x/net v0.0.0-20200226121028-0de0cce0169b/go.mod"
"golang.org/x/net v0.0.0-20200301022130-244492dfa37a/go.mod"
"golang.org/x/net v0.0.0-20200320220750-118fecf932d8/go.mod"
"golang.org/x/net v0.0.0-20200324143707-d3edc9973b7e/go.mod"
"golang.org/x/net v0.0.0-20200505041828-1ed23360d12c/go.mod"
"golang.org/x/net v0.0.0-20200602114024-627f9648deb9/go.mod"
"golang.org/x/net v0.0.0-20200625001655-4c5254603344/go.mod"
"golang.org/x/net v0.0.0-20201002202402-0a1ea396d57c/go.mod"
"golang.org/x/net v0.0.0-20201021035429-f5854403a974/go.mod"
"golang.org/x/net v0.0.0-20201110031124-69a78807bb2b/go.mod"
"golang.org/x/net v0.0.0-20210226172049-e18ecbb05110/go.mod"
"golang.org/x/net v0.0.0-20210510120150-4163338589ed"
"golang.org/x/net v0.0.0-20210510120150-4163338589ed/go.mod"
"golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
"golang.org/x/oauth2 v0.0.0-20181203162652-d668ce993890/go.mod"
"golang.org/x/oauth2 v0.0.0-20190130055435-99b60b757ec1/go.mod"
"golang.org/x/oauth2 v0.0.0-20190226205417-e64efc72b421/go.mod"
"golang.org/x/oauth2 v0.0.0-20190319182350-c85d3e98c914/go.mod"
"golang.org/x/oauth2 v0.0.0-20190402181905-9f3314589c9a/go.mod"
"golang.org/x/oauth2 v0.0.0-20190604053449-0f29369cfe45/go.mod"
"golang.org/x/oauth2 v0.0.0-20191202225959-858c2ad4c8b6/go.mod"
"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d"
"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d/go.mod"
"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
"golang.org/x/sync v0.0.0-20190227155943-e225da77a7e6/go.mod"
"golang.org/x/sync v0.0.0-20190412183630-56d357773e84/go.mod"
"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
"golang.org/x/sync v0.0.0-20200317015054-43a5402ce75a/go.mod"
"golang.org/x/sync v0.0.0-20201020160332-67f06af15bc9/go.mod"
"golang.org/x/sync v0.0.0-20210220032951-036812b2e83c"
"golang.org/x/sync v0.0.0-20210220032951-036812b2e83c/go.mod"
"golang.org/x/sys v0.0.0-20170830134202-bb24a47a89ea/go.mod"
"golang.org/x/sys v0.0.0-20180823144017-11551d06cbcc/go.mod"
"golang.org/x/sys v0.0.0-20180830151530-49385e6e1522/go.mod"
"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
"golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
"golang.org/x/sys v0.0.0-20181026203630-95b1ffbd15a5/go.mod"
"golang.org/x/sys v0.0.0-20181107165924-66b7b1311ac8/go.mod"
"golang.org/x/sys v0.0.0-20181116152217-5ac8a444bdc5/go.mod"
"golang.org/x/sys v0.0.0-20181122145206-62eef0e2fa9b/go.mod"
"golang.org/x/sys v0.0.0-20181205085412-a5c9d58dba9a/go.mod"
"golang.org/x/sys v0.0.0-20181218192612-074acd46bca6/go.mod"
"golang.org/x/sys v0.0.0-20190129075346-302c3dd5f1cc/go.mod"
"golang.org/x/sys v0.0.0-20190204203706-41f3e6584952/go.mod"
"golang.org/x/sys v0.0.0-20190209173611-3b5209105503/go.mod"
"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
"golang.org/x/sys v0.0.0-20190312061237-fead79001313/go.mod"
"golang.org/x/sys v0.0.0-20190403152447-81d4e9dc473e/go.mod"
"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
"golang.org/x/sys v0.0.0-20190419153524-e8e3143a4f4a/go.mod"
"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
"golang.org/x/sys v0.0.0-20190502145724-3ef323f4f1fd/go.mod"
"golang.org/x/sys v0.0.0-20190507160741-ecd444e8653b/go.mod"
"golang.org/x/sys v0.0.0-20190515120540-06a5c4944438/go.mod"
"golang.org/x/sys v0.0.0-20190523142557-0e01d883c5c5/go.mod"
"golang.org/x/sys v0.0.0-20190531175056-4c3a928424d2/go.mod"
"golang.org/x/sys v0.0.0-20190606165138-5da285871e9c/go.mod"
"golang.org/x/sys v0.0.0-20190624142023-c5567b49c5d0/go.mod"
"golang.org/x/sys v0.0.0-20190712062909-fae7ac547cb7/go.mod"
"golang.org/x/sys v0.0.0-20190726091711-fc99dfbffb4e/go.mod"
"golang.org/x/sys v0.0.0-20190826190057-c7b8b68b1456/go.mod"
"golang.org/x/sys v0.0.0-20190916202348-b4ddaad3f8a3/go.mod"
"golang.org/x/sys v0.0.0-20190922100055-0a153f010e69/go.mod"
"golang.org/x/sys v0.0.0-20190924154521-2837fb4f24fe/go.mod"
"golang.org/x/sys v0.0.0-20191001151750-bb3f8db39f24/go.mod"
"golang.org/x/sys v0.0.0-20191008105621-543471e840be/go.mod"
"golang.org/x/sys v0.0.0-20191022100944-742c48ecaeb7/go.mod"
"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
"golang.org/x/sys v0.0.0-20191112214154-59a1497f0cea/go.mod"
"golang.org/x/sys v0.0.0-20191204072324-ce4227a45e2e/go.mod"
"golang.org/x/sys v0.0.0-20191220142924-d4481acd189f/go.mod"
"golang.org/x/sys v0.0.0-20191228213918-04cbcbbfeed8/go.mod"
"golang.org/x/sys v0.0.0-20200106162015-b016eb3dc98e/go.mod"
"golang.org/x/sys v0.0.0-20200113162924-86b910548bc1/go.mod"
"golang.org/x/sys v0.0.0-20200116001909-b77594299b42/go.mod"
"golang.org/x/sys v0.0.0-20200120151820-655fe14d7479/go.mod"
"golang.org/x/sys v0.0.0-20200122134326-e047566fdf82/go.mod"
"golang.org/x/sys v0.0.0-20200124204421-9fbb57f87de9/go.mod"
"golang.org/x/sys v0.0.0-20200202164722-d101bd2416d5/go.mod"
"golang.org/x/sys v0.0.0-20200212091648-12a6c2dcc1e4/go.mod"
"golang.org/x/sys v0.0.0-20200223170610-d5e6a3e2c0ae/go.mod"
"golang.org/x/sys v0.0.0-20200302150141-5c8b2ff67527/go.mod"
"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
"golang.org/x/sys v0.0.0-20200331124033-c3d80250170d/go.mod"
"golang.org/x/sys v0.0.0-20200409092240-59c9f1ba88fa/go.mod"
"golang.org/x/sys v0.0.0-20200413165638-669c56c373c4/go.mod"
"golang.org/x/sys v0.0.0-20200602225109-6fdc65e7d980/go.mod"
"golang.org/x/sys v0.0.0-20200615200032-f1bc736245b1/go.mod"
"golang.org/x/sys v0.0.0-20200625212154-ddb9806d33ae/go.mod"
"golang.org/x/sys v0.0.0-20200828194041-157a740278f4/go.mod"
"golang.org/x/sys v0.0.0-20200831180312-196b9ba8737a/go.mod"
"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
"golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
"golang.org/x/sys v0.0.0-20201201145000-ef89a241ccb3/go.mod"
"golang.org/x/sys v0.0.0-20210316164454-77fc1eacc6aa/go.mod"
"golang.org/x/sys v0.0.0-20210423082822-04245dca01da/go.mod"
"golang.org/x/sys v0.0.0-20210514084401-e8d321eab015"
"golang.org/x/sys v0.0.0-20210514084401-e8d321eab015/go.mod"
"golang.org/x/term v0.0.0-20201117132131-f5c789dd3221/go.mod"
"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1"
"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1/go.mod"
"golang.org/x/text v0.0.0-20160726164857-2910a502d2bf/go.mod"
"golang.org/x/text v0.0.0-20170915032832-14c0d48ead0c/go.mod"
"golang.org/x/text v0.3.0/go.mod"
"golang.org/x/text v0.3.1-0.20180807135948-17ff2d5776d2/go.mod"
"golang.org/x/text v0.3.1-0.20181227161524-e6919f6577db/go.mod"
"golang.org/x/text v0.3.2/go.mod"
"golang.org/x/text v0.3.3/go.mod"
"golang.org/x/text v0.3.6"
"golang.org/x/text v0.3.6/go.mod"
"golang.org/x/time v0.0.0-20180412165947-fbb02b2291d2/go.mod"
"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c/go.mod"
"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4/go.mod"
"golang.org/x/time v0.0.0-20191024005414-555d28b269f0/go.mod"
"golang.org/x/time v0.0.0-20200416051211-89c76fbcd5d1/go.mod"
"golang.org/x/time v0.0.0-20200630173020-3af7569d3a1e"
"golang.org/x/time v0.0.0-20200630173020-3af7569d3a1e/go.mod"
"golang.org/x/tools v0.0.0-20180221164845-07fd8470d635/go.mod"
"golang.org/x/tools v0.0.0-20180828015842-6cd1fcedba52/go.mod"
"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
"golang.org/x/tools v0.0.0-20181011042414-1f849cf54d09/go.mod"
"golang.org/x/tools v0.0.0-20181030221726-6c7e314b6563/go.mod"
"golang.org/x/tools v0.0.0-20181219222714-6e267b5cc78e/go.mod"
"golang.org/x/tools v0.0.0-20190114222345-bf090417da8b/go.mod"
"golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
"golang.org/x/tools v0.0.0-20190312151545-0bb0c0a6e846/go.mod"
"golang.org/x/tools v0.0.0-20190312170243-e65039ee4138/go.mod"
"golang.org/x/tools v0.0.0-20190328211700-ab21143f2384/go.mod"
"golang.org/x/tools v0.0.0-20190329151228-23e29df326fe/go.mod"
"golang.org/x/tools v0.0.0-20190416151739-9c9e1878f421/go.mod"
"golang.org/x/tools v0.0.0-20190420181800-aa740d480789/go.mod"
"golang.org/x/tools v0.0.0-20190424220101-1e8e1cfdf96b/go.mod"
"golang.org/x/tools v0.0.0-20190425150028-36563e24a262/go.mod"
"golang.org/x/tools v0.0.0-20190506145303-2d16b83fe98c/go.mod"
"golang.org/x/tools v0.0.0-20190524140312-2c0ae7006135/go.mod"
"golang.org/x/tools v0.0.0-20190531172133-b3315ee88b7d/go.mod"
"golang.org/x/tools v0.0.0-20190606124116-d0a3d012864b/go.mod"
"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac/go.mod"
"golang.org/x/tools v0.0.0-20190624222133-a101b041ded4/go.mod"
"golang.org/x/tools v0.0.0-20190628153133-6cdbf07be9d0/go.mod"
"golang.org/x/tools v0.0.0-20190718200317-82a3ea8a504c/go.mod"
"golang.org/x/tools v0.0.0-20190816200558-6889da9d5479/go.mod"
"golang.org/x/tools v0.0.0-20190907020128-2ca718005c18/go.mod"
"golang.org/x/tools v0.0.0-20190911174233-4f2ddba30aff/go.mod"
"golang.org/x/tools v0.0.0-20191012152004-8de300cfc20a/go.mod"
"golang.org/x/tools v0.0.0-20191029041327-9cc4af7d6b2c/go.mod"
"golang.org/x/tools v0.0.0-20191029190741-b9c20aec41a5/go.mod"
"golang.org/x/tools v0.0.0-20191108193012-7d206e10da11/go.mod"
"golang.org/x/tools v0.0.0-20191113191852-77e3bb0ad9e7/go.mod"
"golang.org/x/tools v0.0.0-20191115202509-3a792d9c32b2/go.mod"
"golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
"golang.org/x/tools v0.0.0-20191125144606-a911d9008d1f/go.mod"
"golang.org/x/tools v0.0.0-20191130070609-6e064ea0cf2d/go.mod"
"golang.org/x/tools v0.0.0-20191216052735-49a3e744a425/go.mod"
"golang.org/x/tools v0.0.0-20191216173652-a0e659d51361/go.mod"
"golang.org/x/tools v0.0.0-20191227053925-7b8e75db28f4/go.mod"
"golang.org/x/tools v0.0.0-20200103221440-774c71fcf114/go.mod"
"golang.org/x/tools v0.0.0-20200117161641-43d50277825c/go.mod"
"golang.org/x/tools v0.0.0-20200122220014-bf1340f18c4a/go.mod"
"golang.org/x/tools v0.0.0-20200130002326-2f3ba24bd6e7/go.mod"
"golang.org/x/tools v0.0.0-20200204074204-1cc6d1ef6c74/go.mod"
"golang.org/x/tools v0.0.0-20200207183749-b753a1ba74fa/go.mod"
"golang.org/x/tools v0.0.0-20200212150539-ea181f53ac56/go.mod"
"golang.org/x/tools v0.0.0-20200224181240-023911ca70b2/go.mod"
"golang.org/x/tools v0.0.0-20200227222343-706bc42d1f0d/go.mod"
"golang.org/x/tools v0.0.0-20200304193943-95d2e580d8eb/go.mod"
"golang.org/x/tools v0.0.0-20200312045724-11d5b4c81c7d/go.mod"
"golang.org/x/tools v0.0.0-20200331025713-a30bf2db82d4/go.mod"
"golang.org/x/tools v0.0.0-20200409170454-77362c5149f0/go.mod"
"golang.org/x/tools v0.0.0-20200416214402-fc959738d646/go.mod"
"golang.org/x/tools v0.0.0-20200521155704-91d71f6c2f04/go.mod"
"golang.org/x/tools v0.0.0-20210101214203-2dba1e4ea05c"
"golang.org/x/tools v0.0.0-20210101214203-2dba1e4ea05c/go.mod"
"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1"
"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1/go.mod"
"google.golang.org/api v0.0.0-20181220000619-583d854617af/go.mod"
"google.golang.org/api v0.2.0/go.mod"
"google.golang.org/api v0.3.0/go.mod"
"google.golang.org/api v0.3.1/go.mod"
"google.golang.org/api v0.3.2/go.mod"
"google.golang.org/api v0.4.0/go.mod"
"google.golang.org/api v0.5.0/go.mod"
"google.golang.org/api v0.7.0/go.mod"
"google.golang.org/api v0.8.0/go.mod"
"google.golang.org/api v0.9.0/go.mod"
"google.golang.org/api v0.13.0/go.mod"
"google.golang.org/api v0.14.0/go.mod"
"google.golang.org/api v0.15.0/go.mod"
"google.golang.org/api v0.17.0/go.mod"
"google.golang.org/api v0.18.0/go.mod"
"google.golang.org/api v0.19.0/go.mod"
"google.golang.org/api v0.20.0/go.mod"
"google.golang.org/api v0.21.0/go.mod"
"google.golang.org/api v0.24.0/go.mod"
"google.golang.org/api v0.29.0"
"google.golang.org/api v0.29.0/go.mod"
"google.golang.org/appengine v1.1.0/go.mod"
"google.golang.org/appengine v1.2.0/go.mod"
"google.golang.org/appengine v1.3.0/go.mod"
"google.golang.org/appengine v1.4.0/go.mod"
"google.golang.org/appengine v1.5.0/go.mod"
"google.golang.org/appengine v1.6.0/go.mod"
"google.golang.org/appengine v1.6.1/go.mod"
"google.golang.org/appengine v1.6.5"
"google.golang.org/appengine v1.6.5/go.mod"
"google.golang.org/genproto v0.0.0-20180817151627-c66870c02cf8/go.mod"
"google.golang.org/genproto v0.0.0-20181219182458-5a97ab628bfb/go.mod"
"google.golang.org/genproto v0.0.0-20190307195333-5fe7a883aa19/go.mod"
"google.golang.org/genproto v0.0.0-20190404172233-64821d5d2107/go.mod"
"google.golang.org/genproto v0.0.0-20190418145605-e7d98fc518a7/go.mod"
"google.golang.org/genproto v0.0.0-20190425155659-357c62f0e4bb/go.mod"
"google.golang.org/genproto v0.0.0-20190502173448-54afdca5d873/go.mod"
"google.golang.org/genproto v0.0.0-20190508193815-b515fa19cec8/go.mod"
"google.golang.org/genproto v0.0.0-20190513181449-d00d292a067c/go.mod"
"google.golang.org/genproto v0.0.0-20190530194941-fb225487d101/go.mod"
"google.golang.org/genproto v0.0.0-20190801165951-fa694d86fc64/go.mod"
"google.golang.org/genproto v0.0.0-20190819201941-24fa4b261c55/go.mod"
"google.golang.org/genproto v0.0.0-20190911173649-1774047e7e51/go.mod"
"google.golang.org/genproto v0.0.0-20191108220845-16a3f7862a1a/go.mod"
"google.golang.org/genproto v0.0.0-20191115194625-c23dd37a84c9/go.mod"
"google.golang.org/genproto v0.0.0-20191216164720-4f79533eabd1/go.mod"
"google.golang.org/genproto v0.0.0-20191230161307-f3c370f40bfb/go.mod"
"google.golang.org/genproto v0.0.0-20200115191322-ca5a22157cba/go.mod"
"google.golang.org/genproto v0.0.0-20200122232147-0452cf42e150/go.mod"
"google.golang.org/genproto v0.0.0-20200204135345-fa8e72b47b90/go.mod"
"google.golang.org/genproto v0.0.0-20200212174721-66ed5ce911ce/go.mod"
"google.golang.org/genproto v0.0.0-20200224152610-e50cd9704f63/go.mod"
"google.golang.org/genproto v0.0.0-20200228133532-8c2c7df3a383/go.mod"
"google.golang.org/genproto v0.0.0-20200305110556-506484158171/go.mod"
"google.golang.org/genproto v0.0.0-20200312145019-da6875a35672/go.mod"
"google.golang.org/genproto v0.0.0-20200323114720-3f67cca34472/go.mod"
"google.golang.org/genproto v0.0.0-20200331122359-1ee6d9798940/go.mod"
"google.golang.org/genproto v0.0.0-20200409111301-baae70f3302d/go.mod"
"google.golang.org/genproto v0.0.0-20200416231807-8751e049a2a0/go.mod"
"google.golang.org/genproto v0.0.0-20200526211855-cb27e3aa2013"
"google.golang.org/genproto v0.0.0-20200526211855-cb27e3aa2013/go.mod"
"google.golang.org/grpc v1.14.0/go.mod"
"google.golang.org/grpc v1.16.0/go.mod"
"google.golang.org/grpc v1.17.0/go.mod"
"google.golang.org/grpc v1.19.0/go.mod"
"google.golang.org/grpc v1.20.0/go.mod"
"google.golang.org/grpc v1.20.1/go.mod"
"google.golang.org/grpc v1.21.0/go.mod"
"google.golang.org/grpc v1.21.1/go.mod"
"google.golang.org/grpc v1.22.0/go.mod"
"google.golang.org/grpc v1.22.1/go.mod"
"google.golang.org/grpc v1.23.0/go.mod"
"google.golang.org/grpc v1.23.1/go.mod"
"google.golang.org/grpc v1.25.1/go.mod"
"google.golang.org/grpc v1.26.0/go.mod"
"google.golang.org/grpc v1.27.0/go.mod"
"google.golang.org/grpc v1.27.1/go.mod"
"google.golang.org/grpc v1.28.0/go.mod"
"google.golang.org/grpc v1.28.1/go.mod"
"google.golang.org/grpc v1.29.1"
"google.golang.org/grpc v1.29.1/go.mod"
"google.golang.org/protobuf v0.0.0-20200109180630-ec00e32a8dfd/go.mod"
"google.golang.org/protobuf v0.0.0-20200221191635-4d8936d0db64/go.mod"
"google.golang.org/protobuf v0.0.0-20200228230310-ab0ca4ff8a60/go.mod"
"google.golang.org/protobuf v1.20.1-0.20200309200217-e05f789c0967/go.mod"
"google.golang.org/protobuf v1.21.0/go.mod"
"google.golang.org/protobuf v1.22.0/go.mod"
"google.golang.org/protobuf v1.23.0/go.mod"
"google.golang.org/protobuf v1.23.1-0.20200526195155-81db48ad09cc/go.mod"
"google.golang.org/protobuf v1.24.0/go.mod"
"google.golang.org/protobuf v1.25.0"
"google.golang.org/protobuf v1.25.0/go.mod"
"gopkg.in/airbrake/gobrake.v2 v2.0.9/go.mod"
"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
"gopkg.in/asn1-ber.v1 v1.0.0-20181015200546-f715ec2f112d/go.mod"
"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
"gopkg.in/check.v1 v1.0.0-20200227125254-8fa46927fb4f"
"gopkg.in/check.v1 v1.0.0-20200227125254-8fa46927fb4f/go.mod"
"gopkg.in/cheggaaa/pb.v1 v1.0.25/go.mod"
"gopkg.in/errgo.v2 v2.1.0"
"gopkg.in/errgo.v2 v2.1.0/go.mod"
"gopkg.in/fsnotify.v1 v1.4.7"
"gopkg.in/fsnotify.v1 v1.4.7/go.mod"
"gopkg.in/gcfg.v1 v1.2.3/go.mod"
"gopkg.in/gemnasium/logrus-airbrake-hook.v2 v2.1.2/go.mod"
"gopkg.in/inf.v0 v0.9.0/go.mod"
"gopkg.in/inf.v0 v0.9.1"
"gopkg.in/inf.v0 v0.9.1/go.mod"
"gopkg.in/ini.v1 v1.42.0"
"gopkg.in/ini.v1 v1.42.0/go.mod"
"gopkg.in/jcmturner/goidentity.v3 v3.0.0"
"gopkg.in/jcmturner/goidentity.v3 v3.0.0/go.mod"
"gopkg.in/mgo.v2 v2.0.0-20180705113604-9856a29383ce"
"gopkg.in/mgo.v2 v2.0.0-20180705113604-9856a29383ce/go.mod"
"gopkg.in/ory-am/dockertest.v3 v3.3.4"
"gopkg.in/ory-am/dockertest.v3 v3.3.4/go.mod"
"gopkg.in/resty.v1 v1.12.0"
"gopkg.in/resty.v1 v1.12.0/go.mod"
"gopkg.in/square/go-jose.v2 v2.3.0/go.mod"
"gopkg.in/square/go-jose.v2 v2.3.1/go.mod"
"gopkg.in/square/go-jose.v2 v2.4.1/go.mod"
"gopkg.in/square/go-jose.v2 v2.5.1"
"gopkg.in/square/go-jose.v2 v2.5.1/go.mod"
"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7"
"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
"gopkg.in/warnings.v0 v0.1.2/go.mod"
"gopkg.in/yaml.v2 v2.0.0-20170812160011-eb3733d160e7/go.mod"
"gopkg.in/yaml.v2 v2.2.1/go.mod"
"gopkg.in/yaml.v2 v2.2.2/go.mod"
"gopkg.in/yaml.v2 v2.2.4/go.mod"
"gopkg.in/yaml.v2 v2.2.5/go.mod"
"gopkg.in/yaml.v2 v2.2.7/go.mod"
"gopkg.in/yaml.v2 v2.2.8/go.mod"
"gopkg.in/yaml.v2 v2.3.0"
"gopkg.in/yaml.v2 v2.3.0/go.mod"
"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
"gopkg.in/yaml.v3 v3.0.0-20210107192922-496545a6307b"
"gopkg.in/yaml.v3 v3.0.0-20210107192922-496545a6307b/go.mod"
"gotest.tools v2.2.0+incompatible"
"gotest.tools v2.2.0+incompatible/go.mod"
"gotest.tools/v3 v3.0.2"
"gotest.tools/v3 v3.0.2/go.mod"
"honnef.co/go/tools v0.0.0-20180728063816-88497007e858/go.mod"
"honnef.co/go/tools v0.0.0-20180920025451-e3ad64cb4ed3/go.mod"
"honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
"honnef.co/go/tools v0.0.0-20190106161140-3f1c8253044a/go.mod"
"honnef.co/go/tools v0.0.0-20190418001031-e561f6794a2a/go.mod"
"honnef.co/go/tools v0.0.0-20190523083050-ea95bdfd59fc/go.mod"
"honnef.co/go/tools v0.0.1-2019.2.3/go.mod"
"honnef.co/go/tools v0.0.1-2020.1.3"
"honnef.co/go/tools v0.0.1-2020.1.3/go.mod"
"k8s.io/api v0.0.0-20190409092523-d687e77c8ae9/go.mod"
"k8s.io/api v0.18.2"
"k8s.io/api v0.18.2/go.mod"
"k8s.io/apimachinery v0.0.0-20190409092423-760d1845f48b/go.mod"
"k8s.io/apimachinery v0.18.2"
"k8s.io/apimachinery v0.18.2/go.mod"
"k8s.io/client-go v0.18.2"
"k8s.io/client-go v0.18.2/go.mod"
"k8s.io/gengo v0.0.0-20190128074634-0689ccc1d7d6/go.mod"
"k8s.io/klog v0.0.0-20181102134211-b9b56d5dfc92/go.mod"
"k8s.io/klog v0.0.0-20190306015804-8e90cee79f82/go.mod"
"k8s.io/klog v0.3.0/go.mod"
"k8s.io/klog v1.0.0"
"k8s.io/klog v1.0.0/go.mod"
"k8s.io/kube-openapi v0.0.0-20190228160746-b3a7cee44a30/go.mod"
"k8s.io/kube-openapi v0.0.0-20200121204235-bf4fb3bd569c/go.mod"
"k8s.io/utils v0.0.0-20200324210504-a9aa75ae1b89"
"k8s.io/utils v0.0.0-20200324210504-a9aa75ae1b89/go.mod"
"layeh.com/radius v0.0.0-20190322222518-890bc1058917"
"layeh.com/radius v0.0.0-20190322222518-890bc1058917/go.mod"
"mvdan.cc/gofumpt v0.1.1"
"mvdan.cc/gofumpt v0.1.1/go.mod"
"rsc.io/binaryregexp v0.2.0/go.mod"
"rsc.io/quote/v3 v3.1.0/go.mod"
"rsc.io/sampler v1.3.0/go.mod"
"sigs.k8s.io/structured-merge-diff/v3 v3.0.0-20200116222232-67a7b8c61874/go.mod"
"sigs.k8s.io/structured-merge-diff/v3 v3.0.0"
"sigs.k8s.io/structured-merge-diff/v3 v3.0.0/go.mod"
"sigs.k8s.io/yaml v1.1.0/go.mod"
"sigs.k8s.io/yaml v1.2.0"
"sigs.k8s.io/yaml v1.2.0/go.mod"
"sourcegraph.com/sourcegraph/appdash v0.0.0-20190731080439-ebfcffb1b5c0/go.mod"
)
go-module_set_globals

VAULT_WEBUI_ARCHIVE="${P}-webui.tar.xz"
SRC_URI="https://github.com/hashicorp/vault/archive/v${PV}.tar.gz -> ${P}.tar.gz
	webui? (
		https://dev.gentoo.org/~zmedico/dist/${VAULT_WEBUI_ARCHIVE}
	)
	${EGO_SUM_SRC_URI}"

LICENSE="MPL-2.0 Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+webui"

BDEPEND="dev-go/gox
	>=dev-lang/go-1.15.3"
COMMON_DEPEND="acct-group/vault
	acct-user/vault"
	DEPEND="${COMMON_DEPEND}"
	RDEPEND="${COMMON_DEPEND}"

FILECAPS=(
	-m 755 'cap_ipc_lock=+ep' usr/bin/${PN}
)

RESTRICT+=" test"

src_prepare() {
	default
	# Avoid the need to have a git checkout
	sed -e 's:^\(GIT_COMMIT=\).*:\1:' \
		-e 's:^\(GIT_DIRTY=\).*:\1:' \
		-e s:\'\${GIT_COMMIT}\${GIT_DIRTY}\':: \
		-i scripts/build.sh || die
	sed -e "/hooks/d" \
		-e 's|^\([[:space:]]*\)goimports .*)|\1true|' \
		-e "s/gofumpt/gofmt/g" \
		-i Makefile || die
	if [[ -f "${WORKDIR}/http/bindata_assetfs.go" ]]; then
		mv "${WORKDIR}/http/bindata_assetfs.go" "${S}/http" ||
			die "mv failed"
	fi
}

src_compile() {
	mkdir "${T}"/bin || die
	BUILD_TAGS="$(usex webui ui '')" \
	GOFLAGS="-mod=readonly" \
	GOPATH="${T}" \
	XC_ARCH=$(go env GOARCH) \
	XC_OS=$(go env GOOS) \
	XC_OSARCH=$(go env GOOS)/$(go env GOARCH) \
	emake
}

src_install() {
	dobin bin/${PN}
	dodoc CHANGELOG.md CONTRIBUTING.md README.md
	insinto /etc/${PN}.d
	doins "${FILESDIR}/"*.json.example
	insinto /etc/logrotate.d
	newins "${FILESDIR}/${PN}.logrotated" "${PN}"
	newinitd "${FILESDIR}/${PN}.initd" "${PN}"
	newconfd "${FILESDIR}/${PN}.confd" "${PN}"
	systemd_dounit "${FILESDIR}/${PN}.service"
	keepdir /var/log/${PN}
	fowners ${PN}:${PN} /var/log/${PN}
}

pkg_postinst() {
	fcaps_pkg_postinst
	go-module_pkg_postinst
}
