# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit go-module

DESCRIPTION="Docker-compatible CLI for containerd, with support for Compose"
HOMEPAGE="https://github.com/containerd/nerdctl"

EGIT_COMMIT="487f94aa7a8cfa833a1e96600d11b0c2bdc931f3"
EGO_SUM=(
"bazil.org/fuse v0.0.0-20160811212531-371fbbdaa898/go.mod"
"cloud.google.com/go v0.26.0/go.mod"
"cloud.google.com/go v0.34.0/go.mod"
"cloud.google.com/go v0.38.0/go.mod"
"cloud.google.com/go v0.44.1/go.mod"
"cloud.google.com/go v0.44.2/go.mod"
"cloud.google.com/go v0.45.1/go.mod"
"cloud.google.com/go v0.46.3/go.mod"
"cloud.google.com/go v0.50.0/go.mod"
"cloud.google.com/go v0.52.0/go.mod"
"cloud.google.com/go v0.53.0/go.mod"
"cloud.google.com/go v0.54.0/go.mod"
"cloud.google.com/go/bigquery v1.0.1/go.mod"
"cloud.google.com/go/bigquery v1.3.0/go.mod"
"cloud.google.com/go/bigquery v1.4.0/go.mod"
"cloud.google.com/go/datastore v1.0.0/go.mod"
"cloud.google.com/go/datastore v1.1.0/go.mod"
"cloud.google.com/go/pubsub v1.0.1/go.mod"
"cloud.google.com/go/pubsub v1.1.0/go.mod"
"cloud.google.com/go/pubsub v1.2.0/go.mod"
"cloud.google.com/go/storage v1.0.0/go.mod"
"cloud.google.com/go/storage v1.5.0/go.mod"
"cloud.google.com/go/storage v1.6.0/go.mod"
"dmitri.shuralyov.com/gpu/mtl v0.0.0-20190408044501-666a987793e9/go.mod"
"github.com/Azure/azure-sdk-for-go v16.2.1+incompatible/go.mod"
"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78"
"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78/go.mod"
"github.com/Azure/go-autorest v10.8.1+incompatible/go.mod"
"github.com/Azure/go-autorest v14.2.0+incompatible/go.mod"
"github.com/Azure/go-autorest/autorest v0.11.1/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.9.0/go.mod"
"github.com/Azure/go-autorest/autorest/adal v0.9.5/go.mod"
"github.com/Azure/go-autorest/autorest/date v0.3.0/go.mod"
"github.com/Azure/go-autorest/autorest/mocks v0.4.0/go.mod"
"github.com/Azure/go-autorest/autorest/mocks v0.4.1/go.mod"
"github.com/Azure/go-autorest/logger v0.2.0/go.mod"
"github.com/Azure/go-autorest/tracing v0.6.0/go.mod"
"github.com/BurntSushi/toml v0.3.1/go.mod"
"github.com/BurntSushi/xgb v0.0.0-20160522181843-27f122750802/go.mod"
"github.com/Microsoft/go-winio v0.4.11/go.mod"
"github.com/Microsoft/go-winio v0.4.14/go.mod"
"github.com/Microsoft/go-winio v0.4.15-0.20190919025122-fc70bd9a86b5/go.mod"
"github.com/Microsoft/go-winio v0.4.16-0.20201130162521-d1ffc52c7331/go.mod"
"github.com/Microsoft/go-winio v0.4.16/go.mod"
"github.com/Microsoft/go-winio v0.4.17-0.20210211115548-6eac466e5fa3/go.mod"
"github.com/Microsoft/go-winio v0.4.17-0.20210324224401-5516f17a5958/go.mod"
"github.com/Microsoft/go-winio v0.4.17"
"github.com/Microsoft/go-winio v0.4.17/go.mod"
"github.com/Microsoft/hcsshim v0.8.6/go.mod"
"github.com/Microsoft/hcsshim v0.8.7-0.20190325164909-8abdbb8205e4/go.mod"
"github.com/Microsoft/hcsshim v0.8.7/go.mod"
"github.com/Microsoft/hcsshim v0.8.9/go.mod"
"github.com/Microsoft/hcsshim v0.8.14/go.mod"
"github.com/Microsoft/hcsshim v0.8.15/go.mod"
"github.com/Microsoft/hcsshim v0.8.16"
"github.com/Microsoft/hcsshim v0.8.16/go.mod"
"github.com/Microsoft/hcsshim/test v0.0.0-20201218223536-d3e5debf77da/go.mod"
"github.com/Microsoft/hcsshim/test v0.0.0-20210227013316-43a75bb4edd3/go.mod"
"github.com/NYTimes/gziphandler v0.0.0-20170623195520-56545f4a5d46/go.mod"
"github.com/OneOfOne/xxhash v1.2.2/go.mod"
"github.com/PuerkitoBio/purell v1.1.1/go.mod"
"github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578/go.mod"
"github.com/Shopify/logrus-bugsnag v0.0.0-20171204204709-577dee27f20d/go.mod"
"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
"github.com/alecthomas/template v0.0.0-20190718012654-fb15b899a751/go.mod"
"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
"github.com/alecthomas/units v0.0.0-20190717042225-c3de453c63f4/go.mod"
"github.com/alexflint/go-filemutex v0.0.0-20171022225611-72bdc8eae2ae/go.mod"
"github.com/armon/consul-api v0.0.0-20180202201655-eb2c6b5be1b6/go.mod"
"github.com/asaskevich/govalidator v0.0.0-20190424111038-f61b66f89f4a/go.mod"
"github.com/aws/aws-sdk-go v1.15.11/go.mod"
"github.com/aws/aws-sdk-go v1.34.9/go.mod"
"github.com/beorn7/perks v0.0.0-20160804104726-4c0e84591b9a/go.mod"
"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
"github.com/beorn7/perks v1.0.0/go.mod"
"github.com/beorn7/perks v1.0.1"
"github.com/beorn7/perks v1.0.1/go.mod"
"github.com/bgentry/speakeasy v0.1.0/go.mod"
"github.com/bitly/go-simplejson v0.5.0/go.mod"
"github.com/blang/semver v3.1.0+incompatible/go.mod"
"github.com/blang/semver v3.5.1+incompatible/go.mod"
"github.com/bmizerany/assert v0.0.0-20160611221934-b7ed37b82869/go.mod"
"github.com/bshuster-repo/logrus-logstash-hook v0.4.1/go.mod"
"github.com/bshuster-repo/logrus-logstash-hook v1.0.0/go.mod"
"github.com/buger/jsonparser v0.0.0-20180808090653-f4dd9f5a6b44/go.mod"
"github.com/bugsnag/bugsnag-go v0.0.0-20141110184014-b1d153021fcd/go.mod"
"github.com/bugsnag/osext v0.0.0-20130617224835-0dd3f918b21b/go.mod"
"github.com/bugsnag/panicwrap v0.0.0-20151223152923-e2c28503fcd0/go.mod"
"github.com/census-instrumentation/opencensus-proto v0.2.1/go.mod"
"github.com/cespare/xxhash v1.1.0"
"github.com/cespare/xxhash v1.1.0/go.mod"
"github.com/cespare/xxhash/v2 v2.1.1"
"github.com/cespare/xxhash/v2 v2.1.1/go.mod"
"github.com/checkpoint-restore/go-criu/v4 v4.1.0/go.mod"
"github.com/chzyer/logex v1.1.10/go.mod"
"github.com/chzyer/readline v0.0.0-20180603132655-2972be24d48e/go.mod"
"github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1/go.mod"
"github.com/cilium/ebpf v0.0.0-20200110133405-4032b1d8aae3/go.mod"
"github.com/cilium/ebpf v0.0.0-20200702112145-1c8d4c9ef775/go.mod"
"github.com/cilium/ebpf v0.2.0/go.mod"
"github.com/cilium/ebpf v0.4.0/go.mod"
"github.com/client9/misspell v0.3.4/go.mod"
"github.com/cncf/udpa/go v0.0.0-20191209042840-269d4d468f6f/go.mod"
"github.com/cncf/udpa/go v0.0.0-20201120205902-5459f2c99403/go.mod"
"github.com/cockroachdb/datadriven v0.0.0-20190809214429-80d97fb3cbaa/go.mod"
"github.com/compose-spec/compose-go v0.0.0-20210420125800-01e9e6b4c64c"
"github.com/compose-spec/compose-go v0.0.0-20210420125800-01e9e6b4c64c/go.mod"
"github.com/containerd/aufs v0.0.0-20200908144142-dab0cbea06f4/go.mod"
"github.com/containerd/aufs v0.0.0-20201003224125-76a6863f2989/go.mod"
"github.com/containerd/aufs v0.0.0-20210316121734-20793ff83c97/go.mod"
"github.com/containerd/aufs v1.0.0/go.mod"
"github.com/containerd/btrfs v0.0.0-20201111183144-404b9149801e/go.mod"
"github.com/containerd/btrfs v0.0.0-20210316141732-918d888fb676/go.mod"
"github.com/containerd/btrfs v1.0.0/go.mod"
"github.com/containerd/cgroups v0.0.0-20190717030353-c4b9ac5c7601/go.mod"
"github.com/containerd/cgroups v0.0.0-20190919134610-bf292b21730f/go.mod"
"github.com/containerd/cgroups v0.0.0-20200531161412-0dbf7f05ba59/go.mod"
"github.com/containerd/cgroups v0.0.0-20200710171044-318312a37340/go.mod"
"github.com/containerd/cgroups v0.0.0-20200824123100-0b889c03f102/go.mod"
"github.com/containerd/cgroups v0.0.0-20210114181951-8a68de567b68/go.mod"
"github.com/containerd/cgroups v1.0.1"
"github.com/containerd/cgroups v1.0.1/go.mod"
"github.com/containerd/console v0.0.0-20180822173158-c12b1e7919c1/go.mod"
"github.com/containerd/console v0.0.0-20181022165439-0650fd9eeb50/go.mod"
"github.com/containerd/console v0.0.0-20191206165004-02ecf6a7291e/go.mod"
"github.com/containerd/console v1.0.1/go.mod"
"github.com/containerd/console v1.0.2"
"github.com/containerd/console v1.0.2/go.mod"
"github.com/containerd/containerd v1.2.10/go.mod"
"github.com/containerd/containerd v1.3.0-beta.2.0.20190828155532-0293cbd26c69/go.mod"
"github.com/containerd/containerd v1.3.0/go.mod"
"github.com/containerd/containerd v1.3.1-0.20191213020239-082f7e3aed57/go.mod"
"github.com/containerd/containerd v1.3.2/go.mod"
"github.com/containerd/containerd v1.4.0-beta.2.0.20200729163537-40b22ef07410/go.mod"
"github.com/containerd/containerd v1.4.1/go.mod"
"github.com/containerd/containerd v1.4.3/go.mod"
"github.com/containerd/containerd v1.5.0-beta.1/go.mod"
"github.com/containerd/containerd v1.5.0-beta.3/go.mod"
"github.com/containerd/containerd v1.5.0-beta.4/go.mod"
"github.com/containerd/containerd v1.5.0-rc.0/go.mod"
"github.com/containerd/containerd v1.5.0/go.mod"
"github.com/containerd/containerd v1.5.2"
"github.com/containerd/containerd v1.5.2/go.mod"
"github.com/containerd/continuity v0.0.0-20190426062206-aaeac12a7ffc/go.mod"
"github.com/containerd/continuity v0.0.0-20190815185530-f2a389ac0a02/go.mod"
"github.com/containerd/continuity v0.0.0-20191127005431-f65d91d395eb/go.mod"
"github.com/containerd/continuity v0.0.0-20200710164510-efbc4488d8fe/go.mod"
"github.com/containerd/continuity v0.0.0-20201208142359-180525291bb7/go.mod"
"github.com/containerd/continuity v0.0.0-20210208174643-50096c924a4e/go.mod"
"github.com/containerd/continuity v0.1.0"
"github.com/containerd/continuity v0.1.0/go.mod"
"github.com/containerd/fifo v0.0.0-20180307165137-3d5202aec260/go.mod"
"github.com/containerd/fifo v0.0.0-20190226154929-a9fb20d87448/go.mod"
"github.com/containerd/fifo v0.0.0-20200410184934-f15a3290365b/go.mod"
"github.com/containerd/fifo v0.0.0-20201026212402-0724c46b320c/go.mod"
"github.com/containerd/fifo v0.0.0-20210316144830-115abcc95a1d/go.mod"
"github.com/containerd/fifo v1.0.0"
"github.com/containerd/fifo v1.0.0/go.mod"
"github.com/containerd/go-cni v1.0.1/go.mod"
"github.com/containerd/go-cni v1.0.2/go.mod"
"github.com/containerd/go-cni v1.0.3-0.20210427061315-4efee5f0b4db"
"github.com/containerd/go-cni v1.0.3-0.20210427061315-4efee5f0b4db/go.mod"
"github.com/containerd/go-runc v0.0.0-20180907222934-5a6d9f37cfa3/go.mod"
"github.com/containerd/go-runc v0.0.0-20190911050354-e029b79d8cda/go.mod"
"github.com/containerd/go-runc v0.0.0-20200220073739-7016d3ce2328/go.mod"
"github.com/containerd/go-runc v0.0.0-20201020171139-16b287bc67d0/go.mod"
"github.com/containerd/go-runc v1.0.0/go.mod"
"github.com/containerd/imgcrypt v1.0.1/go.mod"
"github.com/containerd/imgcrypt v1.0.4-0.20210301171431-0ae5c75f59ba/go.mod"
"github.com/containerd/imgcrypt v1.1.1-0.20210312161619-7ed62a527887/go.mod"
"github.com/containerd/imgcrypt v1.1.1"
"github.com/containerd/imgcrypt v1.1.1/go.mod"
"github.com/containerd/nri v0.0.0-20201007170849-eb1350a75164/go.mod"
"github.com/containerd/nri v0.0.0-20210316161719-dbaa18c31c14/go.mod"
"github.com/containerd/nri v0.1.0/go.mod"
"github.com/containerd/stargz-snapshotter v0.6.0"
"github.com/containerd/stargz-snapshotter v0.6.0/go.mod"
"github.com/containerd/stargz-snapshotter/estargz v0.6.0"
"github.com/containerd/stargz-snapshotter/estargz v0.6.0/go.mod"
"github.com/containerd/ttrpc v0.0.0-20190828154514-0e0f228740de/go.mod"
"github.com/containerd/ttrpc v0.0.0-20190828172938-92c8520ef9f8/go.mod"
"github.com/containerd/ttrpc v0.0.0-20191028202541-4f1b8fe65a5c/go.mod"
"github.com/containerd/ttrpc v1.0.1/go.mod"
"github.com/containerd/ttrpc v1.0.2"
"github.com/containerd/ttrpc v1.0.2/go.mod"
"github.com/containerd/typeurl v0.0.0-20180627222232-a93fcdb778cd/go.mod"
"github.com/containerd/typeurl v0.0.0-20190911142611-5eb25027c9fd/go.mod"
"github.com/containerd/typeurl v1.0.1/go.mod"
"github.com/containerd/typeurl v1.0.2"
"github.com/containerd/typeurl v1.0.2/go.mod"
"github.com/containerd/zfs v0.0.0-20200918131355-0a33824f23a2/go.mod"
"github.com/containerd/zfs v0.0.0-20210301145711-11e8f1707f62/go.mod"
"github.com/containerd/zfs v0.0.0-20210315114300-dde8f0fda960/go.mod"
"github.com/containerd/zfs v0.0.0-20210324211415-d5c4544f0433/go.mod"
"github.com/containerd/zfs v1.0.0/go.mod"
"github.com/containernetworking/cni v0.7.1/go.mod"
"github.com/containernetworking/cni v0.8.0/go.mod"
"github.com/containernetworking/cni v0.8.1"
"github.com/containernetworking/cni v0.8.1/go.mod"
"github.com/containernetworking/plugins v0.8.6/go.mod"
"github.com/containernetworking/plugins v0.9.1"
"github.com/containernetworking/plugins v0.9.1/go.mod"
"github.com/containers/ocicrypt v1.0.1/go.mod"
"github.com/containers/ocicrypt v1.1.0/go.mod"
"github.com/containers/ocicrypt v1.1.1"
"github.com/containers/ocicrypt v1.1.1/go.mod"
"github.com/coreos/bbolt v1.3.2/go.mod"
"github.com/coreos/etcd v3.3.10+incompatible/go.mod"
"github.com/coreos/go-iptables v0.4.5/go.mod"
"github.com/coreos/go-iptables v0.5.0/go.mod"
"github.com/coreos/go-oidc v2.1.0+incompatible/go.mod"
"github.com/coreos/go-semver v0.2.0/go.mod"
"github.com/coreos/go-semver v0.3.0/go.mod"
"github.com/coreos/go-systemd v0.0.0-20161114122254-48702e0da86b/go.mod"
"github.com/coreos/go-systemd v0.0.0-20180511133405-39ca1b05acc7/go.mod"
"github.com/coreos/go-systemd v0.0.0-20190321100706-95778dfbb74e"
"github.com/coreos/go-systemd v0.0.0-20190321100706-95778dfbb74e/go.mod"
"github.com/coreos/go-systemd/v22 v22.0.0/go.mod"
"github.com/coreos/go-systemd/v22 v22.1.0/go.mod"
"github.com/coreos/go-systemd/v22 v22.3.1"
"github.com/coreos/go-systemd/v22 v22.3.1/go.mod"
"github.com/coreos/pkg v0.0.0-20160727233714-3ac0863d7acf/go.mod"
"github.com/coreos/pkg v0.0.0-20180928190104-399ea9e2e55f/go.mod"
"github.com/cpuguy83/go-md2man/v2 v2.0.0-20190314233015-f79a8a8ca69d/go.mod"
"github.com/cpuguy83/go-md2man/v2 v2.0.0"
"github.com/cpuguy83/go-md2man/v2 v2.0.0/go.mod"
"github.com/creack/pty v1.1.7/go.mod"
"github.com/creack/pty v1.1.9/go.mod"
"github.com/cyphar/filepath-securejoin v0.2.2"
"github.com/cyphar/filepath-securejoin v0.2.2/go.mod"
"github.com/d2g/dhcp4 v0.0.0-20170904100407-a1d1b6c41b1c/go.mod"
"github.com/d2g/dhcp4client v1.0.0/go.mod"
"github.com/d2g/dhcp4server v0.0.0-20181031114812-7d4a0a7f59a5/go.mod"
"github.com/d2g/hardwareaddr v0.0.0-20190221164911-e7d9fbe030e4/go.mod"
"github.com/davecgh/go-spew v1.1.0/go.mod"
"github.com/davecgh/go-spew v1.1.1"
"github.com/davecgh/go-spew v1.1.1/go.mod"
"github.com/denverdino/aliyungo v0.0.0-20190125010748-a747050bb1ba/go.mod"
"github.com/dgrijalva/jwt-go v0.0.0-20170104182250-a601269ab70c/go.mod"
"github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
"github.com/dgryski/go-sip13 v0.0.0-20181026042036-e10d5fee7954/go.mod"
"github.com/distribution/distribution/v3 v3.0.0-20210316161203-a01c71e2477e"
"github.com/distribution/distribution/v3 v3.0.0-20210316161203-a01c71e2477e/go.mod"
"github.com/dnaeon/go-vcr v1.0.1/go.mod"
"github.com/docker/cli v20.10.6+incompatible"
"github.com/docker/cli v20.10.6+incompatible/go.mod"
"github.com/docker/distribution v0.0.0-20190905152932-14b96e55d84c/go.mod"
"github.com/docker/distribution v2.7.1-0.20190205005809-0d3efadf0154+incompatible/go.mod"
"github.com/docker/distribution v2.7.1+incompatible"
"github.com/docker/distribution v2.7.1+incompatible/go.mod"
"github.com/docker/docker v20.10.6+incompatible"
"github.com/docker/docker v20.10.6+incompatible/go.mod"
"github.com/docker/docker-credential-helpers v0.6.3"
"github.com/docker/docker-credential-helpers v0.6.3/go.mod"
"github.com/docker/go-connections v0.4.0"
"github.com/docker/go-connections v0.4.0/go.mod"
"github.com/docker/go-events v0.0.0-20170721190031-9461782956ad/go.mod"
"github.com/docker/go-events v0.0.0-20190806004212-e31b211e4f1c"
"github.com/docker/go-events v0.0.0-20190806004212-e31b211e4f1c/go.mod"
"github.com/docker/go-metrics v0.0.0-20180209012529-399ea8c73916/go.mod"
"github.com/docker/go-metrics v0.0.1"
"github.com/docker/go-metrics v0.0.1/go.mod"
"github.com/docker/go-units v0.4.0"
"github.com/docker/go-units v0.4.0/go.mod"
"github.com/docker/libtrust v0.0.0-20150114040149-fa567046d9b1"
"github.com/docker/libtrust v0.0.0-20150114040149-fa567046d9b1/go.mod"
"github.com/docker/spdystream v0.0.0-20160310174837-449fdfce4d96/go.mod"
"github.com/docopt/docopt-go v0.0.0-20180111231733-ee0de3bc6815/go.mod"
"github.com/dustin/go-humanize v0.0.0-20171111073723-bb3d318650d4/go.mod"
"github.com/dustin/go-humanize v1.0.0/go.mod"
"github.com/elazarl/goproxy v0.0.0-20180725130230-947c36da3153/go.mod"
"github.com/emicklei/go-restful v0.0.0-20170410110728-ff4f55a20633/go.mod"
"github.com/emicklei/go-restful v2.9.5+incompatible/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.0/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.1-0.20191026205805-5f8ba28d4473/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.4/go.mod"
"github.com/envoyproxy/go-control-plane v0.9.9-0.20201210154907-fd9021fe5dad/go.mod"
"github.com/envoyproxy/protoc-gen-validate v0.1.0/go.mod"
"github.com/evanphx/json-patch v4.9.0+incompatible/go.mod"
"github.com/fanliao/go-promise v0.0.0-20141029170127-1890db352a72/go.mod"
"github.com/fatih/color v1.7.0/go.mod"
"github.com/fatih/color v1.10.0"
"github.com/fatih/color v1.10.0/go.mod"
"github.com/felixge/httpsnoop v1.0.1/go.mod"
"github.com/form3tech-oss/jwt-go v3.2.2+incompatible/go.mod"
"github.com/frankban/quicktest v1.11.3/go.mod"
"github.com/fsnotify/fsnotify v1.4.7/go.mod"
"github.com/fsnotify/fsnotify v1.4.9"
"github.com/fsnotify/fsnotify v1.4.9/go.mod"
"github.com/fullsailor/pkcs7 v0.0.0-20190404230743-d7302db945fa/go.mod"
"github.com/garyburd/redigo v0.0.0-20150301180006-535138d7bcd7/go.mod"
"github.com/ghodss/yaml v0.0.0-20150909031657-73d445a93680/go.mod"
"github.com/ghodss/yaml v1.0.0/go.mod"
"github.com/go-gl/glfw v0.0.0-20190409004039-e6da0acd62b1/go.mod"
"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20191125211704-12ad95a8df72/go.mod"
"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20200222043503-6f7a984d4dc4/go.mod"
"github.com/go-ini/ini v1.25.4/go.mod"
"github.com/go-kit/kit v0.8.0/go.mod"
"github.com/go-kit/kit v0.9.0/go.mod"
"github.com/go-logfmt/logfmt v0.3.0/go.mod"
"github.com/go-logfmt/logfmt v0.4.0/go.mod"
"github.com/go-logr/logr v0.1.0/go.mod"
"github.com/go-logr/logr v0.2.0/go.mod"
"github.com/go-openapi/jsonpointer v0.19.2/go.mod"
"github.com/go-openapi/jsonpointer v0.19.3/go.mod"
"github.com/go-openapi/jsonreference v0.19.2/go.mod"
"github.com/go-openapi/jsonreference v0.19.3/go.mod"
"github.com/go-openapi/spec v0.19.3/go.mod"
"github.com/go-openapi/swag v0.19.2/go.mod"
"github.com/go-openapi/swag v0.19.5/go.mod"
"github.com/go-sql-driver/mysql v1.5.0/go.mod"
"github.com/go-stack/stack v1.8.0/go.mod"
"github.com/godbus/dbus v0.0.0-20151105175453-c7fdd8b5cd55/go.mod"
"github.com/godbus/dbus v0.0.0-20180201030542-885f9cc04c9c/go.mod"
"github.com/godbus/dbus v0.0.0-20190422162347-ade71ed3457e"
"github.com/godbus/dbus v0.0.0-20190422162347-ade71ed3457e/go.mod"
"github.com/godbus/dbus/v5 v5.0.3/go.mod"
"github.com/godbus/dbus/v5 v5.0.4"
"github.com/godbus/dbus/v5 v5.0.4/go.mod"
"github.com/gofrs/flock v0.8.0/go.mod"
"github.com/gogo/googleapis v1.2.0/go.mod"
"github.com/gogo/googleapis v1.4.0"
"github.com/gogo/googleapis v1.4.0/go.mod"
"github.com/gogo/protobuf v1.1.1/go.mod"
"github.com/gogo/protobuf v1.2.1/go.mod"
"github.com/gogo/protobuf v1.2.2-0.20190723190241-65acae22fc9d/go.mod"
"github.com/gogo/protobuf v1.3.0/go.mod"
"github.com/gogo/protobuf v1.3.1/go.mod"
"github.com/gogo/protobuf v1.3.2"
"github.com/gogo/protobuf v1.3.2/go.mod"
"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
"github.com/golang/groupcache v0.0.0-20160516000752-02826c3e7903/go.mod"
"github.com/golang/groupcache v0.0.0-20190129154638-5b532d6fd5ef/go.mod"
"github.com/golang/groupcache v0.0.0-20190702054246-869f871628b6/go.mod"
"github.com/golang/groupcache v0.0.0-20191227052852-215e87163ea7/go.mod"
"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e"
"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e/go.mod"
"github.com/golang/mock v1.1.1/go.mod"
"github.com/golang/mock v1.2.0/go.mod"
"github.com/golang/mock v1.3.1/go.mod"
"github.com/golang/mock v1.4.0/go.mod"
"github.com/golang/mock v1.4.1/go.mod"
"github.com/golang/protobuf v1.2.0/go.mod"
"github.com/golang/protobuf v1.3.1/go.mod"
"github.com/golang/protobuf v1.3.2/go.mod"
"github.com/golang/protobuf v1.3.3/go.mod"
"github.com/golang/protobuf v1.3.4/go.mod"
"github.com/golang/protobuf v1.3.5/go.mod"
"github.com/golang/protobuf v1.4.0-rc.1/go.mod"
"github.com/golang/protobuf v1.4.0-rc.1.0.20200221234624-67d41d38c208/go.mod"
"github.com/golang/protobuf v1.4.0-rc.2/go.mod"
"github.com/golang/protobuf v1.4.0-rc.4.0.20200313231945-b860323f09d0/go.mod"
"github.com/golang/protobuf v1.4.0/go.mod"
"github.com/golang/protobuf v1.4.1/go.mod"
"github.com/golang/protobuf v1.4.2/go.mod"
"github.com/golang/protobuf v1.4.3"
"github.com/golang/protobuf v1.4.3/go.mod"
"github.com/golang/snappy v0.0.3"
"github.com/golang/snappy v0.0.3/go.mod"
"github.com/gomodule/redigo v1.8.2/go.mod"
"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
"github.com/google/btree v1.0.0/go.mod"
"github.com/google/go-cmp v0.2.0/go.mod"
"github.com/google/go-cmp v0.3.0/go.mod"
"github.com/google/go-cmp v0.3.1/go.mod"
"github.com/google/go-cmp v0.4.0/go.mod"
"github.com/google/go-cmp v0.5.0/go.mod"
"github.com/google/go-cmp v0.5.1/go.mod"
"github.com/google/go-cmp v0.5.2/go.mod"
"github.com/google/go-cmp v0.5.4/go.mod"
"github.com/google/go-cmp v0.5.5"
"github.com/google/go-cmp v0.5.5/go.mod"
"github.com/google/gofuzz v1.0.0/go.mod"
"github.com/google/gofuzz v1.1.0/go.mod"
"github.com/google/martian v2.1.0+incompatible/go.mod"
"github.com/google/pprof v0.0.0-20181206194817-3ea8567a2e57/go.mod"
"github.com/google/pprof v0.0.0-20190515194954-54271f7e092f/go.mod"
"github.com/google/pprof v0.0.0-20191218002539-d4f498aebedc/go.mod"
"github.com/google/pprof v0.0.0-20200212024743-f11f1df84d12/go.mod"
"github.com/google/pprof v0.0.0-20200229191704-1ebb73c60ed3/go.mod"
"github.com/google/renameio v0.1.0/go.mod"
"github.com/google/uuid v1.0.0/go.mod"
"github.com/google/uuid v1.1.1/go.mod"
"github.com/google/uuid v1.1.2/go.mod"
"github.com/google/uuid v1.2.0"
"github.com/google/uuid v1.2.0/go.mod"
"github.com/googleapis/gax-go/v2 v2.0.4/go.mod"
"github.com/googleapis/gax-go/v2 v2.0.5/go.mod"
"github.com/googleapis/gnostic v0.4.1/go.mod"
"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1/go.mod"
"github.com/gorilla/handlers v0.0.0-20150720190736-60c7bfde3e33/go.mod"
"github.com/gorilla/handlers v1.5.1/go.mod"
"github.com/gorilla/mux v1.7.2/go.mod"
"github.com/gorilla/mux v1.8.0"
"github.com/gorilla/mux v1.8.0/go.mod"
"github.com/gorilla/websocket v0.0.0-20170926233335-4201258b820c/go.mod"
"github.com/gorilla/websocket v1.4.0/go.mod"
"github.com/gorilla/websocket v1.4.2/go.mod"
"github.com/gregjones/httpcache v0.0.0-20180305231024-9cad4c3443a7/go.mod"
"github.com/grpc-ecosystem/go-grpc-middleware v1.0.0/go.mod"
"github.com/grpc-ecosystem/go-grpc-middleware v1.0.1-0.20190118093823-f849b5445de4/go.mod"
"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0/go.mod"
"github.com/grpc-ecosystem/grpc-gateway v1.9.0/go.mod"
"github.com/grpc-ecosystem/grpc-gateway v1.9.5/go.mod"
"github.com/hanwen/go-fuse v1.0.0/go.mod"
"github.com/hanwen/go-fuse/v2 v2.1.0/go.mod"
"github.com/hashicorp/errwrap v0.0.0-20141028054710-7554cd9344ce/go.mod"
"github.com/hashicorp/errwrap v1.0.0/go.mod"
"github.com/hashicorp/go-multierror v0.0.0-20161216184304-ed905158d874/go.mod"
"github.com/hashicorp/go-multierror v1.0.0/go.mod"
"github.com/hashicorp/go-multierror v1.1.1/go.mod"
"github.com/hashicorp/golang-lru v0.5.0/go.mod"
"github.com/hashicorp/golang-lru v0.5.1/go.mod"
"github.com/hashicorp/golang-lru v0.5.3/go.mod"
"github.com/hashicorp/hcl v1.0.0/go.mod"
"github.com/hpcloud/tail v1.0.0/go.mod"
"github.com/hugelgupf/socketpair v0.0.0-20190730060125-05d35a94e714/go.mod"
"github.com/ianlancetaylor/demangle v0.0.0-20181102032728-5e5cf60278f6/go.mod"
"github.com/imdario/mergo v0.3.5/go.mod"
"github.com/imdario/mergo v0.3.8/go.mod"
"github.com/imdario/mergo v0.3.10/go.mod"
"github.com/imdario/mergo v0.3.11/go.mod"
"github.com/imdario/mergo v0.3.12"
"github.com/imdario/mergo v0.3.12/go.mod"
"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
"github.com/insomniacslk/dhcp v0.0.0-20210120172423-cc9239ac6294/go.mod"
"github.com/j-keck/arping v0.0.0-20160618110441-2cf9dc699c56/go.mod"
"github.com/jamescun/tuntap v0.0.0-20190712092105-cb1fb277045c/go.mod"
"github.com/jmespath/go-jmespath v0.0.0-20160202185014-0b12d6b521d8/go.mod"
"github.com/jmespath/go-jmespath v0.0.0-20160803190731-bd40a432e4c7/go.mod"
"github.com/jmespath/go-jmespath v0.3.0/go.mod"
"github.com/joho/godotenv v1.3.0/go.mod"
"github.com/jonboulle/clockwork v0.1.0/go.mod"
"github.com/jsimonetti/rtnetlink v0.0.0-20190606172950-9527aa82566a/go.mod"
"github.com/jsimonetti/rtnetlink v0.0.0-20200117123717-f846d4f6c1f4/go.mod"
"github.com/jsimonetti/rtnetlink v0.0.0-20201009170750-9c6f07d100c1/go.mod"
"github.com/jsimonetti/rtnetlink v0.0.0-20201110080708-d2c240429e6c/go.mod"
"github.com/json-iterator/go v1.1.6/go.mod"
"github.com/json-iterator/go v1.1.7/go.mod"
"github.com/json-iterator/go v1.1.10/go.mod"
"github.com/jstemmer/go-junit-report v0.0.0-20190106144839-af01ea7f8024/go.mod"
"github.com/jstemmer/go-junit-report v0.9.1/go.mod"
"github.com/jtolds/gls v4.20.0+incompatible/go.mod"
"github.com/julienschmidt/httprouter v1.2.0/go.mod"
"github.com/kisielk/errcheck v1.1.0/go.mod"
"github.com/kisielk/errcheck v1.2.0/go.mod"
"github.com/kisielk/errcheck v1.5.0/go.mod"
"github.com/kisielk/gotool v1.0.0/go.mod"
"github.com/klauspost/compress v1.11.3/go.mod"
"github.com/klauspost/compress v1.11.13/go.mod"
"github.com/klauspost/compress v1.12.2"
"github.com/klauspost/compress v1.12.2/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.2/go.mod"
"github.com/konsorten/go-windows-terminal-sequences v1.0.3/go.mod"
"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515/go.mod"
"github.com/kr/pretty v0.1.0/go.mod"
"github.com/kr/pretty v0.2.0/go.mod"
"github.com/kr/pretty v0.2.1"
"github.com/kr/pretty v0.2.1/go.mod"
"github.com/kr/pty v1.1.1/go.mod"
"github.com/kr/pty v1.1.5/go.mod"
"github.com/kr/text v0.1.0/go.mod"
"github.com/kr/text v0.2.0"
"github.com/kr/text v0.2.0/go.mod"
"github.com/kylelemons/godebug v0.0.0-20170820004349-d65d576e9348/go.mod"
"github.com/magiconair/properties v1.8.0/go.mod"
"github.com/mailru/easyjson v0.0.0-20190614124828-94de47d64c63/go.mod"
"github.com/mailru/easyjson v0.0.0-20190626092158-b2ccc519800e/go.mod"
"github.com/mailru/easyjson v0.7.0/go.mod"
"github.com/marstr/guid v1.1.0/go.mod"
"github.com/mattn/go-colorable v0.0.9/go.mod"
"github.com/mattn/go-colorable v0.1.8"
"github.com/mattn/go-colorable v0.1.8/go.mod"
"github.com/mattn/go-isatty v0.0.4/go.mod"
"github.com/mattn/go-isatty v0.0.12"
"github.com/mattn/go-isatty v0.0.12/go.mod"
"github.com/mattn/go-runewidth v0.0.2/go.mod"
"github.com/mattn/go-shellwords v1.0.3/go.mod"
"github.com/mattn/go-shellwords v1.0.11"
"github.com/mattn/go-shellwords v1.0.11/go.mod"
"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
"github.com/matttproud/golang_protobuf_extensions v1.0.2-0.20181231171920-c182affec369"
"github.com/matttproud/golang_protobuf_extensions v1.0.2-0.20181231171920-c182affec369/go.mod"
"github.com/mdlayher/ethernet v0.0.0-20190606142754-0394541c37b7/go.mod"
"github.com/mdlayher/netlink v0.0.0-20190409211403-11939a169225/go.mod"
"github.com/mdlayher/netlink v1.0.0/go.mod"
"github.com/mdlayher/netlink v1.1.0/go.mod"
"github.com/mdlayher/netlink v1.1.1/go.mod"
"github.com/mdlayher/raw v0.0.0-20190606142536-fef19f00fc18/go.mod"
"github.com/mdlayher/raw v0.0.0-20191009151244-50f2db8cc065/go.mod"
"github.com/miekg/pkcs11 v1.0.3"
"github.com/miekg/pkcs11 v1.0.3/go.mod"
"github.com/mistifyio/go-zfs v2.1.2-0.20190413222219-f784269be439+incompatible/go.mod"
"github.com/mitchellh/go-homedir v1.1.0/go.mod"
"github.com/mitchellh/mapstructure v1.1.2/go.mod"
"github.com/mitchellh/mapstructure v1.4.1"
"github.com/mitchellh/mapstructure v1.4.1/go.mod"
"github.com/mitchellh/osext v0.0.0-20151018003038-5e2d6d41470f/go.mod"
"github.com/moby/locker v1.0.1"
"github.com/moby/locker v1.0.1/go.mod"
"github.com/moby/sys/mountinfo v0.4.0/go.mod"
"github.com/moby/sys/mountinfo v0.4.1"
"github.com/moby/sys/mountinfo v0.4.1/go.mod"
"github.com/moby/sys/symlink v0.1.0/go.mod"
"github.com/moby/term v0.0.0-20200312100748-672ec06f55cd"
"github.com/moby/term v0.0.0-20200312100748-672ec06f55cd/go.mod"
"github.com/moby/vpnkit v0.5.0/go.mod"
"github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
"github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
"github.com/modern-go/reflect2 v1.0.1/go.mod"
"github.com/morikuni/aec v1.0.0"
"github.com/morikuni/aec v1.0.0/go.mod"
"github.com/mrunalp/fileutils v0.5.0/go.mod"
"github.com/munnerz/goautoneg v0.0.0-20120707110453-a547fc61f48d/go.mod"
"github.com/munnerz/goautoneg v0.0.0-20191010083416-a7dc8b61c822/go.mod"
"github.com/mwitkow/go-conntrack v0.0.0-20161129095857-cc309e4a2223/go.mod"
"github.com/mxk/go-flowrate v0.0.0-20140419014527-cca7078d478f/go.mod"
"github.com/ncw/swift v1.0.47/go.mod"
"github.com/nxadm/tail v1.4.4"
"github.com/nxadm/tail v1.4.4/go.mod"
"github.com/oklog/ulid v1.3.1/go.mod"
"github.com/olekukonko/tablewriter v0.0.0-20170122224234-a0225b3f23b5/go.mod"
"github.com/onsi/ginkgo v0.0.0-20151202141238-7f8ab55aaf3b/go.mod"
"github.com/onsi/ginkgo v0.0.0-20170829012221-11459a886d9c/go.mod"
"github.com/onsi/ginkgo v1.6.0/go.mod"
"github.com/onsi/ginkgo v1.10.1/go.mod"
"github.com/onsi/ginkgo v1.10.3/go.mod"
"github.com/onsi/ginkgo v1.11.0/go.mod"
"github.com/onsi/ginkgo v1.12.1"
"github.com/onsi/ginkgo v1.12.1/go.mod"
"github.com/onsi/gomega v0.0.0-20151007035656-2152b45fa28a/go.mod"
"github.com/onsi/gomega v0.0.0-20170829124025-dcabb60a477c/go.mod"
"github.com/onsi/gomega v1.7.0/go.mod"
"github.com/onsi/gomega v1.7.1/go.mod"
"github.com/onsi/gomega v1.10.3"
"github.com/onsi/gomega v1.10.3/go.mod"
"github.com/opencontainers/go-digest v0.0.0-20170106003457-a6d0ee40d420/go.mod"
"github.com/opencontainers/go-digest v0.0.0-20180430190053-c9281466c8b2/go.mod"
"github.com/opencontainers/go-digest v1.0.0-rc1/go.mod"
"github.com/opencontainers/go-digest v1.0.0-rc1.0.20180430190053-c9281466c8b2/go.mod"
"github.com/opencontainers/go-digest v1.0.0"
"github.com/opencontainers/go-digest v1.0.0/go.mod"
"github.com/opencontainers/image-spec v1.0.0/go.mod"
"github.com/opencontainers/image-spec v1.0.1"
"github.com/opencontainers/image-spec v1.0.1/go.mod"
"github.com/opencontainers/runc v0.0.0-20190115041553-12f6a991201f/go.mod"
"github.com/opencontainers/runc v0.1.1/go.mod"
"github.com/opencontainers/runc v1.0.0-rc8.0.20190926000215-3e425f80a8c9/go.mod"
"github.com/opencontainers/runc v1.0.0-rc9/go.mod"
"github.com/opencontainers/runc v1.0.0-rc93"
"github.com/opencontainers/runc v1.0.0-rc93/go.mod"
"github.com/opencontainers/runtime-spec v0.1.2-0.20190507144316-5b71a03e2700/go.mod"
"github.com/opencontainers/runtime-spec v1.0.1/go.mod"
"github.com/opencontainers/runtime-spec v1.0.2-0.20190207185410-29686dbc5559/go.mod"
"github.com/opencontainers/runtime-spec v1.0.2/go.mod"
"github.com/opencontainers/runtime-spec v1.0.3-0.20200929063507-e6143ca7d51d/go.mod"
"github.com/opencontainers/runtime-spec v1.0.3-0.20210303205135-43e4633e40c1"
"github.com/opencontainers/runtime-spec v1.0.3-0.20210303205135-43e4633e40c1/go.mod"
"github.com/opencontainers/runtime-tools v0.0.0-20181011054405-1d69bd0f9c39/go.mod"
"github.com/opencontainers/selinux v1.6.0/go.mod"
"github.com/opencontainers/selinux v1.8.0"
"github.com/opencontainers/selinux v1.8.0/go.mod"
"github.com/pelletier/go-toml v1.2.0/go.mod"
"github.com/pelletier/go-toml v1.8.1"
"github.com/pelletier/go-toml v1.8.1/go.mod"
"github.com/peterbourgon/diskv v2.0.1+incompatible/go.mod"
"github.com/pkg/errors v0.8.0/go.mod"
"github.com/pkg/errors v0.8.1-0.20171018195549-f15c970de5b7/go.mod"
"github.com/pkg/errors v0.8.1/go.mod"
"github.com/pkg/errors v0.9.1"
"github.com/pkg/errors v0.9.1/go.mod"
"github.com/pmezard/go-difflib v1.0.0"
"github.com/pmezard/go-difflib v1.0.0/go.mod"
"github.com/pquerna/cachecontrol v0.0.0-20171018203845-0dec1b30a021/go.mod"
"github.com/prometheus/client_golang v0.0.0-20180209125602-c332b6f63c06/go.mod"
"github.com/prometheus/client_golang v0.9.1/go.mod"
"github.com/prometheus/client_golang v0.9.3/go.mod"
"github.com/prometheus/client_golang v1.0.0/go.mod"
"github.com/prometheus/client_golang v1.1.0/go.mod"
"github.com/prometheus/client_golang v1.7.1"
"github.com/prometheus/client_golang v1.7.1/go.mod"
"github.com/prometheus/client_model v0.0.0-20171117100541-99fa1f4be8e5/go.mod"
"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90/go.mod"
"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4/go.mod"
"github.com/prometheus/client_model v0.2.0"
"github.com/prometheus/client_model v0.2.0/go.mod"
"github.com/prometheus/common v0.0.0-20180110214958-89604d197083/go.mod"
"github.com/prometheus/common v0.0.0-20181113130724-41aa239b4cce/go.mod"
"github.com/prometheus/common v0.4.0/go.mod"
"github.com/prometheus/common v0.4.1/go.mod"
"github.com/prometheus/common v0.6.0/go.mod"
"github.com/prometheus/common v0.10.0"
"github.com/prometheus/common v0.10.0/go.mod"
"github.com/prometheus/procfs v0.0.0-20180125133057-cb4147076ac7/go.mod"
"github.com/prometheus/procfs v0.0.0-20181005140218-185b4288413d/go.mod"
"github.com/prometheus/procfs v0.0.0-20190507164030-5867b95ac084/go.mod"
"github.com/prometheus/procfs v0.0.0-20190522114515-bc1a522cf7b1/go.mod"
"github.com/prometheus/procfs v0.0.2/go.mod"
"github.com/prometheus/procfs v0.0.3/go.mod"
"github.com/prometheus/procfs v0.0.5/go.mod"
"github.com/prometheus/procfs v0.0.8/go.mod"
"github.com/prometheus/procfs v0.1.3/go.mod"
"github.com/prometheus/procfs v0.2.0/go.mod"
"github.com/prometheus/procfs v0.6.0"
"github.com/prometheus/procfs v0.6.0/go.mod"
"github.com/prometheus/tsdb v0.7.1/go.mod"
"github.com/rogpeppe/fastuuid v0.0.0-20150106093220-6724a57986af/go.mod"
"github.com/rogpeppe/go-internal v1.3.0/go.mod"
"github.com/rootless-containers/rootlesskit v0.14.2"
"github.com/rootless-containers/rootlesskit v0.14.2/go.mod"
"github.com/rs/xid v1.2.1/go.mod"
"github.com/russross/blackfriday/v2 v2.0.1/go.mod"
"github.com/russross/blackfriday/v2 v2.1.0"
"github.com/russross/blackfriday/v2 v2.1.0/go.mod"
"github.com/safchain/ethtool v0.0.0-20190326074333-42ed695e3de8/go.mod"
"github.com/satori/go.uuid v1.2.0/go.mod"
"github.com/seccomp/libseccomp-golang v0.9.1/go.mod"
"github.com/shurcooL/sanitized_anchor_name v1.0.0/go.mod"
"github.com/sirupsen/logrus v1.0.4-0.20170822132746-89742aefa4b2/go.mod"
"github.com/sirupsen/logrus v1.0.6/go.mod"
"github.com/sirupsen/logrus v1.2.0/go.mod"
"github.com/sirupsen/logrus v1.4.1/go.mod"
"github.com/sirupsen/logrus v1.4.2/go.mod"
"github.com/sirupsen/logrus v1.6.0/go.mod"
"github.com/sirupsen/logrus v1.7.0/go.mod"
"github.com/sirupsen/logrus v1.8.1"
"github.com/sirupsen/logrus v1.8.1/go.mod"
"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d/go.mod"
"github.com/smartystreets/goconvey v0.0.0-20190330032615-68dc04aab96a/go.mod"
"github.com/smartystreets/goconvey v1.6.4/go.mod"
"github.com/soheilhy/cmux v0.1.4/go.mod"
"github.com/spaolacci/murmur3 v0.0.0-20180118202830-f09979ecbc72/go.mod"
"github.com/spf13/afero v1.1.2/go.mod"
"github.com/spf13/afero v1.2.2/go.mod"
"github.com/spf13/cast v1.3.0/go.mod"
"github.com/spf13/cobra v0.0.2-0.20171109065643-2da4a54c5cee/go.mod"
"github.com/spf13/cobra v0.0.3/go.mod"
"github.com/spf13/cobra v1.0.0/go.mod"
"github.com/spf13/jwalterweatherman v1.0.0/go.mod"
"github.com/spf13/pflag v0.0.0-20170130214245-9ff6c6923cff/go.mod"
"github.com/spf13/pflag v1.0.1-0.20171106142849-4c012f6dcd95/go.mod"
"github.com/spf13/pflag v1.0.1/go.mod"
"github.com/spf13/pflag v1.0.3/go.mod"
"github.com/spf13/pflag v1.0.5/go.mod"
"github.com/spf13/viper v1.4.0/go.mod"
"github.com/stefanberger/go-pkcs11uri v0.0.0-20201008174630-78d3cae3a980"
"github.com/stefanberger/go-pkcs11uri v0.0.0-20201008174630-78d3cae3a980/go.mod"
"github.com/stretchr/objx v0.0.0-20180129172003-8a3f7159479f/go.mod"
"github.com/stretchr/objx v0.1.0/go.mod"
"github.com/stretchr/objx v0.1.1/go.mod"
"github.com/stretchr/objx v0.2.0"
"github.com/stretchr/objx v0.2.0/go.mod"
"github.com/stretchr/testify v0.0.0-20180303142811-b89eecf5ca5d/go.mod"
"github.com/stretchr/testify v1.2.2/go.mod"
"github.com/stretchr/testify v1.3.0/go.mod"
"github.com/stretchr/testify v1.4.0/go.mod"
"github.com/stretchr/testify v1.5.1/go.mod"
"github.com/stretchr/testify v1.6.1/go.mod"
"github.com/stretchr/testify v1.7.0"
"github.com/stretchr/testify v1.7.0/go.mod"
"github.com/syndtr/gocapability v0.0.0-20170704070218-db04d3cc01c8/go.mod"
"github.com/syndtr/gocapability v0.0.0-20180916011248-d98352740cb2/go.mod"
"github.com/syndtr/gocapability v0.0.0-20200815063812-42c35b437635/go.mod"
"github.com/tchap/go-patricia v2.2.6+incompatible/go.mod"
"github.com/tmc/grpc-websocket-proxy v0.0.0-20170815181823-89b8d40f7ca8/go.mod"
"github.com/tmc/grpc-websocket-proxy v0.0.0-20190109142713-0ad062ec5ee5/go.mod"
"github.com/u-root/u-root v7.0.0+incompatible/go.mod"
"github.com/ugorji/go v1.1.4/go.mod"
"github.com/urfave/cli v0.0.0-20171014202726-7bc6a0acffa5/go.mod"
"github.com/urfave/cli v1.20.0/go.mod"
"github.com/urfave/cli v1.22.1/go.mod"
"github.com/urfave/cli v1.22.2"
"github.com/urfave/cli v1.22.2/go.mod"
"github.com/urfave/cli/v2 v2.3.0"
"github.com/urfave/cli/v2 v2.3.0/go.mod"
"github.com/vishvananda/netlink v0.0.0-20181108222139-023a6dafdcdf/go.mod"
"github.com/vishvananda/netlink v1.1.0/go.mod"
"github.com/vishvananda/netlink v1.1.1-0.20201029203352-d40f9887b852/go.mod"
"github.com/vishvananda/netns v0.0.0-20180720170159-13995c7128cc/go.mod"
"github.com/vishvananda/netns v0.0.0-20191106174202-0a2b9b5464df/go.mod"
"github.com/vishvananda/netns v0.0.0-20200728191858-db3c7e526aae/go.mod"
"github.com/willf/bitset v1.1.11-0.20200630133818-d5bec3311243/go.mod"
"github.com/willf/bitset v1.1.11"
"github.com/willf/bitset v1.1.11/go.mod"
"github.com/xeipuuv/gojsonpointer v0.0.0-20180127040702-4e3ac2762d5f"
"github.com/xeipuuv/gojsonpointer v0.0.0-20180127040702-4e3ac2762d5f/go.mod"
"github.com/xeipuuv/gojsonreference v0.0.0-20180127040603-bd5ef7bd5415"
"github.com/xeipuuv/gojsonreference v0.0.0-20180127040603-bd5ef7bd5415/go.mod"
"github.com/xeipuuv/gojsonschema v0.0.0-20180618132009-1d523034197f/go.mod"
"github.com/xeipuuv/gojsonschema v1.2.0"
"github.com/xeipuuv/gojsonschema v1.2.0/go.mod"
"github.com/xiang90/probing v0.0.0-20190116061207-43a291ad63a2/go.mod"
"github.com/xordataexchange/crypt v0.0.3-0.20170626215501-b2862e3d0a77/go.mod"
"github.com/yuin/goldmark v1.1.27/go.mod"
"github.com/yuin/goldmark v1.2.1/go.mod"
"github.com/yvasiyarov/go-metrics v0.0.0-20140926110328-57bccd1ccd43/go.mod"
"github.com/yvasiyarov/gorelic v0.0.0-20141212073537-a9bba5b9ab50/go.mod"
"github.com/yvasiyarov/newrelic_platform_go v0.0.0-20140908184405-b21fdbd4370f/go.mod"
"go.etcd.io/bbolt v1.3.2/go.mod"
"go.etcd.io/bbolt v1.3.3/go.mod"
"go.etcd.io/bbolt v1.3.5/go.mod"
"go.etcd.io/etcd v0.5.0-alpha.5.0.20200910180754-dd1b699fc489/go.mod"
"go.mozilla.org/pkcs7 v0.0.0-20200128120323-432b2356ecb1"
"go.mozilla.org/pkcs7 v0.0.0-20200128120323-432b2356ecb1/go.mod"
"go.opencensus.io v0.21.0/go.mod"
"go.opencensus.io v0.22.0/go.mod"
"go.opencensus.io v0.22.2/go.mod"
"go.opencensus.io v0.22.3"
"go.opencensus.io v0.22.3/go.mod"
"go.uber.org/atomic v1.3.2/go.mod"
"go.uber.org/atomic v1.4.0/go.mod"
"go.uber.org/multierr v1.1.0/go.mod"
"go.uber.org/zap v1.10.0/go.mod"
"golang.org/x/crypto v0.0.0-20171113213409-9f005a07e0d3/go.mod"
"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
"golang.org/x/crypto v0.0.0-20181009213950-7c1a557ab941/go.mod"
"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
"golang.org/x/crypto v0.0.0-20190510104115-cbcb75029529/go.mod"
"golang.org/x/crypto v0.0.0-20190605123033-f99c8df09eb5/go.mod"
"golang.org/x/crypto v0.0.0-20190611184440-5c40567a22f8/go.mod"
"golang.org/x/crypto v0.0.0-20190701094942-4def268fd1a4/go.mod"
"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
"golang.org/x/crypto v0.0.0-20200128174031-69ecbb4d6d5d/go.mod"
"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
"golang.org/x/crypto v0.0.0-20200728195943-123391ffb6de/go.mod"
"golang.org/x/crypto v0.0.0-20201002170205-7f63de1d35b0/go.mod"
"golang.org/x/crypto v0.0.0-20210322153248-0c34fe9e7dc2"
"golang.org/x/crypto v0.0.0-20210322153248-0c34fe9e7dc2/go.mod"
"golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
"golang.org/x/exp v0.0.0-20190306152737-a1d7652674e8/go.mod"
"golang.org/x/exp v0.0.0-20190510132918-efd6b22b2522/go.mod"
"golang.org/x/exp v0.0.0-20190829153037-c13cbed26979/go.mod"
"golang.org/x/exp v0.0.0-20191030013958-a1ab85dbe136/go.mod"
"golang.org/x/exp v0.0.0-20191129062945-2f5052295587/go.mod"
"golang.org/x/exp v0.0.0-20191227195350-da58074b4299/go.mod"
"golang.org/x/exp v0.0.0-20200119233911-0405dc783f0a/go.mod"
"golang.org/x/exp v0.0.0-20200207192155-f17229e696bd/go.mod"
"golang.org/x/exp v0.0.0-20200224162631-6cc2880d07d6/go.mod"
"golang.org/x/image v0.0.0-20190227222117-0694c2d4d067/go.mod"
"golang.org/x/image v0.0.0-20190802002840-cff245a6509b/go.mod"
"golang.org/x/lint v0.0.0-20181026193005-c67002cb31c3/go.mod"
"golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
"golang.org/x/lint v0.0.0-20190301231843-5614ed5bae6f/go.mod"
"golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
"golang.org/x/lint v0.0.0-20190409202823-959b441ac422/go.mod"
"golang.org/x/lint v0.0.0-20190909230951-414d861bb4ac/go.mod"
"golang.org/x/lint v0.0.0-20190930215403-16217165b5de/go.mod"
"golang.org/x/lint v0.0.0-20191125180803-fdd1cda4f05f/go.mod"
"golang.org/x/lint v0.0.0-20200130185559-910be7a94367/go.mod"
"golang.org/x/lint v0.0.0-20200302205851-738671d3881b/go.mod"
"golang.org/x/mobile v0.0.0-20190312151609-d3739f865fa6/go.mod"
"golang.org/x/mobile v0.0.0-20190719004257-d2bd2a29d028/go.mod"
"golang.org/x/mod v0.0.0-20190513183733-4bf6d317e70e/go.mod"
"golang.org/x/mod v0.1.0/go.mod"
"golang.org/x/mod v0.1.1-0.20191105210325-c90efee705ee/go.mod"
"golang.org/x/mod v0.1.1-0.20191107180719-034126e5016b/go.mod"
"golang.org/x/mod v0.2.0/go.mod"
"golang.org/x/mod v0.3.0/go.mod"
"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
"golang.org/x/net v0.0.0-20180826012351-8a410e7b638d/go.mod"
"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
"golang.org/x/net v0.0.0-20181011144130-49bb7cea24b1/go.mod"
"golang.org/x/net v0.0.0-20181114220301-adae6a3d119a/go.mod"
"golang.org/x/net v0.0.0-20181220203305-927f97764cc3/go.mod"
"golang.org/x/net v0.0.0-20190108225652-1e06a53dbb7e/go.mod"
"golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
"golang.org/x/net v0.0.0-20190419010253-1f3472d942ba/go.mod"
"golang.org/x/net v0.0.0-20190501004415-9ce7a6920f09/go.mod"
"golang.org/x/net v0.0.0-20190503192946-f4e77d36d62c/go.mod"
"golang.org/x/net v0.0.0-20190522155817-f3200d17e092/go.mod"
"golang.org/x/net v0.0.0-20190603091049-60506f45cf65/go.mod"
"golang.org/x/net v0.0.0-20190613194153-d28f0bde5980/go.mod"
"golang.org/x/net v0.0.0-20190619014844-b5b0513f8c1b/go.mod"
"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
"golang.org/x/net v0.0.0-20190724013045-ca1201d0de80/go.mod"
"golang.org/x/net v0.0.0-20190813141303-74dc4d7220e7/go.mod"
"golang.org/x/net v0.0.0-20190827160401-ba9fcec4b297/go.mod"
"golang.org/x/net v0.0.0-20191004110552-13f9640d40b9/go.mod"
"golang.org/x/net v0.0.0-20191007182048-72f939374954/go.mod"
"golang.org/x/net v0.0.0-20191209160850-c0dbc17a3553/go.mod"
"golang.org/x/net v0.0.0-20200114155413-6afb5195e5aa/go.mod"
"golang.org/x/net v0.0.0-20200202094626-16171245cfb2/go.mod"
"golang.org/x/net v0.0.0-20200222125558-5a598a2470a0/go.mod"
"golang.org/x/net v0.0.0-20200226121028-0de0cce0169b/go.mod"
"golang.org/x/net v0.0.0-20200301022130-244492dfa37a/go.mod"
"golang.org/x/net v0.0.0-20200324143707-d3edc9973b7e/go.mod"
"golang.org/x/net v0.0.0-20200707034311-ab3426394381/go.mod"
"golang.org/x/net v0.0.0-20201006153459-a7d1128ccaa0/go.mod"
"golang.org/x/net v0.0.0-20201010224723-4f7140c49acb/go.mod"
"golang.org/x/net v0.0.0-20201021035429-f5854403a974/go.mod"
"golang.org/x/net v0.0.0-20201110031124-69a78807bb2b/go.mod"
"golang.org/x/net v0.0.0-20201224014010-6772e930b67b/go.mod"
"golang.org/x/net v0.0.0-20210119194325-5f4716e94777/go.mod"
"golang.org/x/net v0.0.0-20210226172049-e18ecbb05110"
"golang.org/x/net v0.0.0-20210226172049-e18ecbb05110/go.mod"
"golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
"golang.org/x/oauth2 v0.0.0-20190226205417-e64efc72b421/go.mod"
"golang.org/x/oauth2 v0.0.0-20190604053449-0f29369cfe45/go.mod"
"golang.org/x/oauth2 v0.0.0-20191202225959-858c2ad4c8b6/go.mod"
"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d/go.mod"
"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
"golang.org/x/sync v0.0.0-20190227155943-e225da77a7e6/go.mod"
"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
"golang.org/x/sync v0.0.0-20200625203802-6e8e738ad208/go.mod"
"golang.org/x/sync v0.0.0-20201020160332-67f06af15bc9/go.mod"
"golang.org/x/sync v0.0.0-20201207232520-09787c993a3a/go.mod"
"golang.org/x/sync v0.0.0-20210220032951-036812b2e83c"
"golang.org/x/sync v0.0.0-20210220032951-036812b2e83c/go.mod"
"golang.org/x/sys v0.0.0-20180830151530-49385e6e1522/go.mod"
"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
"golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
"golang.org/x/sys v0.0.0-20181107165924-66b7b1311ac8/go.mod"
"golang.org/x/sys v0.0.0-20181116152217-5ac8a444bdc5/go.mod"
"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
"golang.org/x/sys v0.0.0-20190312061237-fead79001313/go.mod"
"golang.org/x/sys v0.0.0-20190411185658-b44545bcd369/go.mod"
"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
"golang.org/x/sys v0.0.0-20190418153312-f0ce4c0180be/go.mod"
"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
"golang.org/x/sys v0.0.0-20190502145724-3ef323f4f1fd/go.mod"
"golang.org/x/sys v0.0.0-20190507160741-ecd444e8653b/go.mod"
"golang.org/x/sys v0.0.0-20190514135907-3a4b5fb9f71f/go.mod"
"golang.org/x/sys v0.0.0-20190522044717-8097e1b27ff5/go.mod"
"golang.org/x/sys v0.0.0-20190602015325-4c4f7f33c9ed/go.mod"
"golang.org/x/sys v0.0.0-20190606122018-79a91cf218c4/go.mod"
"golang.org/x/sys v0.0.0-20190606165138-5da285871e9c/go.mod"
"golang.org/x/sys v0.0.0-20190606203320-7fc4e5ec1444/go.mod"
"golang.org/x/sys v0.0.0-20190616124812-15dcb6c0061f/go.mod"
"golang.org/x/sys v0.0.0-20190624142023-c5567b49c5d0/go.mod"
"golang.org/x/sys v0.0.0-20190726091711-fc99dfbffb4e/go.mod"
"golang.org/x/sys v0.0.0-20190801041406-cbf593c0f2f3/go.mod"
"golang.org/x/sys v0.0.0-20190812073006-9eafafc0a87e/go.mod"
"golang.org/x/sys v0.0.0-20190826190057-c7b8b68b1456/go.mod"
"golang.org/x/sys v0.0.0-20190904154756-749cb33beabd/go.mod"
"golang.org/x/sys v0.0.0-20190916202348-b4ddaad3f8a3/go.mod"
"golang.org/x/sys v0.0.0-20191001151750-bb3f8db39f24/go.mod"
"golang.org/x/sys v0.0.0-20191005200804-aed5e4c7ecf9/go.mod"
"golang.org/x/sys v0.0.0-20191008105621-543471e840be/go.mod"
"golang.org/x/sys v0.0.0-20191022100944-742c48ecaeb7/go.mod"
"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
"golang.org/x/sys v0.0.0-20191115151921-52ab43148777/go.mod"
"golang.org/x/sys v0.0.0-20191120155948-bd437916bb0e/go.mod"
"golang.org/x/sys v0.0.0-20191204072324-ce4227a45e2e/go.mod"
"golang.org/x/sys v0.0.0-20191210023423-ac6580df4449/go.mod"
"golang.org/x/sys v0.0.0-20191228213918-04cbcbbfeed8/go.mod"
"golang.org/x/sys v0.0.0-20200106162015-b016eb3dc98e/go.mod"
"golang.org/x/sys v0.0.0-20200113162924-86b910548bc1/go.mod"
"golang.org/x/sys v0.0.0-20200116001909-b77594299b42/go.mod"
"golang.org/x/sys v0.0.0-20200120151820-655fe14d7479/go.mod"
"golang.org/x/sys v0.0.0-20200122134326-e047566fdf82/go.mod"
"golang.org/x/sys v0.0.0-20200124204421-9fbb57f87de9/go.mod"
"golang.org/x/sys v0.0.0-20200202164722-d101bd2416d5/go.mod"
"golang.org/x/sys v0.0.0-20200212091648-12a6c2dcc1e4/go.mod"
"golang.org/x/sys v0.0.0-20200217220822-9197077df867/go.mod"
"golang.org/x/sys v0.0.0-20200223170610-d5e6a3e2c0ae/go.mod"
"golang.org/x/sys v0.0.0-20200302150141-5c8b2ff67527/go.mod"
"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
"golang.org/x/sys v0.0.0-20200615200032-f1bc736245b1/go.mod"
"golang.org/x/sys v0.0.0-20200622214017-ed371f2e16b4/go.mod"
"golang.org/x/sys v0.0.0-20200728102440-3e129f6d46b1/go.mod"
"golang.org/x/sys v0.0.0-20200817155316-9781c653f443/go.mod"
"golang.org/x/sys v0.0.0-20200909081042-eff7692f9009/go.mod"
"golang.org/x/sys v0.0.0-20200916030750-2334cc1a136f/go.mod"
"golang.org/x/sys v0.0.0-20200922070232-aee5d888a860/go.mod"
"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
"golang.org/x/sys v0.0.0-20201009025420-dfb3f7c4e634/go.mod"
"golang.org/x/sys v0.0.0-20201101102859-da207088b7d1/go.mod"
"golang.org/x/sys v0.0.0-20201112073958-5cba982894dd/go.mod"
"golang.org/x/sys v0.0.0-20201117170446-d9b008d0a637/go.mod"
"golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
"golang.org/x/sys v0.0.0-20201201145000-ef89a241ccb3/go.mod"
"golang.org/x/sys v0.0.0-20201202213521-69691e467435/go.mod"
"golang.org/x/sys v0.0.0-20210119212857-b64e53b001e4/go.mod"
"golang.org/x/sys v0.0.0-20210124154548-22da62e12c0c/go.mod"
"golang.org/x/sys v0.0.0-20210324051608-47abb6519492/go.mod"
"golang.org/x/sys v0.0.0-20210420072515-93ed5bcd2bfe"
"golang.org/x/sys v0.0.0-20210420072515-93ed5bcd2bfe/go.mod"
"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1/go.mod"
"golang.org/x/term v0.0.0-20210406210042-72f3dc4e9b72"
"golang.org/x/term v0.0.0-20210406210042-72f3dc4e9b72/go.mod"
"golang.org/x/text v0.0.0-20170915032832-14c0d48ead0c/go.mod"
"golang.org/x/text v0.3.0/go.mod"
"golang.org/x/text v0.3.1-0.20180807135948-17ff2d5776d2/go.mod"
"golang.org/x/text v0.3.2/go.mod"
"golang.org/x/text v0.3.3/go.mod"
"golang.org/x/text v0.3.4"
"golang.org/x/text v0.3.4/go.mod"
"golang.org/x/time v0.0.0-20180412165947-fbb02b2291d2/go.mod"
"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c/go.mod"
"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4/go.mod"
"golang.org/x/time v0.0.0-20191024005414-555d28b269f0/go.mod"
"golang.org/x/time v0.0.0-20200630173020-3af7569d3a1e/go.mod"
"golang.org/x/tools v0.0.0-20180221164845-07fd8470d635/go.mod"
"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
"golang.org/x/tools v0.0.0-20181030221726-6c7e314b6563/go.mod"
"golang.org/x/tools v0.0.0-20190114222345-bf090417da8b/go.mod"
"golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
"golang.org/x/tools v0.0.0-20190312151545-0bb0c0a6e846/go.mod"
"golang.org/x/tools v0.0.0-20190312170243-e65039ee4138/go.mod"
"golang.org/x/tools v0.0.0-20190328211700-ab21143f2384/go.mod"
"golang.org/x/tools v0.0.0-20190425150028-36563e24a262/go.mod"
"golang.org/x/tools v0.0.0-20190506145303-2d16b83fe98c/go.mod"
"golang.org/x/tools v0.0.0-20190524140312-2c0ae7006135/go.mod"
"golang.org/x/tools v0.0.0-20190606124116-d0a3d012864b/go.mod"
"golang.org/x/tools v0.0.0-20190614205625-5aca471b1d59/go.mod"
"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac/go.mod"
"golang.org/x/tools v0.0.0-20190624222133-a101b041ded4/go.mod"
"golang.org/x/tools v0.0.0-20190628153133-6cdbf07be9d0/go.mod"
"golang.org/x/tools v0.0.0-20190816200558-6889da9d5479/go.mod"
"golang.org/x/tools v0.0.0-20190911174233-4f2ddba30aff/go.mod"
"golang.org/x/tools v0.0.0-20191012152004-8de300cfc20a/go.mod"
"golang.org/x/tools v0.0.0-20191113191852-77e3bb0ad9e7/go.mod"
"golang.org/x/tools v0.0.0-20191115202509-3a792d9c32b2/go.mod"
"golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
"golang.org/x/tools v0.0.0-20191125144606-a911d9008d1f/go.mod"
"golang.org/x/tools v0.0.0-20191130070609-6e064ea0cf2d/go.mod"
"golang.org/x/tools v0.0.0-20191216173652-a0e659d51361/go.mod"
"golang.org/x/tools v0.0.0-20191227053925-7b8e75db28f4/go.mod"
"golang.org/x/tools v0.0.0-20200117161641-43d50277825c/go.mod"
"golang.org/x/tools v0.0.0-20200122220014-bf1340f18c4a/go.mod"
"golang.org/x/tools v0.0.0-20200130002326-2f3ba24bd6e7/go.mod"
"golang.org/x/tools v0.0.0-20200204074204-1cc6d1ef6c74/go.mod"
"golang.org/x/tools v0.0.0-20200207183749-b753a1ba74fa/go.mod"
"golang.org/x/tools v0.0.0-20200212150539-ea181f53ac56/go.mod"
"golang.org/x/tools v0.0.0-20200224181240-023911ca70b2/go.mod"
"golang.org/x/tools v0.0.0-20200304193943-95d2e580d8eb/go.mod"
"golang.org/x/tools v0.0.0-20200619180055-7c47624df98f/go.mod"
"golang.org/x/tools v0.0.0-20210106214847-113979e3529a/go.mod"
"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1"
"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1/go.mod"
"google.golang.org/api v0.0.0-20160322025152-9bf6e6e569ff/go.mod"
"google.golang.org/api v0.4.0/go.mod"
"google.golang.org/api v0.7.0/go.mod"
"google.golang.org/api v0.8.0/go.mod"
"google.golang.org/api v0.9.0/go.mod"
"google.golang.org/api v0.13.0/go.mod"
"google.golang.org/api v0.14.0/go.mod"
"google.golang.org/api v0.15.0/go.mod"
"google.golang.org/api v0.17.0/go.mod"
"google.golang.org/api v0.18.0/go.mod"
"google.golang.org/api v0.20.0/go.mod"
"google.golang.org/appengine v1.1.0/go.mod"
"google.golang.org/appengine v1.4.0/go.mod"
"google.golang.org/appengine v1.5.0/go.mod"
"google.golang.org/appengine v1.6.1/go.mod"
"google.golang.org/appengine v1.6.5/go.mod"
"google.golang.org/cloud v0.0.0-20151119220103-975617b05ea8/go.mod"
"google.golang.org/genproto v0.0.0-20180817151627-c66870c02cf8/go.mod"
"google.golang.org/genproto v0.0.0-20190307195333-5fe7a883aa19/go.mod"
"google.golang.org/genproto v0.0.0-20190418145605-e7d98fc518a7/go.mod"
"google.golang.org/genproto v0.0.0-20190425155659-357c62f0e4bb/go.mod"
"google.golang.org/genproto v0.0.0-20190502173448-54afdca5d873/go.mod"
"google.golang.org/genproto v0.0.0-20190522204451-c2c4e71fbf69/go.mod"
"google.golang.org/genproto v0.0.0-20190801165951-fa694d86fc64/go.mod"
"google.golang.org/genproto v0.0.0-20190819201941-24fa4b261c55/go.mod"
"google.golang.org/genproto v0.0.0-20190911173649-1774047e7e51/go.mod"
"google.golang.org/genproto v0.0.0-20191108220845-16a3f7862a1a/go.mod"
"google.golang.org/genproto v0.0.0-20191115194625-c23dd37a84c9/go.mod"
"google.golang.org/genproto v0.0.0-20191216164720-4f79533eabd1/go.mod"
"google.golang.org/genproto v0.0.0-20191230161307-f3c370f40bfb/go.mod"
"google.golang.org/genproto v0.0.0-20200115191322-ca5a22157cba/go.mod"
"google.golang.org/genproto v0.0.0-20200117163144-32f20d992d24/go.mod"
"google.golang.org/genproto v0.0.0-20200122232147-0452cf42e150/go.mod"
"google.golang.org/genproto v0.0.0-20200204135345-fa8e72b47b90/go.mod"
"google.golang.org/genproto v0.0.0-20200212174721-66ed5ce911ce/go.mod"
"google.golang.org/genproto v0.0.0-20200224152610-e50cd9704f63/go.mod"
"google.golang.org/genproto v0.0.0-20200305110556-506484158171/go.mod"
"google.golang.org/genproto v0.0.0-20200526211855-cb27e3aa2013/go.mod"
"google.golang.org/genproto v0.0.0-20201110150050-8816d57aaa9a"
"google.golang.org/genproto v0.0.0-20201110150050-8816d57aaa9a/go.mod"
"google.golang.org/grpc v0.0.0-20160317175043-d3ddb4469d5a/go.mod"
"google.golang.org/grpc v1.19.0/go.mod"
"google.golang.org/grpc v1.20.1/go.mod"
"google.golang.org/grpc v1.21.0/go.mod"
"google.golang.org/grpc v1.21.1/go.mod"
"google.golang.org/grpc v1.23.0/go.mod"
"google.golang.org/grpc v1.23.1/go.mod"
"google.golang.org/grpc v1.24.0/go.mod"
"google.golang.org/grpc v1.25.1/go.mod"
"google.golang.org/grpc v1.26.0/go.mod"
"google.golang.org/grpc v1.27.0/go.mod"
"google.golang.org/grpc v1.27.1/go.mod"
"google.golang.org/grpc v1.30.0/go.mod"
"google.golang.org/grpc v1.33.2/go.mod"
"google.golang.org/grpc v1.35.0"
"google.golang.org/grpc v1.35.0/go.mod"
"google.golang.org/protobuf v0.0.0-20200109180630-ec00e32a8dfd/go.mod"
"google.golang.org/protobuf v0.0.0-20200221191635-4d8936d0db64/go.mod"
"google.golang.org/protobuf v0.0.0-20200228230310-ab0ca4ff8a60/go.mod"
"google.golang.org/protobuf v1.20.1-0.20200309200217-e05f789c0967/go.mod"
"google.golang.org/protobuf v1.21.0/go.mod"
"google.golang.org/protobuf v1.22.0/go.mod"
"google.golang.org/protobuf v1.23.0/go.mod"
"google.golang.org/protobuf v1.23.1-0.20200526195155-81db48ad09cc/go.mod"
"google.golang.org/protobuf v1.24.0/go.mod"
"google.golang.org/protobuf v1.25.0"
"google.golang.org/protobuf v1.25.0/go.mod"
"gopkg.in/airbrake/gobrake.v2 v2.0.9/go.mod"
"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
"gopkg.in/check.v1 v1.0.0-20141024133853-64131543e789/go.mod"
"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15"
"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
"gopkg.in/cheggaaa/pb.v1 v1.0.25/go.mod"
"gopkg.in/errgo.v2 v2.1.0/go.mod"
"gopkg.in/fsnotify.v1 v1.4.7/go.mod"
"gopkg.in/gemnasium/logrus-airbrake-hook.v2 v2.1.2/go.mod"
"gopkg.in/inf.v0 v0.9.1/go.mod"
"gopkg.in/natefinch/lumberjack.v2 v2.0.0/go.mod"
"gopkg.in/resty.v1 v1.12.0/go.mod"
"gopkg.in/square/go-jose.v2 v2.2.2/go.mod"
"gopkg.in/square/go-jose.v2 v2.3.1/go.mod"
"gopkg.in/square/go-jose.v2 v2.5.1"
"gopkg.in/square/go-jose.v2 v2.5.1/go.mod"
"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7"
"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
"gopkg.in/yaml.v2 v2.0.0-20170812160011-eb3733d160e7/go.mod"
"gopkg.in/yaml.v2 v2.2.1/go.mod"
"gopkg.in/yaml.v2 v2.2.2/go.mod"
"gopkg.in/yaml.v2 v2.2.3/go.mod"
"gopkg.in/yaml.v2 v2.2.4/go.mod"
"gopkg.in/yaml.v2 v2.2.5/go.mod"
"gopkg.in/yaml.v2 v2.2.8/go.mod"
"gopkg.in/yaml.v2 v2.3.0/go.mod"
"gopkg.in/yaml.v2 v2.4.0"
"gopkg.in/yaml.v2 v2.4.0/go.mod"
"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c"
"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
"gotest.tools v2.2.0+incompatible"
"gotest.tools v2.2.0+incompatible/go.mod"
"gotest.tools/v3 v3.0.2/go.mod"
"gotest.tools/v3 v3.0.3"
"gotest.tools/v3 v3.0.3/go.mod"
"honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
"honnef.co/go/tools v0.0.0-20190106161140-3f1c8253044a/go.mod"
"honnef.co/go/tools v0.0.0-20190418001031-e561f6794a2a/go.mod"
"honnef.co/go/tools v0.0.0-20190523083050-ea95bdfd59fc/go.mod"
"honnef.co/go/tools v0.0.1-2019.2.3/go.mod"
"honnef.co/go/tools v0.0.1-2020.1.3/go.mod"
"k8s.io/api v0.20.1/go.mod"
"k8s.io/api v0.20.4/go.mod"
"k8s.io/api v0.20.6/go.mod"
"k8s.io/apimachinery v0.20.1/go.mod"
"k8s.io/apimachinery v0.20.4/go.mod"
"k8s.io/apimachinery v0.20.6/go.mod"
"k8s.io/apiserver v0.20.1/go.mod"
"k8s.io/apiserver v0.20.4/go.mod"
"k8s.io/apiserver v0.20.6/go.mod"
"k8s.io/client-go v0.20.1/go.mod"
"k8s.io/client-go v0.20.4/go.mod"
"k8s.io/client-go v0.20.6/go.mod"
"k8s.io/component-base v0.20.1/go.mod"
"k8s.io/component-base v0.20.4/go.mod"
"k8s.io/component-base v0.20.6/go.mod"
"k8s.io/cri-api v0.17.3/go.mod"
"k8s.io/cri-api v0.20.1/go.mod"
"k8s.io/cri-api v0.20.4/go.mod"
"k8s.io/cri-api v0.20.6/go.mod"
"k8s.io/gengo v0.0.0-20200413195148-3a45101e95ac/go.mod"
"k8s.io/klog/v2 v2.0.0/go.mod"
"k8s.io/klog/v2 v2.4.0/go.mod"
"k8s.io/kube-openapi v0.0.0-20201113171705-d219536bb9fd/go.mod"
"k8s.io/kubernetes v1.13.0/go.mod"
"k8s.io/utils v0.0.0-20201110183641-67b214c5f920/go.mod"
"rsc.io/binaryregexp v0.2.0/go.mod"
"rsc.io/quote/v3 v3.1.0/go.mod"
"rsc.io/sampler v1.3.0/go.mod"
"sigs.k8s.io/apiserver-network-proxy/konnectivity-client v0.0.14/go.mod"
"sigs.k8s.io/apiserver-network-proxy/konnectivity-client v0.0.15/go.mod"
"sigs.k8s.io/structured-merge-diff/v4 v4.0.2/go.mod"
"sigs.k8s.io/structured-merge-diff/v4 v4.0.3/go.mod"
"sigs.k8s.io/yaml v1.1.0/go.mod"
"sigs.k8s.io/yaml v1.2.0/go.mod"
)
go-module_set_globals
SRC_URI="https://github.com/containerd/nerdctl/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"
BDEPEND=">=dev-lang/go-1.16"
LICENSE="Apache-2.0 BSD BSD-2 ISC MIT"
SLOT="0"

KEYWORDS="~amd64"
IUSE=""

src_prepare() {
	sed -e 's:/usr/local/bin:/usr/bin:' \
		-e "s|^VERSION[[:space:]]*=.*|VERSION := v${PV}|" \
		-e "s|^REVISION[[:space:]]*=.*|REVISION := ${EGIT_COMMIT}|" \
		-i Makefile || die
	default
}

src_install() {
	DOCS=(README.md docs examples)
	default_src_install
}
