# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

# ebuild generated by hackport 0.6.6.9999
#hackport: flags: -developer,-native

CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
inherit haskell-cabal

DESCRIPTION="Fast rendering of common datatypes"
HOMEPAGE="https://github.com/bos/blaze-textual"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"

RDEPEND=">=dev-haskell/blaze-builder-0.2.1.4:=[profile?]
	>=dev-haskell/double-conversion-0.2.0.1:=[profile?]
	dev-haskell/old-locale:=[profile?]
	>=dev-haskell/text-0.11.0.2:=[profile?]
	dev-haskell/vector:=[profile?]
	>=dev-lang/ghc-7.4.1:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-1.8
	test? ( >=dev-haskell/quickcheck-2.4.0.1
		>=dev-haskell/test-framework-0.3.3
		>=dev-haskell/test-framework-quickcheck2-0.2.9 )
"

PATCHES=(
	"${FILESDIR}"/${PN}-0.2.1.0-ghc-9.0.patch
	"${FILESDIR}"/${PN}-0.2.1.0-integer-simple-fallback.patch
)

src_configure() {
	haskell-cabal_src_configure \
		--flag=-developer \
		--flag=-native
}
