# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

# ebuild generated by hackport 0.6.7.9999

CABAL_FEATURES="lib profile haddock hoogle hscolour" # Drop 'test-suite' to avoid circular depend
inherit haskell-cabal

DESCRIPTION="An HTTP client using io-streams"
HOMEPAGE="https://github.com/afcowie/http-streams/"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE="+network-uri"

RESTRICT=test #circular test depend: http-streams -> snap-server -> http-streams

RDEPEND="dev-haskell/aeson:=[profile?]
	dev-haskell/attoparsec:=[profile?]
	dev-haskell/base64-bytestring:=[profile?]
	>=dev-haskell/blaze-builder-0.4:=[profile?]
	dev-haskell/case-insensitive:=[profile?]
	>=dev-haskell/hsopenssl-0.11.2:=[profile?]
	>=dev-haskell/http-common-0.8.2:=[profile?]
	>=dev-haskell/io-streams-1.3:=[zlib,profile?] <dev-haskell/io-streams-1.6:=[zlib,profile?]
	dev-haskell/mtl:=[profile?]
	>=dev-haskell/openssl-streams-1.1:=[profile?] <dev-haskell/openssl-streams-1.4:=[profile?]
	dev-haskell/text:=[profile?]
	dev-haskell/unordered-containers:=[profile?]
	>=dev-lang/ghc-8.4.3:=
	network-uri? ( >=dev-haskell/network-2.6:=[profile?]
			>=dev-haskell/network-uri-2.6:=[profile?] )
	!network-uri? ( <dev-haskell/network-2.6:=[profile?]
			<dev-haskell/network-uri-2.6:=[profile?] )
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-2.2.0.1
"

src_configure() {
	haskell-cabal_src_configure \
		$(cabal_flag network-uri network-uri)
}
