# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

# ebuild generated by hackport 0.5.5.9999

CABAL_FEATURES="lib profile"
# break circular dependencies:
# https://github.com/gentoo-haskell/gentoo-haskell/issues/810
CABAL_FEATURES+=" nocabaldep"
inherit haskell-cabal

DESCRIPTION="Natural numbers"
HOMEPAGE="https://github.com/ekmett/nats/"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE="+binary +hashable +template-haskell"

RESTRICT=test # avoid circular dep: nats[hashable]->hashable[test]->quickcheck->nats

RDEPEND=">=dev-lang/ghc-7.4.1:=
	binary? ( >=dev-haskell/binary-0.2:=[profile?] <dev-haskell/binary-0.9:=[profile?] )
	hashable? ( >=dev-haskell/hashable-1.1:=[profile?] <dev-haskell/hashable-1.3:=[profile?] )
"
DEPEND="${RDEPEND}"

src_configure() {
	haskell-cabal_src_configure \
		$(cabal_flag binary binary) \
		$(cabal_flag hashable hashable) \
		$(cabal_flag template-haskell template-haskell)
}
