# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit bash-completion-r1 go-module systemd

DESCRIPTION="Main implementation of IPFS"
HOMEPAGE="https://ipfs.io/"

EGO_SUM=(
	"bazil.org/fuse v0.0.0-20200117225306-7b5117fecadc"
	"bazil.org/fuse v0.0.0-20200117225306-7b5117fecadc/go.mod"
	"cloud.google.com/go v0.26.0/go.mod"
	"cloud.google.com/go v0.31.0/go.mod"
	"cloud.google.com/go v0.34.0/go.mod"
	"cloud.google.com/go v0.37.0/go.mod"
	"cloud.google.com/go v0.38.0/go.mod"
	"cloud.google.com/go v0.44.1/go.mod"
	"cloud.google.com/go v0.44.2/go.mod"
	"cloud.google.com/go v0.45.1/go.mod"
	"cloud.google.com/go v0.46.3/go.mod"
	"cloud.google.com/go v0.50.0/go.mod"
	"cloud.google.com/go v0.53.0/go.mod"
	"cloud.google.com/go/bigquery v1.0.1/go.mod"
	"cloud.google.com/go/bigquery v1.3.0/go.mod"
	"cloud.google.com/go/datastore v1.0.0/go.mod"
	"cloud.google.com/go/pubsub v1.0.1/go.mod"
	"cloud.google.com/go/pubsub v1.1.0/go.mod"
	"cloud.google.com/go/storage v1.0.0/go.mod"
	"cloud.google.com/go/storage v1.5.0/go.mod"
	"contrib.go.opencensus.io/exporter/prometheus v0.3.0"
	"contrib.go.opencensus.io/exporter/prometheus v0.3.0/go.mod"
	"dmitri.shuralyov.com/app/changes v0.0.0-20180602232624-0a106ad413e3/go.mod"
	"dmitri.shuralyov.com/gpu/mtl v0.0.0-20190408044501-666a987793e9/go.mod"
	"dmitri.shuralyov.com/html/belt v0.0.0-20180602232347-f7d459c86be0/go.mod"
	"dmitri.shuralyov.com/service/change v0.0.0-20181023043359-a85b471d5412/go.mod"
	"dmitri.shuralyov.com/state v0.0.0-20180228185332-28bcc343414c/go.mod"
	"git.apache.org/thrift.git v0.0.0-20180902110319-2566ecd5d999/go.mod"
	"github.com/AndreasBriese/bbloom v0.0.0-20180913140656-343706a395b7/go.mod"
	"github.com/AndreasBriese/bbloom v0.0.0-20190306092124-e2d15f34fcf9/go.mod"
	"github.com/AndreasBriese/bbloom v0.0.0-20190825152654-46b345b51c96"
	"github.com/AndreasBriese/bbloom v0.0.0-20190825152654-46b345b51c96/go.mod"
	"github.com/BurntSushi/toml v0.3.1"
	"github.com/BurntSushi/toml v0.3.1/go.mod"
	"github.com/BurntSushi/xgb v0.0.0-20160522181843-27f122750802/go.mod"
	"github.com/Knetic/govaluate v3.0.1-0.20171022003610-9aa49832a739+incompatible/go.mod"
	"github.com/Kubuxu/go-os-helper v0.0.1"
	"github.com/Kubuxu/go-os-helper v0.0.1/go.mod"
	"github.com/OneOfOne/xxhash v1.2.2"
	"github.com/OneOfOne/xxhash v1.2.2/go.mod"
	"github.com/Shopify/sarama v1.19.0/go.mod"
	"github.com/Shopify/toxiproxy v2.1.4+incompatible/go.mod"
	"github.com/Stebalien/go-bitfield v0.0.1"
	"github.com/Stebalien/go-bitfield v0.0.1/go.mod"
	"github.com/VividCortex/gohistogram v1.0.0/go.mod"
	"github.com/aead/siphash v1.0.1/go.mod"
	"github.com/afex/hystrix-go v0.0.0-20180502004556-fa1af6a1f4f5/go.mod"
	"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
	"github.com/alecthomas/template v0.0.0-20190718012654-fb15b899a751"
	"github.com/alecthomas/template v0.0.0-20190718012654-fb15b899a751/go.mod"
	"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
	"github.com/alecthomas/units v0.0.0-20190717042225-c3de453c63f4/go.mod"
	"github.com/alecthomas/units v0.0.0-20190924025748-f65c72e2690d"
	"github.com/alecthomas/units v0.0.0-20190924025748-f65c72e2690d/go.mod"
	"github.com/alexbrainman/goissue34681 v0.0.0-20191006012335-3fc7a47baff5"
	"github.com/alexbrainman/goissue34681 v0.0.0-20191006012335-3fc7a47baff5/go.mod"
	"github.com/anmitsu/go-shlex v0.0.0-20161002113705-648efa622239/go.mod"
	"github.com/apache/thrift v0.12.0/go.mod"
	"github.com/apache/thrift v0.13.0/go.mod"
	"github.com/armon/circbuf v0.0.0-20150827004946-bbbad097214e/go.mod"
	"github.com/armon/consul-api v0.0.0-20180202201655-eb2c6b5be1b6/go.mod"
	"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da/go.mod"
	"github.com/armon/go-radix v0.0.0-20180808171621-7fddfc383310/go.mod"
	"github.com/aryann/difflib v0.0.0-20170710044230-e206f873d14a/go.mod"
	"github.com/aws/aws-lambda-go v1.13.3/go.mod"
	"github.com/aws/aws-sdk-go v1.27.0/go.mod"
	"github.com/aws/aws-sdk-go-v2 v0.18.0/go.mod"
	"github.com/benbjohnson/clock v1.0.2/go.mod"
	"github.com/benbjohnson/clock v1.0.3"
	"github.com/benbjohnson/clock v1.0.3/go.mod"
	"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
	"github.com/beorn7/perks v1.0.0/go.mod"
	"github.com/beorn7/perks v1.0.1"
	"github.com/beorn7/perks v1.0.1/go.mod"
	"github.com/bgentry/speakeasy v0.1.0/go.mod"
	"github.com/blang/semver/v4 v4.0.0"
	"github.com/blang/semver/v4 v4.0.0/go.mod"
	"github.com/bradfitz/go-smtpd v0.0.0-20170404230938-deb6d6237625/go.mod"
	"github.com/btcsuite/btcd v0.0.0-20190213025234-306aecffea32/go.mod"
	"github.com/btcsuite/btcd v0.0.0-20190523000118-16327141da8c/go.mod"
	"github.com/btcsuite/btcd v0.0.0-20190605094302-a0d1e3e36d50/go.mod"
	"github.com/btcsuite/btcd v0.0.0-20190824003749-130ea5bddde3/go.mod"
	"github.com/btcsuite/btcd v0.20.1-beta/go.mod"
	"github.com/btcsuite/btcd v0.21.0-beta"
	"github.com/btcsuite/btcd v0.21.0-beta/go.mod"
	"github.com/btcsuite/btclog v0.0.0-20170628155309-84c8d2346e9f/go.mod"
	"github.com/btcsuite/btcutil v0.0.0-20190207003914-4c204d697803/go.mod"
	"github.com/btcsuite/btcutil v0.0.0-20190425235716-9e5f4b9a998d/go.mod"
	"github.com/btcsuite/btcutil v1.0.2/go.mod"
	"github.com/btcsuite/go-socks v0.0.0-20170105172521-4720035b7bfd/go.mod"
	"github.com/btcsuite/goleveldb v0.0.0-20160330041536-7834afc9e8cd/go.mod"
	"github.com/btcsuite/goleveldb v1.0.0/go.mod"
	"github.com/btcsuite/snappy-go v0.0.0-20151229074030-0bdef8d06723/go.mod"
	"github.com/btcsuite/snappy-go v1.0.0/go.mod"
	"github.com/btcsuite/websocket v0.0.0-20150119174127-31079b680792/go.mod"
	"github.com/btcsuite/winsvc v1.0.0/go.mod"
	"github.com/buger/jsonparser v0.0.0-20181115193947-bf1c66bbce23/go.mod"
	"github.com/casbin/casbin/v2 v2.1.2/go.mod"
	"github.com/cenkalti/backoff v2.2.1+incompatible"
	"github.com/cenkalti/backoff v2.2.1+incompatible/go.mod"
	"github.com/census-instrumentation/opencensus-proto v0.2.1/go.mod"
	"github.com/cespare/xxhash v1.1.0"
	"github.com/cespare/xxhash v1.1.0/go.mod"
	"github.com/cespare/xxhash/v2 v2.1.1"
	"github.com/cespare/xxhash/v2 v2.1.1/go.mod"
	"github.com/cheekybits/genny v1.0.0"
	"github.com/cheekybits/genny v1.0.0/go.mod"
	"github.com/cheggaaa/pb v1.0.29"
	"github.com/cheggaaa/pb v1.0.29/go.mod"
	"github.com/chzyer/logex v1.1.10/go.mod"
	"github.com/chzyer/readline v0.0.0-20180603132655-2972be24d48e/go.mod"
	"github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1/go.mod"
	"github.com/clbanning/x2j v0.0.0-20191024224557-825249438eec/go.mod"
	"github.com/client9/misspell v0.3.4/go.mod"
	"github.com/cncf/udpa/go v0.0.0-20191209042840-269d4d468f6f/go.mod"
	"github.com/cockroachdb/datadriven v0.0.0-20190809214429-80d97fb3cbaa/go.mod"
	"github.com/codahale/hdrhistogram v0.0.0-20161010025455-3a0bb77429bd/go.mod"
	"github.com/coreos/etcd v3.3.10+incompatible/go.mod"
	"github.com/coreos/go-etcd v2.0.0+incompatible/go.mod"
	"github.com/coreos/go-semver v0.2.0/go.mod"
	"github.com/coreos/go-semver v0.2.1-0.20180108230905-e214231b295a/go.mod"
	"github.com/coreos/go-semver v0.3.0"
	"github.com/coreos/go-semver v0.3.0/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20180511133405-39ca1b05acc7/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20181012123002-c6f51f82210d"
	"github.com/coreos/go-systemd v0.0.0-20181012123002-c6f51f82210d/go.mod"
	"github.com/coreos/go-systemd/v22 v22.0.0/go.mod"
	"github.com/coreos/go-systemd/v22 v22.3.1"
	"github.com/coreos/go-systemd/v22 v22.3.1/go.mod"
	"github.com/coreos/pkg v0.0.0-20160727233714-3ac0863d7acf/go.mod"
	"github.com/cpuguy83/go-md2man v1.0.10/go.mod"
	"github.com/cpuguy83/go-md2man/v2 v2.0.0-20190314233015-f79a8a8ca69d/go.mod"
	"github.com/crackcomm/go-gitignore v0.0.0-20170627025303-887ab5e44cc3"
	"github.com/crackcomm/go-gitignore v0.0.0-20170627025303-887ab5e44cc3/go.mod"
	"github.com/creack/pty v1.1.7/go.mod"
	"github.com/cskr/pubsub v1.0.2"
	"github.com/cskr/pubsub v1.0.2/go.mod"
	"github.com/davecgh/go-spew v0.0.0-20171005155431-ecdeabc65495/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/davidlazar/go-crypto v0.0.0-20170701192655-dcfb0a7ac018/go.mod"
	"github.com/davidlazar/go-crypto v0.0.0-20200604182044-b73af7476f6c"
	"github.com/davidlazar/go-crypto v0.0.0-20200604182044-b73af7476f6c/go.mod"
	"github.com/decred/dcrd/lru v1.0.0/go.mod"
	"github.com/dgraph-io/badger v1.5.5-0.20190226225317-8115aed38f8f/go.mod"
	"github.com/dgraph-io/badger v1.6.0-rc1/go.mod"
	"github.com/dgraph-io/badger v1.6.0/go.mod"
	"github.com/dgraph-io/badger v1.6.1/go.mod"
	"github.com/dgraph-io/badger v1.6.2"
	"github.com/dgraph-io/badger v1.6.2/go.mod"
	"github.com/dgraph-io/ristretto v0.0.2"
	"github.com/dgraph-io/ristretto v0.0.2/go.mod"
	"github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
	"github.com/dgryski/go-farm v0.0.0-20190104051053-3adb47b1fb0f/go.mod"
	"github.com/dgryski/go-farm v0.0.0-20190423205320-6a90982ecee2"
	"github.com/dgryski/go-farm v0.0.0-20190423205320-6a90982ecee2/go.mod"
	"github.com/dustin/go-humanize v0.0.0-20171111073723-bb3d318650d4/go.mod"
	"github.com/dustin/go-humanize v1.0.0"
	"github.com/dustin/go-humanize v1.0.0/go.mod"
	"github.com/eapache/go-resiliency v1.1.0/go.mod"
	"github.com/eapache/go-xerial-snappy v0.0.0-20180814174437-776d5712da21/go.mod"
	"github.com/eapache/queue v1.1.0/go.mod"
	"github.com/edsrzf/mmap-go v1.0.0/go.mod"
	"github.com/elgris/jsondiff v0.0.0-20160530203242-765b5c24c302"
	"github.com/elgris/jsondiff v0.0.0-20160530203242-765b5c24c302/go.mod"
	"github.com/envoyproxy/go-control-plane v0.6.9/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.0/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.1-0.20191026205805-5f8ba28d4473/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.4/go.mod"
	"github.com/envoyproxy/protoc-gen-validate v0.1.0/go.mod"
	"github.com/facebookgo/atomicfile v0.0.0-20151019160806-2de1f203e7d5"
	"github.com/facebookgo/atomicfile v0.0.0-20151019160806-2de1f203e7d5/go.mod"
	"github.com/fatih/color v1.7.0/go.mod"
	"github.com/fatih/color v1.9.0"
	"github.com/fatih/color v1.9.0/go.mod"
	"github.com/flynn/go-shlex v0.0.0-20150515145356-3f9db97f8568/go.mod"
	"github.com/flynn/noise v0.0.0-20180327030543-2492fe189ae6/go.mod"
	"github.com/flynn/noise v1.0.0"
	"github.com/flynn/noise v1.0.0/go.mod"
	"github.com/francoispqt/gojay v1.2.13"
	"github.com/francoispqt/gojay v1.2.13/go.mod"
	"github.com/franela/goblin v0.0.0-20200105215937-c9ffbefa60db/go.mod"
	"github.com/franela/goreq v0.0.0-20171204163338-bcd34c9993f8/go.mod"
	"github.com/frankban/quicktest v1.11.3"
	"github.com/frankban/quicktest v1.11.3/go.mod"
	"github.com/fsnotify/fsnotify v1.4.7/go.mod"
	"github.com/fsnotify/fsnotify v1.4.9"
	"github.com/fsnotify/fsnotify v1.4.9/go.mod"
	"github.com/gabriel-vasile/mimetype v1.1.2"
	"github.com/gabriel-vasile/mimetype v1.1.2/go.mod"
	"github.com/ghodss/yaml v1.0.0/go.mod"
	"github.com/gliderlabs/ssh v0.1.1/go.mod"
	"github.com/go-bindata/go-bindata/v3 v3.1.3"
	"github.com/go-bindata/go-bindata/v3 v3.1.3/go.mod"
	"github.com/go-check/check v0.0.0-20180628173108-788fd7840127/go.mod"
	"github.com/go-errors/errors v1.0.1/go.mod"
	"github.com/go-gl/glfw v0.0.0-20190409004039-e6da0acd62b1/go.mod"
	"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20191125211704-12ad95a8df72/go.mod"
	"github.com/go-kit/kit v0.8.0/go.mod"
	"github.com/go-kit/kit v0.9.0/go.mod"
	"github.com/go-kit/kit v0.10.0/go.mod"
	"github.com/go-logfmt/logfmt v0.3.0/go.mod"
	"github.com/go-logfmt/logfmt v0.4.0/go.mod"
	"github.com/go-logfmt/logfmt v0.5.0/go.mod"
	"github.com/go-sql-driver/mysql v1.4.0/go.mod"
	"github.com/go-stack/stack v1.8.0/go.mod"
	"github.com/go-task/slim-sprig v0.0.0-20210107165309-348f09dbbbc0"
	"github.com/go-task/slim-sprig v0.0.0-20210107165309-348f09dbbbc0/go.mod"
	"github.com/godbus/dbus/v5 v5.0.3/go.mod"
	"github.com/godbus/dbus/v5 v5.0.4/go.mod"
	"github.com/gogo/googleapis v1.1.0/go.mod"
	"github.com/gogo/protobuf v1.1.1/go.mod"
	"github.com/gogo/protobuf v1.2.0/go.mod"
	"github.com/gogo/protobuf v1.2.1/go.mod"
	"github.com/gogo/protobuf v1.3.0/go.mod"
	"github.com/gogo/protobuf v1.3.1/go.mod"
	"github.com/gogo/protobuf v1.3.2"
	"github.com/gogo/protobuf v1.3.2/go.mod"
	"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
	"github.com/golang/groupcache v0.0.0-20160516000752-02826c3e7903/go.mod"
	"github.com/golang/groupcache v0.0.0-20190702054246-869f871628b6/go.mod"
	"github.com/golang/groupcache v0.0.0-20191027212112-611e8accdfc9/go.mod"
	"github.com/golang/groupcache v0.0.0-20191227052852-215e87163ea7/go.mod"
	"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e"
	"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e/go.mod"
	"github.com/golang/lint v0.0.0-20180702182130-06c8688daad7/go.mod"
	"github.com/golang/mock v1.1.1/go.mod"
	"github.com/golang/mock v1.2.0/go.mod"
	"github.com/golang/mock v1.3.1/go.mod"
	"github.com/golang/mock v1.4.0/go.mod"
	"github.com/golang/mock v1.4.4/go.mod"
	"github.com/golang/mock v1.6.0"
	"github.com/golang/mock v1.6.0/go.mod"
	"github.com/golang/protobuf v1.2.0/go.mod"
	"github.com/golang/protobuf v1.3.0/go.mod"
	"github.com/golang/protobuf v1.3.1/go.mod"
	"github.com/golang/protobuf v1.3.2/go.mod"
	"github.com/golang/protobuf v1.3.3/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.1/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.1.0.20200221234624-67d41d38c208/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.2/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.4.0.20200313231945-b860323f09d0/go.mod"
	"github.com/golang/protobuf v1.4.0/go.mod"
	"github.com/golang/protobuf v1.4.1/go.mod"
	"github.com/golang/protobuf v1.4.2/go.mod"
	"github.com/golang/protobuf v1.4.3/go.mod"
	"github.com/golang/protobuf v1.5.0/go.mod"
	"github.com/golang/protobuf v1.5.2"
	"github.com/golang/protobuf v1.5.2/go.mod"
	"github.com/golang/snappy v0.0.0-20180518054509-2e65f85255db"
	"github.com/golang/snappy v0.0.0-20180518054509-2e65f85255db/go.mod"
	"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
	"github.com/google/btree v1.0.0/go.mod"
	"github.com/google/go-cmp v0.2.0/go.mod"
	"github.com/google/go-cmp v0.3.0/go.mod"
	"github.com/google/go-cmp v0.3.1/go.mod"
	"github.com/google/go-cmp v0.4.0/go.mod"
	"github.com/google/go-cmp v0.5.0/go.mod"
	"github.com/google/go-cmp v0.5.3/go.mod"
	"github.com/google/go-cmp v0.5.4/go.mod"
	"github.com/google/go-cmp v0.5.5"
	"github.com/google/go-cmp v0.5.5/go.mod"
	"github.com/google/go-github v17.0.0+incompatible/go.mod"
	"github.com/google/go-querystring v1.0.0/go.mod"
	"github.com/google/gofuzz v1.0.0/go.mod"
	"github.com/google/gopacket v1.1.17/go.mod"
	"github.com/google/gopacket v1.1.18/go.mod"
	"github.com/google/gopacket v1.1.19"
	"github.com/google/gopacket v1.1.19/go.mod"
	"github.com/google/martian v2.1.0+incompatible/go.mod"
	"github.com/google/pprof v0.0.0-20181206194817-3ea8567a2e57/go.mod"
	"github.com/google/pprof v0.0.0-20190515194954-54271f7e092f/go.mod"
	"github.com/google/pprof v0.0.0-20200212024743-f11f1df84d12/go.mod"
	"github.com/google/renameio v0.1.0/go.mod"
	"github.com/google/uuid v1.0.0/go.mod"
	"github.com/google/uuid v1.1.1/go.mod"
	"github.com/google/uuid v1.1.2/go.mod"
	"github.com/google/uuid v1.2.0"
	"github.com/google/uuid v1.2.0/go.mod"
	"github.com/googleapis/gax-go v2.0.0+incompatible/go.mod"
	"github.com/googleapis/gax-go/v2 v2.0.3/go.mod"
	"github.com/googleapis/gax-go/v2 v2.0.4/go.mod"
	"github.com/googleapis/gax-go/v2 v2.0.5/go.mod"
	"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1/go.mod"
	"github.com/gopherjs/gopherjs v0.0.0-20190430165422-3e4dfb77656c/go.mod"
	"github.com/gopherjs/gopherjs v0.0.0-20190812055157-5d271430af9f"
	"github.com/gopherjs/gopherjs v0.0.0-20190812055157-5d271430af9f/go.mod"
	"github.com/gorilla/context v1.1.1/go.mod"
	"github.com/gorilla/mux v1.6.2/go.mod"
	"github.com/gorilla/mux v1.7.3/go.mod"
	"github.com/gorilla/websocket v0.0.0-20170926233335-4201258b820c/go.mod"
	"github.com/gorilla/websocket v1.4.0/go.mod"
	"github.com/gorilla/websocket v1.4.1/go.mod"
	"github.com/gorilla/websocket v1.4.2"
	"github.com/gorilla/websocket v1.4.2/go.mod"
	"github.com/gregjones/httpcache v0.0.0-20180305231024-9cad4c3443a7/go.mod"
	"github.com/grpc-ecosystem/go-grpc-middleware v1.0.1-0.20190118093823-f849b5445de4/go.mod"
	"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0/go.mod"
	"github.com/grpc-ecosystem/grpc-gateway v1.5.0/go.mod"
	"github.com/grpc-ecosystem/grpc-gateway v1.9.5/go.mod"
	"github.com/gxed/hashland/keccakpg v0.0.1/go.mod"
	"github.com/gxed/hashland/murmur3 v0.0.1/go.mod"
	"github.com/hannahhoward/cbor-gen-for v0.0.0-20200817222906-ea96cece81f1/go.mod"
	"github.com/hannahhoward/go-pubsub v0.0.0-20200423002714-8d62886cc36e"
	"github.com/hannahhoward/go-pubsub v0.0.0-20200423002714-8d62886cc36e/go.mod"
	"github.com/hashicorp/consul/api v1.3.0/go.mod"
	"github.com/hashicorp/consul/sdk v0.3.0/go.mod"
	"github.com/hashicorp/errwrap v1.0.0"
	"github.com/hashicorp/errwrap v1.0.0/go.mod"
	"github.com/hashicorp/go-cleanhttp v0.5.1/go.mod"
	"github.com/hashicorp/go-immutable-radix v1.0.0/go.mod"
	"github.com/hashicorp/go-msgpack v0.5.3/go.mod"
	"github.com/hashicorp/go-multierror v1.0.0/go.mod"
	"github.com/hashicorp/go-multierror v1.1.0/go.mod"
	"github.com/hashicorp/go-multierror v1.1.1"
	"github.com/hashicorp/go-multierror v1.1.1/go.mod"
	"github.com/hashicorp/go-rootcerts v1.0.0/go.mod"
	"github.com/hashicorp/go-sockaddr v1.0.0/go.mod"
	"github.com/hashicorp/go-syslog v1.0.0/go.mod"
	"github.com/hashicorp/go-uuid v1.0.0/go.mod"
	"github.com/hashicorp/go-uuid v1.0.1/go.mod"
	"github.com/hashicorp/go-version v1.2.0/go.mod"
	"github.com/hashicorp/go.net v0.0.1/go.mod"
	"github.com/hashicorp/golang-lru v0.5.0/go.mod"
	"github.com/hashicorp/golang-lru v0.5.1/go.mod"
	"github.com/hashicorp/golang-lru v0.5.4"
	"github.com/hashicorp/golang-lru v0.5.4/go.mod"
	"github.com/hashicorp/hcl v1.0.0/go.mod"
	"github.com/hashicorp/logutils v1.0.0/go.mod"
	"github.com/hashicorp/mdns v1.0.0/go.mod"
	"github.com/hashicorp/memberlist v0.1.3/go.mod"
	"github.com/hashicorp/serf v0.8.2/go.mod"
	"github.com/hpcloud/tail v1.0.0/go.mod"
	"github.com/hudl/fargo v1.3.0/go.mod"
	"github.com/huin/goupnp v1.0.0"
	"github.com/huin/goupnp v1.0.0/go.mod"
	"github.com/huin/goutil v0.0.0-20170803182201-1ca381bf3150/go.mod"
	"github.com/ianlancetaylor/demangle v0.0.0-20181102032728-5e5cf60278f6/go.mod"
	"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
	"github.com/influxdata/influxdb1-client v0.0.0-20191209144304-8bf82d3c094d/go.mod"
	"github.com/ipfs/bbloom v0.0.1/go.mod"
	"github.com/ipfs/bbloom v0.0.4"
	"github.com/ipfs/bbloom v0.0.4/go.mod"
	"github.com/ipfs/go-bitswap v0.0.9/go.mod"
	"github.com/ipfs/go-bitswap v0.1.0/go.mod"
	"github.com/ipfs/go-bitswap v0.1.2/go.mod"
	"github.com/ipfs/go-bitswap v0.1.3/go.mod"
	"github.com/ipfs/go-bitswap v0.1.8/go.mod"
	"github.com/ipfs/go-bitswap v0.3.4"
	"github.com/ipfs/go-bitswap v0.3.4/go.mod"
	"github.com/ipfs/go-block-format v0.0.1/go.mod"
	"github.com/ipfs/go-block-format v0.0.2/go.mod"
	"github.com/ipfs/go-block-format v0.0.3"
	"github.com/ipfs/go-block-format v0.0.3/go.mod"
	"github.com/ipfs/go-blockservice v0.0.7/go.mod"
	"github.com/ipfs/go-blockservice v0.1.0/go.mod"
	"github.com/ipfs/go-blockservice v0.1.1/go.mod"
	"github.com/ipfs/go-blockservice v0.1.2/go.mod"
	"github.com/ipfs/go-blockservice v0.1.3/go.mod"
	"github.com/ipfs/go-blockservice v0.1.4"
	"github.com/ipfs/go-blockservice v0.1.4/go.mod"
	"github.com/ipfs/go-cid v0.0.1/go.mod"
	"github.com/ipfs/go-cid v0.0.2/go.mod"
	"github.com/ipfs/go-cid v0.0.3/go.mod"
	"github.com/ipfs/go-cid v0.0.4/go.mod"
	"github.com/ipfs/go-cid v0.0.5/go.mod"
	"github.com/ipfs/go-cid v0.0.6/go.mod"
	"github.com/ipfs/go-cid v0.0.7"
	"github.com/ipfs/go-cid v0.0.7/go.mod"
	"github.com/ipfs/go-cidutil v0.0.2"
	"github.com/ipfs/go-cidutil v0.0.2/go.mod"
	"github.com/ipfs/go-datastore v0.0.1/go.mod"
	"github.com/ipfs/go-datastore v0.0.5/go.mod"
	"github.com/ipfs/go-datastore v0.1.0/go.mod"
	"github.com/ipfs/go-datastore v0.1.1/go.mod"
	"github.com/ipfs/go-datastore v0.3.0/go.mod"
	"github.com/ipfs/go-datastore v0.3.1/go.mod"
	"github.com/ipfs/go-datastore v0.4.0/go.mod"
	"github.com/ipfs/go-datastore v0.4.1/go.mod"
	"github.com/ipfs/go-datastore v0.4.4/go.mod"
	"github.com/ipfs/go-datastore v0.4.5"
	"github.com/ipfs/go-datastore v0.4.5/go.mod"
	"github.com/ipfs/go-detect-race v0.0.1"
	"github.com/ipfs/go-detect-race v0.0.1/go.mod"
	"github.com/ipfs/go-ds-badger v0.0.2/go.mod"
	"github.com/ipfs/go-ds-badger v0.0.5/go.mod"
	"github.com/ipfs/go-ds-badger v0.0.7/go.mod"
	"github.com/ipfs/go-ds-badger v0.2.1/go.mod"
	"github.com/ipfs/go-ds-badger v0.2.3/go.mod"
	"github.com/ipfs/go-ds-badger v0.2.6"
	"github.com/ipfs/go-ds-badger v0.2.6/go.mod"
	"github.com/ipfs/go-ds-flatfs v0.4.5"
	"github.com/ipfs/go-ds-flatfs v0.4.5/go.mod"
	"github.com/ipfs/go-ds-leveldb v0.0.1/go.mod"
	"github.com/ipfs/go-ds-leveldb v0.1.0/go.mod"
	"github.com/ipfs/go-ds-leveldb v0.4.1/go.mod"
	"github.com/ipfs/go-ds-leveldb v0.4.2"
	"github.com/ipfs/go-ds-leveldb v0.4.2/go.mod"
	"github.com/ipfs/go-ds-measure v0.1.0"
	"github.com/ipfs/go-ds-measure v0.1.0/go.mod"
	"github.com/ipfs/go-filestore v0.0.3"
	"github.com/ipfs/go-filestore v0.0.3/go.mod"
	"github.com/ipfs/go-fs-lock v0.0.6"
	"github.com/ipfs/go-fs-lock v0.0.6/go.mod"
	"github.com/ipfs/go-graphsync v0.8.0"
	"github.com/ipfs/go-graphsync v0.8.0/go.mod"
	"github.com/ipfs/go-ipfs-blockstore v0.0.1/go.mod"
	"github.com/ipfs/go-ipfs-blockstore v0.1.0/go.mod"
	"github.com/ipfs/go-ipfs-blockstore v0.1.4/go.mod"
	"github.com/ipfs/go-ipfs-blockstore v0.1.6"
	"github.com/ipfs/go-ipfs-blockstore v0.1.6/go.mod"
	"github.com/ipfs/go-ipfs-blocksutil v0.0.1"
	"github.com/ipfs/go-ipfs-blocksutil v0.0.1/go.mod"
	"github.com/ipfs/go-ipfs-chunker v0.0.1/go.mod"
	"github.com/ipfs/go-ipfs-chunker v0.0.5"
	"github.com/ipfs/go-ipfs-chunker v0.0.5/go.mod"
	"github.com/ipfs/go-ipfs-cmds v0.6.0"
	"github.com/ipfs/go-ipfs-cmds v0.6.0/go.mod"
	"github.com/ipfs/go-ipfs-config v0.14.0"
	"github.com/ipfs/go-ipfs-config v0.14.0/go.mod"
	"github.com/ipfs/go-ipfs-delay v0.0.0-20181109222059-70721b86a9a8/go.mod"
	"github.com/ipfs/go-ipfs-delay v0.0.1"
	"github.com/ipfs/go-ipfs-delay v0.0.1/go.mod"
	"github.com/ipfs/go-ipfs-ds-help v0.0.1/go.mod"
	"github.com/ipfs/go-ipfs-ds-help v0.1.1"
	"github.com/ipfs/go-ipfs-ds-help v0.1.1/go.mod"
	"github.com/ipfs/go-ipfs-exchange-interface v0.0.1"
	"github.com/ipfs/go-ipfs-exchange-interface v0.0.1/go.mod"
	"github.com/ipfs/go-ipfs-exchange-offline v0.0.1"
	"github.com/ipfs/go-ipfs-exchange-offline v0.0.1/go.mod"
	"github.com/ipfs/go-ipfs-files v0.0.3/go.mod"
	"github.com/ipfs/go-ipfs-files v0.0.8"
	"github.com/ipfs/go-ipfs-files v0.0.8/go.mod"
	"github.com/ipfs/go-ipfs-keystore v0.0.2"
	"github.com/ipfs/go-ipfs-keystore v0.0.2/go.mod"
	"github.com/ipfs/go-ipfs-pinner v0.1.1"
	"github.com/ipfs/go-ipfs-pinner v0.1.1/go.mod"
	"github.com/ipfs/go-ipfs-posinfo v0.0.1"
	"github.com/ipfs/go-ipfs-posinfo v0.0.1/go.mod"
	"github.com/ipfs/go-ipfs-pq v0.0.1/go.mod"
	"github.com/ipfs/go-ipfs-pq v0.0.2"
	"github.com/ipfs/go-ipfs-pq v0.0.2/go.mod"
	"github.com/ipfs/go-ipfs-provider v0.5.1"
	"github.com/ipfs/go-ipfs-provider v0.5.1/go.mod"
	"github.com/ipfs/go-ipfs-routing v0.0.1/go.mod"
	"github.com/ipfs/go-ipfs-routing v0.1.0"
	"github.com/ipfs/go-ipfs-routing v0.1.0/go.mod"
	"github.com/ipfs/go-ipfs-util v0.0.1/go.mod"
	"github.com/ipfs/go-ipfs-util v0.0.2"
	"github.com/ipfs/go-ipfs-util v0.0.2/go.mod"
	"github.com/ipfs/go-ipld-cbor v0.0.2/go.mod"
	"github.com/ipfs/go-ipld-cbor v0.0.3/go.mod"
	"github.com/ipfs/go-ipld-cbor v0.0.4/go.mod"
	"github.com/ipfs/go-ipld-cbor v0.0.5"
	"github.com/ipfs/go-ipld-cbor v0.0.5/go.mod"
	"github.com/ipfs/go-ipld-format v0.0.1/go.mod"
	"github.com/ipfs/go-ipld-format v0.0.2/go.mod"
	"github.com/ipfs/go-ipld-format v0.2.0"
	"github.com/ipfs/go-ipld-format v0.2.0/go.mod"
	"github.com/ipfs/go-ipld-git v0.0.4"
	"github.com/ipfs/go-ipld-git v0.0.4/go.mod"
	"github.com/ipfs/go-ipns v0.0.2/go.mod"
	"github.com/ipfs/go-ipns v0.1.0"
	"github.com/ipfs/go-ipns v0.1.0/go.mod"
	"github.com/ipfs/go-log v0.0.1/go.mod"
	"github.com/ipfs/go-log v1.0.1/go.mod"
	"github.com/ipfs/go-log v1.0.2/go.mod"
	"github.com/ipfs/go-log v1.0.3/go.mod"
	"github.com/ipfs/go-log v1.0.4/go.mod"
	"github.com/ipfs/go-log v1.0.5"
	"github.com/ipfs/go-log v1.0.5/go.mod"
	"github.com/ipfs/go-log/v2 v2.0.1/go.mod"
	"github.com/ipfs/go-log/v2 v2.0.2/go.mod"
	"github.com/ipfs/go-log/v2 v2.0.3/go.mod"
	"github.com/ipfs/go-log/v2 v2.0.5/go.mod"
	"github.com/ipfs/go-log/v2 v2.1.1/go.mod"
	"github.com/ipfs/go-log/v2 v2.1.3"
	"github.com/ipfs/go-log/v2 v2.1.3/go.mod"
	"github.com/ipfs/go-merkledag v0.0.6/go.mod"
	"github.com/ipfs/go-merkledag v0.1.0/go.mod"
	"github.com/ipfs/go-merkledag v0.2.3/go.mod"
	"github.com/ipfs/go-merkledag v0.3.0/go.mod"
	"github.com/ipfs/go-merkledag v0.3.1/go.mod"
	"github.com/ipfs/go-merkledag v0.3.2"
	"github.com/ipfs/go-merkledag v0.3.2/go.mod"
	"github.com/ipfs/go-metrics-interface v0.0.1"
	"github.com/ipfs/go-metrics-interface v0.0.1/go.mod"
	"github.com/ipfs/go-metrics-prometheus v0.0.2"
	"github.com/ipfs/go-metrics-prometheus v0.0.2/go.mod"
	"github.com/ipfs/go-mfs v0.1.2"
	"github.com/ipfs/go-mfs v0.1.2/go.mod"
	"github.com/ipfs/go-namesys v0.3.0"
	"github.com/ipfs/go-namesys v0.3.0/go.mod"
	"github.com/ipfs/go-path v0.0.7/go.mod"
	"github.com/ipfs/go-path v0.0.9"
	"github.com/ipfs/go-path v0.0.9/go.mod"
	"github.com/ipfs/go-peertaskqueue v0.0.4/go.mod"
	"github.com/ipfs/go-peertaskqueue v0.1.0/go.mod"
	"github.com/ipfs/go-peertaskqueue v0.1.1/go.mod"
	"github.com/ipfs/go-peertaskqueue v0.2.0"
	"github.com/ipfs/go-peertaskqueue v0.2.0/go.mod"
	"github.com/ipfs/go-pinning-service-http-client v0.1.0"
	"github.com/ipfs/go-pinning-service-http-client v0.1.0/go.mod"
	"github.com/ipfs/go-unixfs v0.1.0/go.mod"
	"github.com/ipfs/go-unixfs v0.2.4/go.mod"
	"github.com/ipfs/go-unixfs v0.2.5"
	"github.com/ipfs/go-unixfs v0.2.5/go.mod"
	"github.com/ipfs/go-verifcid v0.0.1"
	"github.com/ipfs/go-verifcid v0.0.1/go.mod"
	"github.com/ipfs/interface-go-ipfs-core v0.4.0"
	"github.com/ipfs/interface-go-ipfs-core v0.4.0/go.mod"
	"github.com/ipfs/tar-utils v0.0.1"
	"github.com/ipfs/tar-utils v0.0.1/go.mod"
	"github.com/ipld/go-car v0.3.1"
	"github.com/ipld/go-car v0.3.1/go.mod"
	"github.com/ipld/go-codec-dagpb v1.2.0"
	"github.com/ipld/go-codec-dagpb v1.2.0/go.mod"
	"github.com/ipld/go-ipld-prime v0.9.0/go.mod"
	"github.com/ipld/go-ipld-prime v0.9.1-0.20210324083106-dc342a9917db"
	"github.com/ipld/go-ipld-prime v0.9.1-0.20210324083106-dc342a9917db/go.mod"
	"github.com/jackpal/gateway v1.0.5/go.mod"
	"github.com/jackpal/go-nat-pmp v1.0.1/go.mod"
	"github.com/jackpal/go-nat-pmp v1.0.2"
	"github.com/jackpal/go-nat-pmp v1.0.2/go.mod"
	"github.com/jbenet/go-cienv v0.0.0-20150120210510-1bb1476777ec/go.mod"
	"github.com/jbenet/go-cienv v0.1.0"
	"github.com/jbenet/go-cienv v0.1.0/go.mod"
	"github.com/jbenet/go-random v0.0.0-20190219211222-123a90aedc0c"
	"github.com/jbenet/go-random v0.0.0-20190219211222-123a90aedc0c/go.mod"
	"github.com/jbenet/go-temp-err-catcher v0.0.0-20150120210811-aac704a3f4f2/go.mod"
	"github.com/jbenet/go-temp-err-catcher v0.1.0"
	"github.com/jbenet/go-temp-err-catcher v0.1.0/go.mod"
	"github.com/jbenet/goprocess v0.0.0-20160826012719-b497e2f366b8/go.mod"
	"github.com/jbenet/goprocess v0.1.3/go.mod"
	"github.com/jbenet/goprocess v0.1.4"
	"github.com/jbenet/goprocess v0.1.4/go.mod"
	"github.com/jellevandenhooff/dkim v0.0.0-20150330215556-f50fe3d243e1/go.mod"
	"github.com/jessevdk/go-flags v0.0.0-20141203071132-1679536dcc89/go.mod"
	"github.com/jessevdk/go-flags v1.4.0/go.mod"
	"github.com/jmespath/go-jmespath v0.0.0-20180206201540-c2b33e8439af/go.mod"
	"github.com/jonboulle/clockwork v0.1.0/go.mod"
	"github.com/jpillora/backoff v1.0.0/go.mod"
	"github.com/jrick/logrotate v1.0.0/go.mod"
	"github.com/json-iterator/go v1.1.6/go.mod"
	"github.com/json-iterator/go v1.1.7/go.mod"
	"github.com/json-iterator/go v1.1.8/go.mod"
	"github.com/json-iterator/go v1.1.9/go.mod"
	"github.com/json-iterator/go v1.1.10/go.mod"
	"github.com/jstemmer/go-junit-report v0.0.0-20190106144839-af01ea7f8024/go.mod"
	"github.com/jstemmer/go-junit-report v0.9.1/go.mod"
	"github.com/jtolds/gls v4.2.1+incompatible/go.mod"
	"github.com/jtolds/gls v4.20.0+incompatible"
	"github.com/jtolds/gls v4.20.0+incompatible/go.mod"
	"github.com/julienschmidt/httprouter v1.2.0/go.mod"
	"github.com/julienschmidt/httprouter v1.3.0/go.mod"
	"github.com/kami-zh/go-capturer v0.0.0-20171211120116-e492ea43421d/go.mod"
	"github.com/kisielk/errcheck v1.1.0/go.mod"
	"github.com/kisielk/errcheck v1.2.0/go.mod"
	"github.com/kisielk/errcheck v1.5.0"
	"github.com/kisielk/errcheck v1.5.0/go.mod"
	"github.com/kisielk/gotool v1.0.0/go.mod"
	"github.com/kkdai/bstream v0.0.0-20161212061736-f391b8402d23/go.mod"
	"github.com/klauspost/compress v1.11.7"
	"github.com/klauspost/compress v1.11.7/go.mod"
	"github.com/klauspost/cpuid/v2 v2.0.4"
	"github.com/klauspost/cpuid/v2 v2.0.4/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.3"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.3/go.mod"
	"github.com/koron/go-ssdp v0.0.0-20180514024734-4a0ed625a78b/go.mod"
	"github.com/koron/go-ssdp v0.0.0-20191105050749-2e1c40ed0b5d"
	"github.com/koron/go-ssdp v0.0.0-20191105050749-2e1c40ed0b5d/go.mod"
	"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515/go.mod"
	"github.com/kr/pretty v0.1.0/go.mod"
	"github.com/kr/pretty v0.2.0/go.mod"
	"github.com/kr/pretty v0.2.1"
	"github.com/kr/pretty v0.2.1/go.mod"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/pty v1.1.3/go.mod"
	"github.com/kr/text v0.1.0"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/libp2p/go-addr-util v0.0.1/go.mod"
	"github.com/libp2p/go-addr-util v0.0.2"
	"github.com/libp2p/go-addr-util v0.0.2/go.mod"
	"github.com/libp2p/go-buffer-pool v0.0.1/go.mod"
	"github.com/libp2p/go-buffer-pool v0.0.2"
	"github.com/libp2p/go-buffer-pool v0.0.2/go.mod"
	"github.com/libp2p/go-cidranger v1.1.0"
	"github.com/libp2p/go-cidranger v1.1.0/go.mod"
	"github.com/libp2p/go-conn-security v0.0.1/go.mod"
	"github.com/libp2p/go-conn-security-multistream v0.0.2/go.mod"
	"github.com/libp2p/go-conn-security-multistream v0.1.0/go.mod"
	"github.com/libp2p/go-conn-security-multistream v0.2.0/go.mod"
	"github.com/libp2p/go-conn-security-multistream v0.2.1"
	"github.com/libp2p/go-conn-security-multistream v0.2.1"
	"github.com/libp2p/go-conn-security-multistream v0.2.1/go.mod"
	"github.com/libp2p/go-conn-security-multistream v0.2.1/go.mod"
	"github.com/libp2p/go-doh-resolver v0.3.1"
	"github.com/libp2p/go-doh-resolver v0.3.1/go.mod"
	"github.com/libp2p/go-eventbus v0.1.0/go.mod"
	"github.com/libp2p/go-eventbus v0.2.1"
	"github.com/libp2p/go-eventbus v0.2.1/go.mod"
	"github.com/libp2p/go-flow-metrics v0.0.1/go.mod"
	"github.com/libp2p/go-flow-metrics v0.0.2/go.mod"
	"github.com/libp2p/go-flow-metrics v0.0.3"
	"github.com/libp2p/go-flow-metrics v0.0.3/go.mod"
	"github.com/libp2p/go-libp2p v0.0.30/go.mod"
	"github.com/libp2p/go-libp2p v0.1.0/go.mod"
	"github.com/libp2p/go-libp2p v0.1.1/go.mod"
	"github.com/libp2p/go-libp2p v0.6.1/go.mod"
	"github.com/libp2p/go-libp2p v0.7.0/go.mod"
	"github.com/libp2p/go-libp2p v0.7.4/go.mod"
	"github.com/libp2p/go-libp2p v0.8.1/go.mod"
	"github.com/libp2p/go-libp2p v0.12.0/go.mod"
	"github.com/libp2p/go-libp2p v0.13.0/go.mod"
	"github.com/libp2p/go-libp2p v0.14.3"
	"github.com/libp2p/go-libp2p v0.14.3/go.mod"
	"github.com/libp2p/go-libp2p-asn-util v0.0.0-20200825225859-85005c6cf052"
	"github.com/libp2p/go-libp2p-asn-util v0.0.0-20200825225859-85005c6cf052/go.mod"
	"github.com/libp2p/go-libp2p-autonat v0.0.6/go.mod"
	"github.com/libp2p/go-libp2p-autonat v0.1.0/go.mod"
	"github.com/libp2p/go-libp2p-autonat v0.1.1/go.mod"
	"github.com/libp2p/go-libp2p-autonat v0.2.0/go.mod"
	"github.com/libp2p/go-libp2p-autonat v0.2.1/go.mod"
	"github.com/libp2p/go-libp2p-autonat v0.2.2/go.mod"
	"github.com/libp2p/go-libp2p-autonat v0.4.0/go.mod"
	"github.com/libp2p/go-libp2p-autonat v0.4.2"
	"github.com/libp2p/go-libp2p-autonat v0.4.2/go.mod"
	"github.com/libp2p/go-libp2p-blankhost v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-blankhost v0.1.1/go.mod"
	"github.com/libp2p/go-libp2p-blankhost v0.1.4/go.mod"
	"github.com/libp2p/go-libp2p-blankhost v0.2.0"
	"github.com/libp2p/go-libp2p-blankhost v0.2.0/go.mod"
	"github.com/libp2p/go-libp2p-circuit v0.0.9/go.mod"
	"github.com/libp2p/go-libp2p-circuit v0.1.0/go.mod"
	"github.com/libp2p/go-libp2p-circuit v0.1.4/go.mod"
	"github.com/libp2p/go-libp2p-circuit v0.2.1/go.mod"
	"github.com/libp2p/go-libp2p-circuit v0.4.0"
	"github.com/libp2p/go-libp2p-circuit v0.4.0/go.mod"
	"github.com/libp2p/go-libp2p-connmgr v0.2.4"
	"github.com/libp2p/go-libp2p-connmgr v0.2.4/go.mod"
	"github.com/libp2p/go-libp2p-core v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-core v0.0.2/go.mod"
	"github.com/libp2p/go-libp2p-core v0.0.3/go.mod"
	"github.com/libp2p/go-libp2p-core v0.0.4/go.mod"
	"github.com/libp2p/go-libp2p-core v0.2.0/go.mod"
	"github.com/libp2p/go-libp2p-core v0.2.2/go.mod"
	"github.com/libp2p/go-libp2p-core v0.2.4/go.mod"
	"github.com/libp2p/go-libp2p-core v0.2.5/go.mod"
	"github.com/libp2p/go-libp2p-core v0.3.0/go.mod"
	"github.com/libp2p/go-libp2p-core v0.3.1/go.mod"
	"github.com/libp2p/go-libp2p-core v0.4.0/go.mod"
	"github.com/libp2p/go-libp2p-core v0.5.0/go.mod"
	"github.com/libp2p/go-libp2p-core v0.5.1/go.mod"
	"github.com/libp2p/go-libp2p-core v0.5.3/go.mod"
	"github.com/libp2p/go-libp2p-core v0.5.4/go.mod"
	"github.com/libp2p/go-libp2p-core v0.5.5/go.mod"
	"github.com/libp2p/go-libp2p-core v0.5.6/go.mod"
	"github.com/libp2p/go-libp2p-core v0.5.7/go.mod"
	"github.com/libp2p/go-libp2p-core v0.6.0/go.mod"
	"github.com/libp2p/go-libp2p-core v0.6.1/go.mod"
	"github.com/libp2p/go-libp2p-core v0.7.0/go.mod"
	"github.com/libp2p/go-libp2p-core v0.8.0/go.mod"
	"github.com/libp2p/go-libp2p-core v0.8.1/go.mod"
	"github.com/libp2p/go-libp2p-core v0.8.2/go.mod"
	"github.com/libp2p/go-libp2p-core v0.8.5"
	"github.com/libp2p/go-libp2p-core v0.8.5/go.mod"
	"github.com/libp2p/go-libp2p-crypto v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-crypto v0.0.2/go.mod"
	"github.com/libp2p/go-libp2p-crypto v0.1.0/go.mod"
	"github.com/libp2p/go-libp2p-discovery v0.0.5/go.mod"
	"github.com/libp2p/go-libp2p-discovery v0.1.0/go.mod"
	"github.com/libp2p/go-libp2p-discovery v0.2.0/go.mod"
	"github.com/libp2p/go-libp2p-discovery v0.3.0/go.mod"
	"github.com/libp2p/go-libp2p-discovery v0.5.0/go.mod"
	"github.com/libp2p/go-libp2p-discovery v0.5.1"
	"github.com/libp2p/go-libp2p-discovery v0.5.1/go.mod"
	"github.com/libp2p/go-libp2p-gostream v0.3.0"
	"github.com/libp2p/go-libp2p-gostream v0.3.0/go.mod"
	"github.com/libp2p/go-libp2p-host v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-host v0.0.3/go.mod"
	"github.com/libp2p/go-libp2p-http v0.2.0"
	"github.com/libp2p/go-libp2p-http v0.2.0/go.mod"
	"github.com/libp2p/go-libp2p-interface-connmgr v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-interface-connmgr v0.0.4/go.mod"
	"github.com/libp2p/go-libp2p-interface-connmgr v0.0.5/go.mod"
	"github.com/libp2p/go-libp2p-interface-pnet v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-kad-dht v0.11.1/go.mod"
	"github.com/libp2p/go-libp2p-kad-dht v0.12.2"
	"github.com/libp2p/go-libp2p-kad-dht v0.12.2/go.mod"
	"github.com/libp2p/go-libp2p-kbucket v0.3.1/go.mod"
	"github.com/libp2p/go-libp2p-kbucket v0.4.7"
	"github.com/libp2p/go-libp2p-kbucket v0.4.7/go.mod"
	"github.com/libp2p/go-libp2p-loggables v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-loggables v0.1.0"
	"github.com/libp2p/go-libp2p-loggables v0.1.0/go.mod"
	"github.com/libp2p/go-libp2p-metrics v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-mplex v0.1.1/go.mod"
	"github.com/libp2p/go-libp2p-mplex v0.2.0/go.mod"
	"github.com/libp2p/go-libp2p-mplex v0.2.1/go.mod"
	"github.com/libp2p/go-libp2p-mplex v0.2.2/go.mod"
	"github.com/libp2p/go-libp2p-mplex v0.2.3/go.mod"
	"github.com/libp2p/go-libp2p-mplex v0.3.0/go.mod"
	"github.com/libp2p/go-libp2p-mplex v0.4.0/go.mod"
	"github.com/libp2p/go-libp2p-mplex v0.4.1"
	"github.com/libp2p/go-libp2p-mplex v0.4.1/go.mod"
	"github.com/libp2p/go-libp2p-nat v0.0.4/go.mod"
	"github.com/libp2p/go-libp2p-nat v0.0.5/go.mod"
	"github.com/libp2p/go-libp2p-nat v0.0.6"
	"github.com/libp2p/go-libp2p-nat v0.0.6/go.mod"
	"github.com/libp2p/go-libp2p-net v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-net v0.0.2/go.mod"
	"github.com/libp2p/go-libp2p-netutil v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-netutil v0.1.0"
	"github.com/libp2p/go-libp2p-netutil v0.1.0/go.mod"
	"github.com/libp2p/go-libp2p-noise v0.1.1/go.mod"
	"github.com/libp2p/go-libp2p-noise v0.2.0"
	"github.com/libp2p/go-libp2p-noise v0.2.0/go.mod"
	"github.com/libp2p/go-libp2p-peer v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-peer v0.1.1/go.mod"
	"github.com/libp2p/go-libp2p-peer v0.2.0/go.mod"
	"github.com/libp2p/go-libp2p-peerstore v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-peerstore v0.0.6/go.mod"
	"github.com/libp2p/go-libp2p-peerstore v0.1.0/go.mod"
	"github.com/libp2p/go-libp2p-peerstore v0.1.3/go.mod"
	"github.com/libp2p/go-libp2p-peerstore v0.1.4/go.mod"
	"github.com/libp2p/go-libp2p-peerstore v0.2.0/go.mod"
	"github.com/libp2p/go-libp2p-peerstore v0.2.1/go.mod"
	"github.com/libp2p/go-libp2p-peerstore v0.2.2/go.mod"
	"github.com/libp2p/go-libp2p-peerstore v0.2.6/go.mod"
	"github.com/libp2p/go-libp2p-peerstore v0.2.7"
	"github.com/libp2p/go-libp2p-peerstore v0.2.7/go.mod"
	"github.com/libp2p/go-libp2p-pnet v0.2.0"
	"github.com/libp2p/go-libp2p-pnet v0.2.0/go.mod"
	"github.com/libp2p/go-libp2p-protocol v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-protocol v0.1.0/go.mod"
	"github.com/libp2p/go-libp2p-pubsub v0.4.0/go.mod"
	"github.com/libp2p/go-libp2p-pubsub v0.4.2"
	"github.com/libp2p/go-libp2p-pubsub v0.4.2/go.mod"
	"github.com/libp2p/go-libp2p-pubsub-router v0.4.0"
	"github.com/libp2p/go-libp2p-pubsub-router v0.4.0/go.mod"
	"github.com/libp2p/go-libp2p-quic-transport v0.10.0/go.mod"
	"github.com/libp2p/go-libp2p-quic-transport v0.11.2"
	"github.com/libp2p/go-libp2p-quic-transport v0.11.2/go.mod"
	"github.com/libp2p/go-libp2p-record v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-record v0.1.0/go.mod"
	"github.com/libp2p/go-libp2p-record v0.1.1/go.mod"
	"github.com/libp2p/go-libp2p-record v0.1.2/go.mod"
	"github.com/libp2p/go-libp2p-record v0.1.3"
	"github.com/libp2p/go-libp2p-record v0.1.3/go.mod"
	"github.com/libp2p/go-libp2p-routing v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-routing-helpers v0.2.3"
	"github.com/libp2p/go-libp2p-routing-helpers v0.2.3/go.mod"
	"github.com/libp2p/go-libp2p-secio v0.0.3/go.mod"
	"github.com/libp2p/go-libp2p-secio v0.1.0/go.mod"
	"github.com/libp2p/go-libp2p-secio v0.2.0/go.mod"
	"github.com/libp2p/go-libp2p-secio v0.2.1/go.mod"
	"github.com/libp2p/go-libp2p-secio v0.2.2/go.mod"
	"github.com/libp2p/go-libp2p-swarm v0.0.6/go.mod"
	"github.com/libp2p/go-libp2p-swarm v0.1.0/go.mod"
	"github.com/libp2p/go-libp2p-swarm v0.2.2/go.mod"
	"github.com/libp2p/go-libp2p-swarm v0.2.3/go.mod"
	"github.com/libp2p/go-libp2p-swarm v0.2.8/go.mod"
	"github.com/libp2p/go-libp2p-swarm v0.3.0/go.mod"
	"github.com/libp2p/go-libp2p-swarm v0.3.1/go.mod"
	"github.com/libp2p/go-libp2p-swarm v0.4.0/go.mod"
	"github.com/libp2p/go-libp2p-swarm v0.5.0"
	"github.com/libp2p/go-libp2p-swarm v0.5.0/go.mod"
	"github.com/libp2p/go-libp2p-testing v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-testing v0.0.2/go.mod"
	"github.com/libp2p/go-libp2p-testing v0.0.3/go.mod"
	"github.com/libp2p/go-libp2p-testing v0.0.4/go.mod"
	"github.com/libp2p/go-libp2p-testing v0.1.0/go.mod"
	"github.com/libp2p/go-libp2p-testing v0.1.1/go.mod"
	"github.com/libp2p/go-libp2p-testing v0.1.2-0.20200422005655-8775583591d8/go.mod"
	"github.com/libp2p/go-libp2p-testing v0.3.0/go.mod"
	"github.com/libp2p/go-libp2p-testing v0.4.0"
	"github.com/libp2p/go-libp2p-testing v0.4.0/go.mod"
	"github.com/libp2p/go-libp2p-tls v0.1.3"
	"github.com/libp2p/go-libp2p-tls v0.1.3/go.mod"
	"github.com/libp2p/go-libp2p-transport v0.0.1/go.mod"
	"github.com/libp2p/go-libp2p-transport v0.0.5/go.mod"
	"github.com/libp2p/go-libp2p-transport-upgrader v0.0.4/go.mod"
	"github.com/libp2p/go-libp2p-transport-upgrader v0.1.1/go.mod"
	"github.com/libp2p/go-libp2p-transport-upgrader v0.2.0/go.mod"
	"github.com/libp2p/go-libp2p-transport-upgrader v0.3.0/go.mod"
	"github.com/libp2p/go-libp2p-transport-upgrader v0.4.0/go.mod"
	"github.com/libp2p/go-libp2p-transport-upgrader v0.4.2"
	"github.com/libp2p/go-libp2p-transport-upgrader v0.4.2/go.mod"
	"github.com/libp2p/go-libp2p-xor v0.0.0-20200501025846-71e284145d58"
	"github.com/libp2p/go-libp2p-xor v0.0.0-20200501025846-71e284145d58/go.mod"
	"github.com/libp2p/go-libp2p-yamux v0.1.2/go.mod"
	"github.com/libp2p/go-libp2p-yamux v0.1.3/go.mod"
	"github.com/libp2p/go-libp2p-yamux v0.2.0/go.mod"
	"github.com/libp2p/go-libp2p-yamux v0.2.1/go.mod"
	"github.com/libp2p/go-libp2p-yamux v0.2.2/go.mod"
	"github.com/libp2p/go-libp2p-yamux v0.2.5/go.mod"
	"github.com/libp2p/go-libp2p-yamux v0.2.7/go.mod"
	"github.com/libp2p/go-libp2p-yamux v0.2.8/go.mod"
	"github.com/libp2p/go-libp2p-yamux v0.4.0/go.mod"
	"github.com/libp2p/go-libp2p-yamux v0.5.0/go.mod"
	"github.com/libp2p/go-libp2p-yamux v0.5.1/go.mod"
	"github.com/libp2p/go-libp2p-yamux v0.5.4"
	"github.com/libp2p/go-libp2p-yamux v0.5.4/go.mod"
	"github.com/libp2p/go-maddr-filter v0.0.1/go.mod"
	"github.com/libp2p/go-maddr-filter v0.0.4/go.mod"
	"github.com/libp2p/go-maddr-filter v0.0.5/go.mod"
	"github.com/libp2p/go-maddr-filter v0.1.0"
	"github.com/libp2p/go-maddr-filter v0.1.0/go.mod"
	"github.com/libp2p/go-mplex v0.0.3/go.mod"
	"github.com/libp2p/go-mplex v0.0.4/go.mod"
	"github.com/libp2p/go-mplex v0.1.0/go.mod"
	"github.com/libp2p/go-mplex v0.1.1/go.mod"
	"github.com/libp2p/go-mplex v0.1.2/go.mod"
	"github.com/libp2p/go-mplex v0.2.0/go.mod"
	"github.com/libp2p/go-mplex v0.3.0"
	"github.com/libp2p/go-mplex v0.3.0/go.mod"
	"github.com/libp2p/go-msgio v0.0.2/go.mod"
	"github.com/libp2p/go-msgio v0.0.3/go.mod"
	"github.com/libp2p/go-msgio v0.0.4/go.mod"
	"github.com/libp2p/go-msgio v0.0.6"
	"github.com/libp2p/go-msgio v0.0.6/go.mod"
	"github.com/libp2p/go-nat v0.0.3/go.mod"
	"github.com/libp2p/go-nat v0.0.4/go.mod"
	"github.com/libp2p/go-nat v0.0.5"
	"github.com/libp2p/go-nat v0.0.5/go.mod"
	"github.com/libp2p/go-netroute v0.1.2/go.mod"
	"github.com/libp2p/go-netroute v0.1.3/go.mod"
	"github.com/libp2p/go-netroute v0.1.5/go.mod"
	"github.com/libp2p/go-netroute v0.1.6"
	"github.com/libp2p/go-netroute v0.1.6/go.mod"
	"github.com/libp2p/go-openssl v0.0.2/go.mod"
	"github.com/libp2p/go-openssl v0.0.3/go.mod"
	"github.com/libp2p/go-openssl v0.0.4/go.mod"
	"github.com/libp2p/go-openssl v0.0.5/go.mod"
	"github.com/libp2p/go-openssl v0.0.7"
	"github.com/libp2p/go-openssl v0.0.7/go.mod"
	"github.com/libp2p/go-reuseport v0.0.1/go.mod"
	"github.com/libp2p/go-reuseport v0.0.2"
	"github.com/libp2p/go-reuseport v0.0.2/go.mod"
	"github.com/libp2p/go-reuseport-transport v0.0.2/go.mod"
	"github.com/libp2p/go-reuseport-transport v0.0.3/go.mod"
	"github.com/libp2p/go-reuseport-transport v0.0.4"
	"github.com/libp2p/go-reuseport-transport v0.0.4/go.mod"
	"github.com/libp2p/go-sockaddr v0.0.2/go.mod"
	"github.com/libp2p/go-sockaddr v0.1.0/go.mod"
	"github.com/libp2p/go-sockaddr v0.1.1"
	"github.com/libp2p/go-sockaddr v0.1.1/go.mod"
	"github.com/libp2p/go-socket-activation v0.0.2"
	"github.com/libp2p/go-socket-activation v0.0.2/go.mod"
	"github.com/libp2p/go-stream-muxer v0.0.1/go.mod"
	"github.com/libp2p/go-stream-muxer v0.1.0/go.mod"
	"github.com/libp2p/go-stream-muxer-multistream v0.1.1/go.mod"
	"github.com/libp2p/go-stream-muxer-multistream v0.2.0/go.mod"
	"github.com/libp2p/go-stream-muxer-multistream v0.3.0"
	"github.com/libp2p/go-stream-muxer-multistream v0.3.0/go.mod"
	"github.com/libp2p/go-tcp-transport v0.0.4/go.mod"
	"github.com/libp2p/go-tcp-transport v0.1.0/go.mod"
	"github.com/libp2p/go-tcp-transport v0.1.1/go.mod"
	"github.com/libp2p/go-tcp-transport v0.2.0/go.mod"
	"github.com/libp2p/go-tcp-transport v0.2.1/go.mod"
	"github.com/libp2p/go-tcp-transport v0.2.3/go.mod"
	"github.com/libp2p/go-tcp-transport v0.2.4"
	"github.com/libp2p/go-tcp-transport v0.2.4/go.mod"
	"github.com/libp2p/go-testutil v0.0.1/go.mod"
	"github.com/libp2p/go-testutil v0.1.0/go.mod"
	"github.com/libp2p/go-ws-transport v0.0.5/go.mod"
	"github.com/libp2p/go-ws-transport v0.1.0/go.mod"
	"github.com/libp2p/go-ws-transport v0.2.0/go.mod"
	"github.com/libp2p/go-ws-transport v0.3.0/go.mod"
	"github.com/libp2p/go-ws-transport v0.3.1/go.mod"
	"github.com/libp2p/go-ws-transport v0.4.0"
	"github.com/libp2p/go-ws-transport v0.4.0/go.mod"
	"github.com/libp2p/go-yamux v1.2.1/go.mod"
	"github.com/libp2p/go-yamux v1.2.2/go.mod"
	"github.com/libp2p/go-yamux v1.2.3/go.mod"
	"github.com/libp2p/go-yamux v1.3.0/go.mod"
	"github.com/libp2p/go-yamux v1.3.3/go.mod"
	"github.com/libp2p/go-yamux v1.3.5/go.mod"
	"github.com/libp2p/go-yamux v1.3.7/go.mod"
	"github.com/libp2p/go-yamux v1.4.0/go.mod"
	"github.com/libp2p/go-yamux v1.4.1"
	"github.com/libp2p/go-yamux v1.4.1/go.mod"
	"github.com/libp2p/go-yamux/v2 v2.0.0/go.mod"
	"github.com/libp2p/go-yamux/v2 v2.2.0"
	"github.com/libp2p/go-yamux/v2 v2.2.0/go.mod"
	"github.com/lightstep/lightstep-tracer-common/golang/gogo v0.0.0-20190605223551-bc2310a04743/go.mod"
	"github.com/lightstep/lightstep-tracer-go v0.18.1/go.mod"
	"github.com/lucas-clemente/quic-go v0.19.3/go.mod"
	"github.com/lucas-clemente/quic-go v0.21.2"
	"github.com/lucas-clemente/quic-go v0.21.2/go.mod"
	"github.com/lunixbochs/vtclean v1.0.0/go.mod"
	"github.com/lyft/protoc-gen-validate v0.0.13/go.mod"
	"github.com/magiconair/properties v1.8.0/go.mod"
	"github.com/mailru/easyjson v0.0.0-20180823135443-60711f1a8329/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190312143242-1de009706dbe/go.mod"
	"github.com/marten-seemann/qpack v0.2.1/go.mod"
	"github.com/marten-seemann/qtls v0.10.0/go.mod"
	"github.com/marten-seemann/qtls-go1-15 v0.1.1/go.mod"
	"github.com/marten-seemann/qtls-go1-15 v0.1.4/go.mod"
	"github.com/marten-seemann/qtls-go1-15 v0.1.5"
	"github.com/marten-seemann/qtls-go1-15 v0.1.5/go.mod"
	"github.com/marten-seemann/qtls-go1-16 v0.1.4"
	"github.com/marten-seemann/qtls-go1-16 v0.1.4/go.mod"
	"github.com/marten-seemann/qtls-go1-17 v0.1.0-rc.1"
	"github.com/marten-seemann/qtls-go1-17 v0.1.0-rc.1/go.mod"
	"github.com/marten-seemann/tcp v0.0.0-20210406111302-dfbc87cc63fd"
	"github.com/marten-seemann/tcp v0.0.0-20210406111302-dfbc87cc63fd/go.mod"
	"github.com/mattn/go-colorable v0.0.9/go.mod"
	"github.com/mattn/go-colorable v0.1.1/go.mod"
	"github.com/mattn/go-colorable v0.1.2/go.mod"
	"github.com/mattn/go-colorable v0.1.4"
	"github.com/mattn/go-colorable v0.1.4/go.mod"
	"github.com/mattn/go-isatty v0.0.3/go.mod"
	"github.com/mattn/go-isatty v0.0.4/go.mod"
	"github.com/mattn/go-isatty v0.0.5/go.mod"
	"github.com/mattn/go-isatty v0.0.8/go.mod"
	"github.com/mattn/go-isatty v0.0.11"
	"github.com/mattn/go-isatty v0.0.11/go.mod"
	"github.com/mattn/go-runewidth v0.0.2/go.mod"
	"github.com/mattn/go-runewidth v0.0.4"
	"github.com/mattn/go-runewidth v0.0.4/go.mod"
	"github.com/matttproud/golang_protobuf_extensions v1.0.1"
	"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
	"github.com/mgutz/ansi v0.0.0-20170206155736-9520e82c474b"
	"github.com/mgutz/ansi v0.0.0-20170206155736-9520e82c474b/go.mod"
	"github.com/microcosm-cc/bluemonday v1.0.1/go.mod"
	"github.com/miekg/dns v1.0.14/go.mod"
	"github.com/miekg/dns v1.1.12/go.mod"
	"github.com/miekg/dns v1.1.28/go.mod"
	"github.com/miekg/dns v1.1.31/go.mod"
	"github.com/miekg/dns v1.1.41"
	"github.com/miekg/dns v1.1.41/go.mod"
	"github.com/mikioh/tcp v0.0.0-20190314235350-803a9b46060c"
	"github.com/mikioh/tcp v0.0.0-20190314235350-803a9b46060c/go.mod"
	"github.com/mikioh/tcpinfo v0.0.0-20190314235526-30a79bb1804b"
	"github.com/mikioh/tcpinfo v0.0.0-20190314235526-30a79bb1804b/go.mod"
	"github.com/mikioh/tcpopt v0.0.0-20190314235656-172688c1accc"
	"github.com/mikioh/tcpopt v0.0.0-20190314235656-172688c1accc/go.mod"
	"github.com/minio/blake2b-simd v0.0.0-20160723061019-3f5f724cb5b1"
	"github.com/minio/blake2b-simd v0.0.0-20160723061019-3f5f724cb5b1/go.mod"
	"github.com/minio/sha256-simd v0.0.0-20190131020904-2d45a736cd16/go.mod"
	"github.com/minio/sha256-simd v0.0.0-20190328051042-05b4dd3047e5/go.mod"
	"github.com/minio/sha256-simd v0.1.0/go.mod"
	"github.com/minio/sha256-simd v0.1.1-0.20190913151208-6de447530771/go.mod"
	"github.com/minio/sha256-simd v0.1.1/go.mod"
	"github.com/minio/sha256-simd v1.0.0"
	"github.com/minio/sha256-simd v1.0.0/go.mod"
	"github.com/mitchellh/cli v1.0.0/go.mod"
	"github.com/mitchellh/go-homedir v1.0.0/go.mod"
	"github.com/mitchellh/go-homedir v1.1.0"
	"github.com/mitchellh/go-homedir v1.1.0/go.mod"
	"github.com/mitchellh/go-testing-interface v1.0.0/go.mod"
	"github.com/mitchellh/gox v0.4.0/go.mod"
	"github.com/mitchellh/iochan v1.0.0/go.mod"
	"github.com/mitchellh/mapstructure v0.0.0-20160808181253-ca63d7c062ee/go.mod"
	"github.com/mitchellh/mapstructure v1.1.2/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
	"github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
	"github.com/modern-go/reflect2 v1.0.1/go.mod"
	"github.com/mr-tron/base58 v1.1.0/go.mod"
	"github.com/mr-tron/base58 v1.1.1/go.mod"
	"github.com/mr-tron/base58 v1.1.2/go.mod"
	"github.com/mr-tron/base58 v1.1.3/go.mod"
	"github.com/mr-tron/base58 v1.2.0"
	"github.com/mr-tron/base58 v1.2.0/go.mod"
	"github.com/multiformats/go-base32 v0.0.3"
	"github.com/multiformats/go-base32 v0.0.3/go.mod"
	"github.com/multiformats/go-base36 v0.1.0"
	"github.com/multiformats/go-base36 v0.1.0/go.mod"
	"github.com/multiformats/go-multiaddr v0.0.1/go.mod"
	"github.com/multiformats/go-multiaddr v0.0.2/go.mod"
	"github.com/multiformats/go-multiaddr v0.0.4/go.mod"
	"github.com/multiformats/go-multiaddr v0.1.0/go.mod"
	"github.com/multiformats/go-multiaddr v0.1.1/go.mod"
	"github.com/multiformats/go-multiaddr v0.2.0/go.mod"
	"github.com/multiformats/go-multiaddr v0.2.1/go.mod"
	"github.com/multiformats/go-multiaddr v0.2.2/go.mod"
	"github.com/multiformats/go-multiaddr v0.3.0/go.mod"
	"github.com/multiformats/go-multiaddr v0.3.1/go.mod"
	"github.com/multiformats/go-multiaddr v0.3.3"
	"github.com/multiformats/go-multiaddr v0.3.3/go.mod"
	"github.com/multiformats/go-multiaddr-dns v0.0.1/go.mod"
	"github.com/multiformats/go-multiaddr-dns v0.0.2/go.mod"
	"github.com/multiformats/go-multiaddr-dns v0.2.0/go.mod"
	"github.com/multiformats/go-multiaddr-dns v0.3.0/go.mod"
	"github.com/multiformats/go-multiaddr-dns v0.3.1"
	"github.com/multiformats/go-multiaddr-dns v0.3.1"
	"github.com/multiformats/go-multiaddr-dns v0.3.1/go.mod"
	"github.com/multiformats/go-multiaddr-dns v0.3.1/go.mod"
	"github.com/multiformats/go-multiaddr-fmt v0.0.1/go.mod"
	"github.com/multiformats/go-multiaddr-fmt v0.1.0"
	"github.com/multiformats/go-multiaddr-fmt v0.1.0/go.mod"
	"github.com/multiformats/go-multiaddr-net v0.0.1/go.mod"
	"github.com/multiformats/go-multiaddr-net v0.1.0/go.mod"
	"github.com/multiformats/go-multiaddr-net v0.1.1/go.mod"
	"github.com/multiformats/go-multiaddr-net v0.1.2/go.mod"
	"github.com/multiformats/go-multiaddr-net v0.1.3/go.mod"
	"github.com/multiformats/go-multiaddr-net v0.1.4/go.mod"
	"github.com/multiformats/go-multiaddr-net v0.1.5/go.mod"
	"github.com/multiformats/go-multiaddr-net v0.2.0"
	"github.com/multiformats/go-multiaddr-net v0.2.0/go.mod"
	"github.com/multiformats/go-multibase v0.0.1/go.mod"
	"github.com/multiformats/go-multibase v0.0.3"
	"github.com/multiformats/go-multibase v0.0.3/go.mod"
	"github.com/multiformats/go-multicodec v0.2.0"
	"github.com/multiformats/go-multicodec v0.2.0/go.mod"
	"github.com/multiformats/go-multihash v0.0.1/go.mod"
	"github.com/multiformats/go-multihash v0.0.5/go.mod"
	"github.com/multiformats/go-multihash v0.0.8/go.mod"
	"github.com/multiformats/go-multihash v0.0.9/go.mod"
	"github.com/multiformats/go-multihash v0.0.10/go.mod"
	"github.com/multiformats/go-multihash v0.0.13/go.mod"
	"github.com/multiformats/go-multihash v0.0.14/go.mod"
	"github.com/multiformats/go-multihash v0.0.15"
	"github.com/multiformats/go-multihash v0.0.15/go.mod"
	"github.com/multiformats/go-multistream v0.0.1/go.mod"
	"github.com/multiformats/go-multistream v0.0.4/go.mod"
	"github.com/multiformats/go-multistream v0.1.0/go.mod"
	"github.com/multiformats/go-multistream v0.1.1/go.mod"
	"github.com/multiformats/go-multistream v0.2.0/go.mod"
	"github.com/multiformats/go-multistream v0.2.1/go.mod"
	"github.com/multiformats/go-multistream v0.2.1/go.mod"
	"github.com/multiformats/go-multistream v0.2.2"
	"github.com/multiformats/go-multistream v0.2.2/go.mod"
	"github.com/multiformats/go-varint v0.0.1/go.mod"
	"github.com/multiformats/go-varint v0.0.2/go.mod"
	"github.com/multiformats/go-varint v0.0.5/go.mod"
	"github.com/multiformats/go-varint v0.0.6"
	"github.com/multiformats/go-varint v0.0.6/go.mod"
	"github.com/mwitkow/go-conntrack v0.0.0-20161129095857-cc309e4a2223/go.mod"
	"github.com/mwitkow/go-conntrack v0.0.0-20190716064945-2f068394615f/go.mod"
	"github.com/nats-io/jwt v0.3.0/go.mod"
	"github.com/nats-io/jwt v0.3.2/go.mod"
	"github.com/nats-io/nats-server/v2 v2.1.2/go.mod"
	"github.com/nats-io/nats.go v1.9.1/go.mod"
	"github.com/nats-io/nkeys v0.1.0/go.mod"
	"github.com/nats-io/nkeys v0.1.3/go.mod"
	"github.com/nats-io/nuid v1.0.1/go.mod"
	"github.com/neelance/astrewrite v0.0.0-20160511093645-99348263ae86/go.mod"
	"github.com/neelance/sourcemap v0.0.0-20151028013722-8c68805598ab/go.mod"
	"github.com/nxadm/tail v1.4.4/go.mod"
	"github.com/nxadm/tail v1.4.8"
	"github.com/nxadm/tail v1.4.8/go.mod"
	"github.com/oklog/oklog v0.3.2/go.mod"
	"github.com/oklog/run v1.0.0/go.mod"
	"github.com/olekukonko/tablewriter v0.0.0-20170122224234-a0225b3f23b5/go.mod"
	"github.com/onsi/ginkgo v1.6.0/go.mod"
	"github.com/onsi/ginkgo v1.7.0/go.mod"
	"github.com/onsi/ginkgo v1.8.0/go.mod"
	"github.com/onsi/ginkgo v1.12.0/go.mod"
	"github.com/onsi/ginkgo v1.12.1/go.mod"
	"github.com/onsi/ginkgo v1.14.0/go.mod"
	"github.com/onsi/ginkgo v1.16.2/go.mod"
	"github.com/onsi/ginkgo v1.16.4"
	"github.com/onsi/ginkgo v1.16.4/go.mod"
	"github.com/onsi/gomega v1.4.1/go.mod"
	"github.com/onsi/gomega v1.4.3/go.mod"
	"github.com/onsi/gomega v1.5.0/go.mod"
	"github.com/onsi/gomega v1.7.1/go.mod"
	"github.com/onsi/gomega v1.9.0/go.mod"
	"github.com/onsi/gomega v1.10.1/go.mod"
	"github.com/onsi/gomega v1.13.0"
	"github.com/onsi/gomega v1.13.0/go.mod"
	"github.com/op/go-logging v0.0.0-20160315200505-970db520ece7/go.mod"
	"github.com/opentracing-contrib/go-observer v0.0.0-20170622124052-a52f23424492/go.mod"
	"github.com/opentracing/basictracer-go v1.0.0/go.mod"
	"github.com/opentracing/opentracing-go v1.0.2/go.mod"
	"github.com/opentracing/opentracing-go v1.1.0/go.mod"
	"github.com/opentracing/opentracing-go v1.2.0"
	"github.com/opentracing/opentracing-go v1.2.0/go.mod"
	"github.com/openzipkin-contrib/zipkin-go-opentracing v0.4.5/go.mod"
	"github.com/openzipkin/zipkin-go v0.1.1/go.mod"
	"github.com/openzipkin/zipkin-go v0.1.6/go.mod"
	"github.com/openzipkin/zipkin-go v0.2.1/go.mod"
	"github.com/openzipkin/zipkin-go v0.2.2/go.mod"
	"github.com/pact-foundation/pact-go v1.0.4/go.mod"
	"github.com/pascaldekloe/goe v0.0.0-20180627143212-57f6aae5913c/go.mod"
	"github.com/pborman/uuid v1.2.0/go.mod"
	"github.com/pelletier/go-toml v1.2.0/go.mod"
	"github.com/performancecopilot/speed v3.0.0+incompatible/go.mod"
	"github.com/pierrec/lz4 v1.0.2-0.20190131084431-473cd7ce01a1/go.mod"
	"github.com/pierrec/lz4 v2.0.5+incompatible/go.mod"
	"github.com/pkg/errors v0.8.0/go.mod"
	"github.com/pkg/errors v0.8.1/go.mod"
	"github.com/pkg/errors v0.9.1"
	"github.com/pkg/errors v0.9.1/go.mod"
	"github.com/pkg/profile v1.2.1/go.mod"
	"github.com/pmezard/go-difflib v1.0.0"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/polydawn/refmt v0.0.0-20190221155625-df39d6c2d992/go.mod"
	"github.com/polydawn/refmt v0.0.0-20190408063855-01bf1e26dd14/go.mod"
	"github.com/polydawn/refmt v0.0.0-20190807091052-3d65705ee9f1/go.mod"
	"github.com/polydawn/refmt v0.0.0-20201211092308-30ac6d18308e"
	"github.com/polydawn/refmt v0.0.0-20201211092308-30ac6d18308e/go.mod"
	"github.com/posener/complete v1.1.1/go.mod"
	"github.com/prometheus/client_golang v0.8.0/go.mod"
	"github.com/prometheus/client_golang v0.9.1/go.mod"
	"github.com/prometheus/client_golang v0.9.2/go.mod"
	"github.com/prometheus/client_golang v0.9.3-0.20190127221311-3c4408c8b829/go.mod"
	"github.com/prometheus/client_golang v1.0.0/go.mod"
	"github.com/prometheus/client_golang v1.3.0/go.mod"
	"github.com/prometheus/client_golang v1.6.0/go.mod"
	"github.com/prometheus/client_golang v1.7.1/go.mod"
	"github.com/prometheus/client_golang v1.9.0/go.mod"
	"github.com/prometheus/client_golang v1.10.0"
	"github.com/prometheus/client_golang v1.10.0/go.mod"
	"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190115171406-56726106282f/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4/go.mod"
	"github.com/prometheus/client_model v0.1.0/go.mod"
	"github.com/prometheus/client_model v0.2.0"
	"github.com/prometheus/client_model v0.2.0/go.mod"
	"github.com/prometheus/common v0.0.0-20180801064454-c7de2306084e/go.mod"
	"github.com/prometheus/common v0.0.0-20181126121408-4724e9255275/go.mod"
	"github.com/prometheus/common v0.2.0/go.mod"
	"github.com/prometheus/common v0.4.1/go.mod"
	"github.com/prometheus/common v0.7.0/go.mod"
	"github.com/prometheus/common v0.9.1/go.mod"
	"github.com/prometheus/common v0.10.0/go.mod"
	"github.com/prometheus/common v0.15.0/go.mod"
	"github.com/prometheus/common v0.18.0"
	"github.com/prometheus/common v0.18.0/go.mod"
	"github.com/prometheus/procfs v0.0.0-20180725123919-05ee40e3a273/go.mod"
	"github.com/prometheus/procfs v0.0.0-20181005140218-185b4288413d/go.mod"
	"github.com/prometheus/procfs v0.0.0-20181204211112-1dc9a6cbc91a/go.mod"
	"github.com/prometheus/procfs v0.0.0-20190117184657-bf6a532e95b1/go.mod"
	"github.com/prometheus/procfs v0.0.2/go.mod"
	"github.com/prometheus/procfs v0.0.8/go.mod"
	"github.com/prometheus/procfs v0.0.11/go.mod"
	"github.com/prometheus/procfs v0.1.3/go.mod"
	"github.com/prometheus/procfs v0.2.0/go.mod"
	"github.com/prometheus/procfs v0.6.0"
	"github.com/prometheus/procfs v0.6.0/go.mod"
	"github.com/prometheus/statsd_exporter v0.20.0"
	"github.com/prometheus/statsd_exporter v0.20.0/go.mod"
	"github.com/rcrowley/go-metrics v0.0.0-20181016184325-3113b8401b8a/go.mod"
	"github.com/rogpeppe/fastuuid v0.0.0-20150106093220-6724a57986af/go.mod"
	"github.com/rogpeppe/go-internal v1.3.0/go.mod"
	"github.com/rs/cors v1.7.0"
	"github.com/rs/cors v1.7.0/go.mod"
	"github.com/russross/blackfriday v1.5.2/go.mod"
	"github.com/russross/blackfriday/v2 v2.0.1/go.mod"
	"github.com/rwcarlsen/goexif v0.0.0-20190401172101-9e8deecbddbd/go.mod"
	"github.com/ryanuber/columnize v0.0.0-20160712163229-9b3edd62028f/go.mod"
	"github.com/samuel/go-zookeeper v0.0.0-20190923202752-2cc03de413da/go.mod"
	"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529/go.mod"
	"github.com/sergi/go-diff v1.0.0/go.mod"
	"github.com/shurcooL/component v0.0.0-20170202220835-f88ec8f54cc4/go.mod"
	"github.com/shurcooL/events v0.0.0-20181021180414-410e4ca65f48/go.mod"
	"github.com/shurcooL/github_flavored_markdown v0.0.0-20181002035957-2122de532470/go.mod"
	"github.com/shurcooL/go v0.0.0-20180423040247-9e1955d9fb6e/go.mod"
	"github.com/shurcooL/go-goon v0.0.0-20170922171312-37c2f522c041/go.mod"
	"github.com/shurcooL/gofontwoff v0.0.0-20180329035133-29b52fc0a18d/go.mod"
	"github.com/shurcooL/gopherjslib v0.0.0-20160914041154-feb6d3990c2c/go.mod"
	"github.com/shurcooL/highlight_diff v0.0.0-20170515013008-09bb4053de1b/go.mod"
	"github.com/shurcooL/highlight_go v0.0.0-20181028180052-98c3abbbae20/go.mod"
	"github.com/shurcooL/home v0.0.0-20181020052607-80b7ffcb30f9/go.mod"
	"github.com/shurcooL/htmlg v0.0.0-20170918183704-d01228ac9e50/go.mod"
	"github.com/shurcooL/httperror v0.0.0-20170206035902-86b7830d14cc/go.mod"
	"github.com/shurcooL/httpfs v0.0.0-20171119174359-809beceb2371/go.mod"
	"github.com/shurcooL/httpgzip v0.0.0-20180522190206-b1c53ac65af9/go.mod"
	"github.com/shurcooL/issues v0.0.0-20181008053335-6292fdc1e191/go.mod"
	"github.com/shurcooL/issuesapp v0.0.0-20180602232740-048589ce2241/go.mod"
	"github.com/shurcooL/notifications v0.0.0-20181007000457-627ab5aea122/go.mod"
	"github.com/shurcooL/octicon v0.0.0-20181028054416-fa4f57f9efb2/go.mod"
	"github.com/shurcooL/reactions v0.0.0-20181006231557-f2e0b4ca5b82/go.mod"
	"github.com/shurcooL/sanitized_anchor_name v0.0.0-20170918181015-86672fcb3f95/go.mod"
	"github.com/shurcooL/sanitized_anchor_name v1.0.0/go.mod"
	"github.com/shurcooL/users v0.0.0-20180125191416-49c67e49c537/go.mod"
	"github.com/shurcooL/webdavfs v0.0.0-20170829043945-18c3829fa133/go.mod"
	"github.com/sirupsen/logrus v1.2.0/go.mod"
	"github.com/sirupsen/logrus v1.4.2/go.mod"
	"github.com/sirupsen/logrus v1.6.0"
	"github.com/sirupsen/logrus v1.6.0/go.mod"
	"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d/go.mod"
	"github.com/smartystreets/assertions v1.0.0/go.mod"
	"github.com/smartystreets/assertions v1.0.1"
	"github.com/smartystreets/assertions v1.0.1/go.mod"
	"github.com/smartystreets/goconvey v0.0.0-20190222223459-a17d461953aa/go.mod"
	"github.com/smartystreets/goconvey v0.0.0-20190330032615-68dc04aab96a/go.mod"
	"github.com/smartystreets/goconvey v1.6.4"
	"github.com/smartystreets/goconvey v1.6.4/go.mod"
	"github.com/smola/gocompat v0.2.0/go.mod"
	"github.com/soheilhy/cmux v0.1.4/go.mod"
	"github.com/sony/gobreaker v0.4.1/go.mod"
	"github.com/sourcegraph/annotate v0.0.0-20160123013949-f4cad6c6324d/go.mod"
	"github.com/sourcegraph/syntaxhighlight v0.0.0-20170531221838-bd320f5d308e/go.mod"
	"github.com/spacemonkeygo/openssl v0.0.0-20181017203307-c2dcc5cca94a/go.mod"
	"github.com/spacemonkeygo/spacelog v0.0.0-20180420211403-2296661a0572"
	"github.com/spacemonkeygo/spacelog v0.0.0-20180420211403-2296661a0572/go.mod"
	"github.com/spaolacci/murmur3 v0.0.0-20180118202830-f09979ecbc72/go.mod"
	"github.com/spaolacci/murmur3 v1.1.0"
	"github.com/spaolacci/murmur3 v1.1.0/go.mod"
	"github.com/spf13/afero v1.1.2/go.mod"
	"github.com/spf13/cast v1.3.0/go.mod"
	"github.com/spf13/cobra v0.0.3/go.mod"
	"github.com/spf13/cobra v0.0.5/go.mod"
	"github.com/spf13/jwalterweatherman v1.0.0/go.mod"
	"github.com/spf13/pflag v1.0.1/go.mod"
	"github.com/spf13/pflag v1.0.3/go.mod"
	"github.com/spf13/viper v1.3.2/go.mod"
	"github.com/src-d/envconfig v1.0.0/go.mod"
	"github.com/streadway/amqp v0.0.0-20190404075320-75d898a42a94/go.mod"
	"github.com/streadway/amqp v0.0.0-20190827072141-edfb9018d271/go.mod"
	"github.com/streadway/handy v0.0.0-20190108123426-d5acb3125c2a/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/objx v0.1.1/go.mod"
	"github.com/stretchr/testify v1.2.2/go.mod"
	"github.com/stretchr/testify v1.3.0/go.mod"
	"github.com/stretchr/testify v1.4.0/go.mod"
	"github.com/stretchr/testify v1.5.1/go.mod"
	"github.com/stretchr/testify v1.6.1/go.mod"
	"github.com/stretchr/testify v1.7.0"
	"github.com/stretchr/testify v1.7.0/go.mod"
	"github.com/syndtr/goleveldb v1.0.0"
	"github.com/syndtr/goleveldb v1.0.0/go.mod"
	"github.com/tarm/serial v0.0.0-20180830185346-98f6abe2eb07/go.mod"
	"github.com/texttheater/golang-levenshtein v0.0.0-20180516184445-d188e65d659e"
	"github.com/texttheater/golang-levenshtein v0.0.0-20180516184445-d188e65d659e/go.mod"
	"github.com/tmc/grpc-websocket-proxy v0.0.0-20170815181823-89b8d40f7ca8/go.mod"
	"github.com/tv42/httpunix v0.0.0-20191220191345-2ba4b9c3382c"
	"github.com/tv42/httpunix v0.0.0-20191220191345-2ba4b9c3382c/go.mod"
	"github.com/ugorji/go/codec v0.0.0-20181204163529-d75b2dcb6bc8/go.mod"
	"github.com/urfave/cli v1.20.0/go.mod"
	"github.com/urfave/cli v1.22.1/go.mod"
	"github.com/urfave/cli/v2 v2.0.0/go.mod"
	"github.com/viant/assertly v0.4.8/go.mod"
	"github.com/viant/toolbox v0.24.0/go.mod"
	"github.com/wangjia184/sortedset v0.0.0-20160527075905-f5d03557ba30/go.mod"
	"github.com/warpfork/go-wish v0.0.0-20180510122957-5ad1f5abf436/go.mod"
	"github.com/warpfork/go-wish v0.0.0-20190328234359-8b3e70f8e830/go.mod"
	"github.com/warpfork/go-wish v0.0.0-20200122115046-b9ea61034e4a"
	"github.com/warpfork/go-wish v0.0.0-20200122115046-b9ea61034e4a/go.mod"
	"github.com/whyrusleeping/base32 v0.0.0-20170828182744-c30ac30633cc"
	"github.com/whyrusleeping/base32 v0.0.0-20170828182744-c30ac30633cc/go.mod"
	"github.com/whyrusleeping/cbor-gen v0.0.0-20200123233031-1cdf64d27158/go.mod"
	"github.com/whyrusleeping/cbor-gen v0.0.0-20200710004633-5379fc63235d/go.mod"
	"github.com/whyrusleeping/cbor-gen v0.0.0-20210219115102-f37d292932f2"
	"github.com/whyrusleeping/cbor-gen v0.0.0-20210219115102-f37d292932f2/go.mod"
	"github.com/whyrusleeping/chunker v0.0.0-20181014151217-fe64bd25879f"
	"github.com/whyrusleeping/chunker v0.0.0-20181014151217-fe64bd25879f/go.mod"
	"github.com/whyrusleeping/go-keyspace v0.0.0-20160322163242-5b898ac5add1"
	"github.com/whyrusleeping/go-keyspace v0.0.0-20160322163242-5b898ac5add1/go.mod"
	"github.com/whyrusleeping/go-logging v0.0.0-20170515211332-0457bb6b88fc/go.mod"
	"github.com/whyrusleeping/go-logging v0.0.1/go.mod"
	"github.com/whyrusleeping/go-notifier v0.0.0-20170827234753-097c5d47330f/go.mod"
	"github.com/whyrusleeping/go-sysinfo v0.0.0-20190219211824-4a357d4b90b1"
	"github.com/whyrusleeping/go-sysinfo v0.0.0-20190219211824-4a357d4b90b1/go.mod"
	"github.com/whyrusleeping/mafmt v1.2.8/go.mod"
	"github.com/whyrusleeping/mdns v0.0.0-20180901202407-ef14215e6b30/go.mod"
	"github.com/whyrusleeping/mdns v0.0.0-20190826153040-b9b60ed33aa9"
	"github.com/whyrusleeping/mdns v0.0.0-20190826153040-b9b60ed33aa9/go.mod"
	"github.com/whyrusleeping/multiaddr-filter v0.0.0-20160516205228-e903e4adabd7"
	"github.com/whyrusleeping/multiaddr-filter v0.0.0-20160516205228-e903e4adabd7/go.mod"
	"github.com/whyrusleeping/timecache v0.0.0-20160911033111-cfcb2f1abfee"
	"github.com/whyrusleeping/timecache v0.0.0-20160911033111-cfcb2f1abfee/go.mod"
	"github.com/x-cray/logrus-prefixed-formatter v0.5.2/go.mod"
	"github.com/xiang90/probing v0.0.0-20190116061207-43a291ad63a2/go.mod"
	"github.com/xordataexchange/crypt v0.0.3-0.20170626215501-b2862e3d0a77/go.mod"
	"github.com/yuin/goldmark v1.1.27/go.mod"
	"github.com/yuin/goldmark v1.2.1/go.mod"
	"github.com/yuin/goldmark v1.3.5/go.mod"
	"go.etcd.io/bbolt v1.3.3/go.mod"
	"go.etcd.io/etcd v0.0.0-20191023171146-3cf2f69b5738/go.mod"
	"go.opencensus.io v0.18.0/go.mod"
	"go.opencensus.io v0.20.1/go.mod"
	"go.opencensus.io v0.20.2/go.mod"
	"go.opencensus.io v0.21.0/go.mod"
	"go.opencensus.io v0.22.0/go.mod"
	"go.opencensus.io v0.22.1/go.mod"
	"go.opencensus.io v0.22.2/go.mod"
	"go.opencensus.io v0.22.3/go.mod"
	"go.opencensus.io v0.22.4/go.mod"
	"go.opencensus.io v0.23.0"
	"go.opencensus.io v0.23.0/go.mod"
	"go.uber.org/atomic v1.3.2/go.mod"
	"go.uber.org/atomic v1.4.0/go.mod"
	"go.uber.org/atomic v1.5.0/go.mod"
	"go.uber.org/atomic v1.6.0/go.mod"
	"go.uber.org/atomic v1.7.0"
	"go.uber.org/atomic v1.7.0/go.mod"
	"go.uber.org/dig v1.10.0"
	"go.uber.org/dig v1.10.0/go.mod"
	"go.uber.org/fx v1.13.1"
	"go.uber.org/fx v1.13.1/go.mod"
	"go.uber.org/goleak v0.10.0/go.mod"
	"go.uber.org/goleak v1.0.0"
	"go.uber.org/goleak v1.0.0/go.mod"
	"go.uber.org/multierr v1.1.0/go.mod"
	"go.uber.org/multierr v1.3.0/go.mod"
	"go.uber.org/multierr v1.4.0/go.mod"
	"go.uber.org/multierr v1.5.0/go.mod"
	"go.uber.org/multierr v1.6.0"
	"go.uber.org/multierr v1.6.0/go.mod"
	"go.uber.org/tools v0.0.0-20190618225709-2cfd321de3ee/go.mod"
	"go.uber.org/zap v1.10.0/go.mod"
	"go.uber.org/zap v1.13.0/go.mod"
	"go.uber.org/zap v1.14.1/go.mod"
	"go.uber.org/zap v1.15.0/go.mod"
	"go.uber.org/zap v1.16.0"
	"go.uber.org/zap v1.16.0/go.mod"
	"go4.org v0.0.0-20180809161055-417644f6feb5/go.mod"
	"go4.org v0.0.0-20200411211856-f5505b9728dd"
	"go4.org v0.0.0-20200411211856-f5505b9728dd/go.mod"
	"golang.org/x/build v0.0.0-20190111050920-041ab4dc3f9d/go.mod"
	"golang.org/x/crypto v0.0.0-20170930174604-9419663f5a44/go.mod"
	"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
	"golang.org/x/crypto v0.0.0-20181029021203-45a5f77698d3/go.mod"
	"golang.org/x/crypto v0.0.0-20181030102418-4d3f4d9ffa16/go.mod"
	"golang.org/x/crypto v0.0.0-20181203042331-505ab145d0a9/go.mod"
	"golang.org/x/crypto v0.0.0-20190211182817-74369b46fc67/go.mod"
	"golang.org/x/crypto v0.0.0-20190225124518-7f87c0fbb88b/go.mod"
	"golang.org/x/crypto v0.0.0-20190228161510-8dd112bcdc25/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20190313024323-a1f597ede03a/go.mod"
	"golang.org/x/crypto v0.0.0-20190426145343-a29dc8fdc734/go.mod"
	"golang.org/x/crypto v0.0.0-20190510104115-cbcb75029529/go.mod"
	"golang.org/x/crypto v0.0.0-20190513172903-22d7a77e9e5f/go.mod"
	"golang.org/x/crypto v0.0.0-20190530122614-20be4c3c3ed5/go.mod"
	"golang.org/x/crypto v0.0.0-20190605123033-f99c8df09eb5/go.mod"
	"golang.org/x/crypto v0.0.0-20190611184440-5c40567a22f8/go.mod"
	"golang.org/x/crypto v0.0.0-20190618222545-ea8f1a30c443/go.mod"
	"golang.org/x/crypto v0.0.0-20190701094942-4def268fd1a4/go.mod"
	"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
	"golang.org/x/crypto v0.0.0-20200115085410-6d4e4cb37c7d/go.mod"
	"golang.org/x/crypto v0.0.0-20200221231518-2aa609cf4a9d/go.mod"
	"golang.org/x/crypto v0.0.0-20200423211502-4bdfaf469ed5/go.mod"
	"golang.org/x/crypto v0.0.0-20200510223506-06a226fb4e37/go.mod"
	"golang.org/x/crypto v0.0.0-20200602180216-279210d13fed/go.mod"
	"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
	"golang.org/x/crypto v0.0.0-20200820211705-5c72a883971a/go.mod"
	"golang.org/x/crypto v0.0.0-20210220033148-5ea612d1eb83/go.mod"
	"golang.org/x/crypto v0.0.0-20210220033148-5ea612d1eb83/go.mod"
	"golang.org/x/crypto v0.0.0-20210322153248-0c34fe9e7dc2/go.mod"
	"golang.org/x/crypto v0.0.0-20210506145944-38f3c27a63bf"
	"golang.org/x/crypto v0.0.0-20210506145944-38f3c27a63bf/go.mod"
	"golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
	"golang.org/x/exp v0.0.0-20190306152737-a1d7652674e8/go.mod"
	"golang.org/x/exp v0.0.0-20190510132918-efd6b22b2522/go.mod"
	"golang.org/x/exp v0.0.0-20190829153037-c13cbed26979/go.mod"
	"golang.org/x/exp v0.0.0-20191030013958-a1ab85dbe136/go.mod"
	"golang.org/x/exp v0.0.0-20191129062945-2f5052295587/go.mod"
	"golang.org/x/exp v0.0.0-20191227195350-da58074b4299/go.mod"
	"golang.org/x/exp v0.0.0-20200207192155-f17229e696bd/go.mod"
	"golang.org/x/image v0.0.0-20190227222117-0694c2d4d067/go.mod"
	"golang.org/x/image v0.0.0-20190802002840-cff245a6509b/go.mod"
	"golang.org/x/lint v0.0.0-20180702182130-06c8688daad7/go.mod"
	"golang.org/x/lint v0.0.0-20181026193005-c67002cb31c3/go.mod"
	"golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
	"golang.org/x/lint v0.0.0-20190301231843-5614ed5bae6f/go.mod"
	"golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
	"golang.org/x/lint v0.0.0-20190409202823-959b441ac422/go.mod"
	"golang.org/x/lint v0.0.0-20190909230951-414d861bb4ac/go.mod"
	"golang.org/x/lint v0.0.0-20190930215403-16217165b5de/go.mod"
	"golang.org/x/lint v0.0.0-20191125180803-fdd1cda4f05f/go.mod"
	"golang.org/x/lint v0.0.0-20200130185559-910be7a94367/go.mod"
	"golang.org/x/lint v0.0.0-20200302205851-738671d3881b/go.mod"
	"golang.org/x/lint v0.0.0-20201208152925-83fdc39ff7b5"
	"golang.org/x/lint v0.0.0-20201208152925-83fdc39ff7b5/go.mod"
	"golang.org/x/mobile v0.0.0-20190312151609-d3739f865fa6/go.mod"
	"golang.org/x/mobile v0.0.0-20190719004257-d2bd2a29d028/go.mod"
	"golang.org/x/mod v0.0.0-20190513183733-4bf6d317e70e/go.mod"
	"golang.org/x/mod v0.1.0/go.mod"
	"golang.org/x/mod v0.1.1-0.20191105210325-c90efee705ee/go.mod"
	"golang.org/x/mod v0.2.0/go.mod"
	"golang.org/x/mod v0.3.0/go.mod"
	"golang.org/x/mod v0.4.1/go.mod"
	"golang.org/x/mod v0.4.2"
	"golang.org/x/mod v0.4.2/go.mod"
	"golang.org/x/net v0.0.0-20180719180050-a680a1efc54d/go.mod"
	"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
	"golang.org/x/net v0.0.0-20180826012351-8a410e7b638d/go.mod"
	"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
	"golang.org/x/net v0.0.0-20181011144130-49bb7cea24b1/go.mod"
	"golang.org/x/net v0.0.0-20181023162649-9b4f9f5ad519/go.mod"
	"golang.org/x/net v0.0.0-20181029044818-c44066c5c816/go.mod"
	"golang.org/x/net v0.0.0-20181106065722-10aee1819953/go.mod"
	"golang.org/x/net v0.0.0-20181114220301-adae6a3d119a/go.mod"
	"golang.org/x/net v0.0.0-20181201002055-351d144fa1fc/go.mod"
	"golang.org/x/net v0.0.0-20181220203305-927f97764cc3/go.mod"
	"golang.org/x/net v0.0.0-20190108225652-1e06a53dbb7e/go.mod"
	"golang.org/x/net v0.0.0-20190125091013-d26f9f9a57f3/go.mod"
	"golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
	"golang.org/x/net v0.0.0-20190227160552-c95aed5357e7/go.mod"
	"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
	"golang.org/x/net v0.0.0-20190313220215-9f648a60d977/go.mod"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
	"golang.org/x/net v0.0.0-20190501004415-9ce7a6920f09/go.mod"
	"golang.org/x/net v0.0.0-20190503192946-f4e77d36d62c/go.mod"
	"golang.org/x/net v0.0.0-20190522155817-f3200d17e092/go.mod"
	"golang.org/x/net v0.0.0-20190603091049-60506f45cf65/go.mod"
	"golang.org/x/net v0.0.0-20190611141213-3f473d35a33a/go.mod"
	"golang.org/x/net v0.0.0-20190613194153-d28f0bde5980/go.mod"
	"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
	"golang.org/x/net v0.0.0-20190724013045-ca1201d0de80/go.mod"
	"golang.org/x/net v0.0.0-20190813141303-74dc4d7220e7/go.mod"
	"golang.org/x/net v0.0.0-20190923162816-aa69164e4478/go.mod"
	"golang.org/x/net v0.0.0-20191209160850-c0dbc17a3553/go.mod"
	"golang.org/x/net v0.0.0-20200202094626-16171245cfb2/go.mod"
	"golang.org/x/net v0.0.0-20200222125558-5a598a2470a0/go.mod"
	"golang.org/x/net v0.0.0-20200226121028-0de0cce0169b/go.mod"
	"golang.org/x/net v0.0.0-20200520004742-59133d7f0dd7/go.mod"
	"golang.org/x/net v0.0.0-20200625001655-4c5254603344/go.mod"
	"golang.org/x/net v0.0.0-20200707034311-ab3426394381/go.mod"
	"golang.org/x/net v0.0.0-20201021035429-f5854403a974/go.mod"
	"golang.org/x/net v0.0.0-20201110031124-69a78807bb2b/go.mod"
	"golang.org/x/net v0.0.0-20210119194325-5f4716e94777/go.mod"
	"golang.org/x/net v0.0.0-20210226172049-e18ecbb05110/go.mod"
	"golang.org/x/net v0.0.0-20210316092652-d523dce5a7f4/go.mod"
	"golang.org/x/net v0.0.0-20210405180319-a5a99cb37ef4/go.mod"
	"golang.org/x/net v0.0.0-20210423184538-5f58ad60dda6/go.mod"
	"golang.org/x/net v0.0.0-20210428140749-89ef3d95e781"
	"golang.org/x/net v0.0.0-20210428140749-89ef3d95e781/go.mod"
	"golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
	"golang.org/x/oauth2 v0.0.0-20181017192945-9dcd33a902f4/go.mod"
	"golang.org/x/oauth2 v0.0.0-20181203162652-d668ce993890/go.mod"
	"golang.org/x/oauth2 v0.0.0-20190226205417-e64efc72b421/go.mod"
	"golang.org/x/oauth2 v0.0.0-20190604053449-0f29369cfe45/go.mod"
	"golang.org/x/oauth2 v0.0.0-20191202225959-858c2ad4c8b6/go.mod"
	"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d"
	"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d/go.mod"
	"golang.org/x/perf v0.0.0-20180704124530-6e6d33e29852/go.mod"
	"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
	"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
	"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
	"golang.org/x/sync v0.0.0-20190227155943-e225da77a7e6/go.mod"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
	"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
	"golang.org/x/sync v0.0.0-20200317015054-43a5402ce75a/go.mod"
	"golang.org/x/sync v0.0.0-20201020160332-67f06af15bc9/go.mod"
	"golang.org/x/sync v0.0.0-20201207232520-09787c993a3a/go.mod"
	"golang.org/x/sync v0.0.0-20210220032951-036812b2e83c"
	"golang.org/x/sync v0.0.0-20210220032951-036812b2e83c/go.mod"
	"golang.org/x/sys v0.0.0-20180823144017-11551d06cbcc/go.mod"
	"golang.org/x/sys v0.0.0-20180830151530-49385e6e1522/go.mod"
	"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
	"golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
	"golang.org/x/sys v0.0.0-20181026203630-95b1ffbd15a5/go.mod"
	"golang.org/x/sys v0.0.0-20181029174526-d69651ed3497/go.mod"
	"golang.org/x/sys v0.0.0-20181107165924-66b7b1311ac8/go.mod"
	"golang.org/x/sys v0.0.0-20181116152217-5ac8a444bdc5/go.mod"
	"golang.org/x/sys v0.0.0-20181122145206-62eef0e2fa9b/go.mod"
	"golang.org/x/sys v0.0.0-20181205085412-a5c9d58dba9a/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190219092855-153ac476189d/go.mod"
	"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
	"golang.org/x/sys v0.0.0-20190228124157-a34e9553db1e/go.mod"
	"golang.org/x/sys v0.0.0-20190302025703-b6889370fb10/go.mod"
	"golang.org/x/sys v0.0.0-20190312061237-fead79001313/go.mod"
	"golang.org/x/sys v0.0.0-20190316082340-a2f829d7f35f/go.mod"
	"golang.org/x/sys v0.0.0-20190405154228-4b34438f7a67/go.mod"
	"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
	"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
	"golang.org/x/sys v0.0.0-20190502145724-3ef323f4f1fd/go.mod"
	"golang.org/x/sys v0.0.0-20190507160741-ecd444e8653b/go.mod"
	"golang.org/x/sys v0.0.0-20190524122548-abf6ff778158/go.mod"
	"golang.org/x/sys v0.0.0-20190524152521-dbbf3f1254d4/go.mod"
	"golang.org/x/sys v0.0.0-20190526052359-791d8a0f4d09/go.mod"
	"golang.org/x/sys v0.0.0-20190606165138-5da285871e9c/go.mod"
	"golang.org/x/sys v0.0.0-20190610200419-93c9922d18ae/go.mod"
	"golang.org/x/sys v0.0.0-20190624142023-c5567b49c5d0/go.mod"
	"golang.org/x/sys v0.0.0-20190626221950-04f50cda93cb/go.mod"
	"golang.org/x/sys v0.0.0-20190726091711-fc99dfbffb4e/go.mod"
	"golang.org/x/sys v0.0.0-20190826190057-c7b8b68b1456/go.mod"
	"golang.org/x/sys v0.0.0-20190904154756-749cb33beabd/go.mod"
	"golang.org/x/sys v0.0.0-20190924154521-2837fb4f24fe/go.mod"
	"golang.org/x/sys v0.0.0-20191005200804-aed5e4c7ecf9/go.mod"
	"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
	"golang.org/x/sys v0.0.0-20191120155948-bd437916bb0e/go.mod"
	"golang.org/x/sys v0.0.0-20191204072324-ce4227a45e2e/go.mod"
	"golang.org/x/sys v0.0.0-20191210023423-ac6580df4449/go.mod"
	"golang.org/x/sys v0.0.0-20191220142924-d4481acd189f/go.mod"
	"golang.org/x/sys v0.0.0-20191228213918-04cbcbbfeed8/go.mod"
	"golang.org/x/sys v0.0.0-20200106162015-b016eb3dc98e/go.mod"
	"golang.org/x/sys v0.0.0-20200202164722-d101bd2416d5/go.mod"
	"golang.org/x/sys v0.0.0-20200212091648-12a6c2dcc1e4/go.mod"
	"golang.org/x/sys v0.0.0-20200223170610-d5e6a3e2c0ae/go.mod"
	"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
	"golang.org/x/sys v0.0.0-20200420163511-1957bb5e6d1f/go.mod"
	"golang.org/x/sys v0.0.0-20200519105757-fe76b779f299/go.mod"
	"golang.org/x/sys v0.0.0-20200523222454-059865788121/go.mod"
	"golang.org/x/sys v0.0.0-20200602225109-6fdc65e7d980/go.mod"
	"golang.org/x/sys v0.0.0-20200615200032-f1bc736245b1/go.mod"
	"golang.org/x/sys v0.0.0-20200625212154-ddb9806d33ae/go.mod"
	"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
	"golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
	"golang.org/x/sys v0.0.0-20201214210602-f9fddec55a1e/go.mod"
	"golang.org/x/sys v0.0.0-20210112080510-489259a85091/go.mod"
	"golang.org/x/sys v0.0.0-20210124154548-22da62e12c0c/go.mod"
	"golang.org/x/sys v0.0.0-20210303074136-134d130e1a04/go.mod"
	"golang.org/x/sys v0.0.0-20210303074136-134d130e1a04/go.mod"
	"golang.org/x/sys v0.0.0-20210309074719-68d13333faf2/go.mod"
	"golang.org/x/sys v0.0.0-20210315160823-c6e025ad8005/go.mod"
	"golang.org/x/sys v0.0.0-20210317225723-c4fcb01b228e/go.mod"
	"golang.org/x/sys v0.0.0-20210330210617-4fbd30eecc44/go.mod"
	"golang.org/x/sys v0.0.0-20210423082822-04245dca01da/go.mod"
	"golang.org/x/sys v0.0.0-20210426080607-c94f62235c83/go.mod"
	"golang.org/x/sys v0.0.0-20210510120138-977fb7262007/go.mod"
	"golang.org/x/sys v0.0.0-20210511113859-b0526f3d8744"
	"golang.org/x/sys v0.0.0-20210511113859-b0526f3d8744/go.mod"
	"golang.org/x/term v0.0.0-20201117132131-f5c789dd3221/go.mod"
	"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1"
	"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1/go.mod"
	"golang.org/x/text v0.0.0-20170915032832-14c0d48ead0c/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/text v0.3.1-0.20180807135948-17ff2d5776d2/go.mod"
	"golang.org/x/text v0.3.2/go.mod"
	"golang.org/x/text v0.3.3/go.mod"
	"golang.org/x/text v0.3.6"
	"golang.org/x/text v0.3.6/go.mod"
	"golang.org/x/time v0.0.0-20180412165947-fbb02b2291d2/go.mod"
	"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c/go.mod"
	"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4/go.mod"
	"golang.org/x/time v0.0.0-20191024005414-555d28b269f0/go.mod"
	"golang.org/x/tools v0.0.0-20180221164845-07fd8470d635/go.mod"
	"golang.org/x/tools v0.0.0-20180828015842-6cd1fcedba52/go.mod"
	"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
	"golang.org/x/tools v0.0.0-20181030000716-a0a13e073c7b/go.mod"
	"golang.org/x/tools v0.0.0-20181030221726-6c7e314b6563/go.mod"
	"golang.org/x/tools v0.0.0-20181130052023-1c3d964395ce/go.mod"
	"golang.org/x/tools v0.0.0-20190114222345-bf090417da8b/go.mod"
	"golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
	"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
	"golang.org/x/tools v0.0.0-20190312151545-0bb0c0a6e846/go.mod"
	"golang.org/x/tools v0.0.0-20190312170243-e65039ee4138/go.mod"
	"golang.org/x/tools v0.0.0-20190328211700-ab21143f2384/go.mod"
	"golang.org/x/tools v0.0.0-20190425150028-36563e24a262/go.mod"
	"golang.org/x/tools v0.0.0-20190506145303-2d16b83fe98c/go.mod"
	"golang.org/x/tools v0.0.0-20190524140312-2c0ae7006135/go.mod"
	"golang.org/x/tools v0.0.0-20190606124116-d0a3d012864b/go.mod"
	"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac/go.mod"
	"golang.org/x/tools v0.0.0-20190628153133-6cdbf07be9d0/go.mod"
	"golang.org/x/tools v0.0.0-20190816200558-6889da9d5479/go.mod"
	"golang.org/x/tools v0.0.0-20190911174233-4f2ddba30aff/go.mod"
	"golang.org/x/tools v0.0.0-20191012152004-8de300cfc20a/go.mod"
	"golang.org/x/tools v0.0.0-20191029041327-9cc4af7d6b2c/go.mod"
	"golang.org/x/tools v0.0.0-20191029190741-b9c20aec41a5/go.mod"
	"golang.org/x/tools v0.0.0-20191030062658-86caa796c7ab/go.mod"
	"golang.org/x/tools v0.0.0-20191108193012-7d206e10da11/go.mod"
	"golang.org/x/tools v0.0.0-20191113191852-77e3bb0ad9e7/go.mod"
	"golang.org/x/tools v0.0.0-20191114200427-caa0b0f7d508/go.mod"
	"golang.org/x/tools v0.0.0-20191115202509-3a792d9c32b2/go.mod"
	"golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
	"golang.org/x/tools v0.0.0-20191125144606-a911d9008d1f/go.mod"
	"golang.org/x/tools v0.0.0-20191216052735-49a3e744a425/go.mod"
	"golang.org/x/tools v0.0.0-20191216173652-a0e659d51361/go.mod"
	"golang.org/x/tools v0.0.0-20191227053925-7b8e75db28f4/go.mod"
	"golang.org/x/tools v0.0.0-20200103221440-774c71fcf114/go.mod"
	"golang.org/x/tools v0.0.0-20200130002326-2f3ba24bd6e7/go.mod"
	"golang.org/x/tools v0.0.0-20200207183749-b753a1ba74fa/go.mod"
	"golang.org/x/tools v0.0.0-20200212150539-ea181f53ac56/go.mod"
	"golang.org/x/tools v0.0.0-20200619180055-7c47624df98f/go.mod"
	"golang.org/x/tools v0.0.0-20201224043029-2b0845dc783e/go.mod"
	"golang.org/x/tools v0.0.0-20210106214847-113979e3529a/go.mod"
	"golang.org/x/tools v0.1.1-0.20210225150353-54dc8c5edb56/go.mod"
	"golang.org/x/tools v0.1.1"
	"golang.org/x/tools v0.1.1/go.mod"
	"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
	"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
	"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
	"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1"
	"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1/go.mod"
	"google.golang.org/api v0.0.0-20180910000450-7ca32eb868bf/go.mod"
	"google.golang.org/api v0.0.0-20181030000543-1d582fd0359e/go.mod"
	"google.golang.org/api v0.1.0/go.mod"
	"google.golang.org/api v0.3.1/go.mod"
	"google.golang.org/api v0.4.0/go.mod"
	"google.golang.org/api v0.7.0/go.mod"
	"google.golang.org/api v0.8.0/go.mod"
	"google.golang.org/api v0.9.0/go.mod"
	"google.golang.org/api v0.13.0/go.mod"
	"google.golang.org/api v0.14.0/go.mod"
	"google.golang.org/api v0.15.0/go.mod"
	"google.golang.org/api v0.17.0/go.mod"
	"google.golang.org/appengine v1.1.0/go.mod"
	"google.golang.org/appengine v1.2.0/go.mod"
	"google.golang.org/appengine v1.3.0/go.mod"
	"google.golang.org/appengine v1.4.0/go.mod"
	"google.golang.org/appengine v1.5.0/go.mod"
	"google.golang.org/appengine v1.6.1/go.mod"
	"google.golang.org/appengine v1.6.5"
	"google.golang.org/appengine v1.6.5/go.mod"
	"google.golang.org/genproto v0.0.0-20180817151627-c66870c02cf8/go.mod"
	"google.golang.org/genproto v0.0.0-20180831171423-11092d34479b/go.mod"
	"google.golang.org/genproto v0.0.0-20181029155118-b69ba1387ce2/go.mod"
	"google.golang.org/genproto v0.0.0-20181202183823-bd91e49a0898/go.mod"
	"google.golang.org/genproto v0.0.0-20190306203927-b5d61aea6440/go.mod"
	"google.golang.org/genproto v0.0.0-20190307195333-5fe7a883aa19/go.mod"
	"google.golang.org/genproto v0.0.0-20190418145605-e7d98fc518a7/go.mod"
	"google.golang.org/genproto v0.0.0-20190425155659-357c62f0e4bb/go.mod"
	"google.golang.org/genproto v0.0.0-20190502173448-54afdca5d873/go.mod"
	"google.golang.org/genproto v0.0.0-20190530194941-fb225487d101/go.mod"
	"google.golang.org/genproto v0.0.0-20190801165951-fa694d86fc64/go.mod"
	"google.golang.org/genproto v0.0.0-20190819201941-24fa4b261c55/go.mod"
	"google.golang.org/genproto v0.0.0-20190911173649-1774047e7e51/go.mod"
	"google.golang.org/genproto v0.0.0-20191108220845-16a3f7862a1a/go.mod"
	"google.golang.org/genproto v0.0.0-20191115194625-c23dd37a84c9/go.mod"
	"google.golang.org/genproto v0.0.0-20191216164720-4f79533eabd1/go.mod"
	"google.golang.org/genproto v0.0.0-20191230161307-f3c370f40bfb/go.mod"
	"google.golang.org/genproto v0.0.0-20200212174721-66ed5ce911ce/go.mod"
	"google.golang.org/genproto v0.0.0-20200526211855-cb27e3aa2013"
	"google.golang.org/genproto v0.0.0-20200526211855-cb27e3aa2013/go.mod"
	"google.golang.org/grpc v1.14.0/go.mod"
	"google.golang.org/grpc v1.16.0/go.mod"
	"google.golang.org/grpc v1.17.0/go.mod"
	"google.golang.org/grpc v1.19.0/go.mod"
	"google.golang.org/grpc v1.20.0/go.mod"
	"google.golang.org/grpc v1.20.1/go.mod"
	"google.golang.org/grpc v1.21.0/go.mod"
	"google.golang.org/grpc v1.21.1/go.mod"
	"google.golang.org/grpc v1.22.1/go.mod"
	"google.golang.org/grpc v1.23.0/go.mod"
	"google.golang.org/grpc v1.23.1/go.mod"
	"google.golang.org/grpc v1.25.1/go.mod"
	"google.golang.org/grpc v1.26.0/go.mod"
	"google.golang.org/grpc v1.27.0/go.mod"
	"google.golang.org/grpc v1.27.1/go.mod"
	"google.golang.org/grpc v1.28.1/go.mod"
	"google.golang.org/grpc v1.31.1/go.mod"
	"google.golang.org/grpc v1.33.2"
	"google.golang.org/grpc v1.33.2/go.mod"
	"google.golang.org/protobuf v0.0.0-20200109180630-ec00e32a8dfd/go.mod"
	"google.golang.org/protobuf v0.0.0-20200221191635-4d8936d0db64/go.mod"
	"google.golang.org/protobuf v0.0.0-20200228230310-ab0ca4ff8a60/go.mod"
	"google.golang.org/protobuf v1.20.1-0.20200309200217-e05f789c0967/go.mod"
	"google.golang.org/protobuf v1.21.0/go.mod"
	"google.golang.org/protobuf v1.22.0/go.mod"
	"google.golang.org/protobuf v1.23.0/go.mod"
	"google.golang.org/protobuf v1.23.1-0.20200526195155-81db48ad09cc/go.mod"
	"google.golang.org/protobuf v1.24.0/go.mod"
	"google.golang.org/protobuf v1.25.0/go.mod"
	"google.golang.org/protobuf v1.26.0-rc.1/go.mod"
	"google.golang.org/protobuf v1.26.0"
	"google.golang.org/protobuf v1.26.0/go.mod"
	"gopkg.in/alecthomas/kingpin.v2 v2.2.6"
	"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
	"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
	"gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c"
	"gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c/go.mod"
	"gopkg.in/cheggaaa/pb.v1 v1.0.25/go.mod"
	"gopkg.in/errgo.v2 v2.1.0/go.mod"
	"gopkg.in/fsnotify.v1 v1.4.7/go.mod"
	"gopkg.in/gcfg.v1 v1.2.3/go.mod"
	"gopkg.in/inf.v0 v0.9.1/go.mod"
	"gopkg.in/resty.v1 v1.12.0/go.mod"
	"gopkg.in/src-d/go-cli.v0 v0.0.0-20181105080154-d492247bbc0d/go.mod"
	"gopkg.in/src-d/go-log.v1 v1.0.1/go.mod"
	"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7"
	"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
	"gopkg.in/warnings.v0 v0.1.2/go.mod"
	"gopkg.in/yaml.v2 v2.0.0-20170812160011-eb3733d160e7/go.mod"
	"gopkg.in/yaml.v2 v2.2.1/go.mod"
	"gopkg.in/yaml.v2 v2.2.2/go.mod"
	"gopkg.in/yaml.v2 v2.2.4/go.mod"
	"gopkg.in/yaml.v2 v2.2.5/go.mod"
	"gopkg.in/yaml.v2 v2.3.0/go.mod"
	"gopkg.in/yaml.v2 v2.4.0"
	"gopkg.in/yaml.v2 v2.4.0/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
	"grpc.go4.org v0.0.0-20170609214715-11d0a25b4919/go.mod"
	"honnef.co/go/tools v0.0.0-20180728063816-88497007e858/go.mod"
	"honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
	"honnef.co/go/tools v0.0.0-20190106161140-3f1c8253044a/go.mod"
	"honnef.co/go/tools v0.0.0-20190418001031-e561f6794a2a/go.mod"
	"honnef.co/go/tools v0.0.0-20190523083050-ea95bdfd59fc/go.mod"
	"honnef.co/go/tools v0.0.1-2019.2.3"
	"honnef.co/go/tools v0.0.1-2019.2.3/go.mod"
	"rsc.io/binaryregexp v0.2.0/go.mod"
	"rsc.io/quote/v3 v3.1.0/go.mod"
	"rsc.io/sampler v1.3.0/go.mod"
	"sigs.k8s.io/yaml v1.1.0/go.mod"
	"sourcegraph.com/sourcegraph/appdash v0.0.0-20190731080439-ebfcffb1b5c0/go.mod"
	"sourcegraph.com/sourcegraph/go-diff v0.5.0/go.mod"
	"sourcegraph.com/sqs/pbtypes v0.0.0-20180604144634-d3ebe8f20ae4/go.mod"
)

go-module_set_globals
SRC_URI="https://github.com/ipfs/go-ipfs/archive/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="Apache-2.0 BSD BSD-2 CC0-1.0 ISC MIT MPL-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"

RDEPEND="
	!net-p2p/go-ipfs-bin
	acct-group/ipfs
	acct-user/ipfs
	sys-fs/fuse:0
"

DOCS=(CHANGELOG.md CONTRIBUTING.md README.md docs/)

#S="${WORKDIR}"

src_compile() {
	local mygoargs
	mygoargs=(
		-tags release
	)
	go build "${mygoargs[@]}" -o ipfs ./cmd/ipfs || die
	go build "${mygoargs[@]}" -o ipfswatch ./cmd/ipfswatch || die
}

src_test() {
	go test ./cmd/ipfs/... ./cmd/ipfswatch/... || die
}

src_install() {
	dobin ipfs
	dobin ipfswatch
	newbashcomp misc/completion/ipfs-completion.bash ipfs
	einstalldocs

	systemd_dounit "${FILESDIR}/ipfs.service"
	systemd_newunit "${FILESDIR}/ipfs-at.service" "ipfs@.service"

	newinitd "${FILESDIR}/ipfs.init" ipfs
	newconfd "${FILESDIR}/ipfs.confd" ipfs

	keepdir /var/log/ipfs
	fowners -R ipfs:ipfs /var/log/ipfs
}

pkg_postinst() {
	elog 'To be able to use the ipfs service you will need to create the ipfs repository'
	elog '(eg: su -s /bin/sh -c "ipfs init -e" ipfs)'
	elog 'or change IPFS_PATH of /etc/conf.d/ipfs with another with proper permissions.'
}
